<?php
/**
 * @version 1.0 $Id: ajax.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component AJAX Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 0.9
 */
class restaurantguideControllerAjax extends restaurantguideController
{
	function __construct()
	{
		parent::__construct();

	}

	function ChangeResto() {
		$catid = JRequest::getVar('catid');

		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT i.id, i.title' .
					' FROM #__rg_restaurantitems AS i' .
					' INNER JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id' .
					' INNER JOIN #__rg_categories AS c ON c.id = rel.catid' .
					' WHERE c.id = '.$catid
					;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$restooption[] = JHTML::_('select.option',  '-1', JText::_('SELECT RESTAURANT') );
	
		if ( count($results)>0 ) {
			foreach( $results as $result )
			{
				$restooption[] = JHTML::_('select.option',  $result->id, $result->title );
			}
		} else {
			$restooption[] = JHTML::_('select.option',  0, JText::_('NO RESTAURANT') );
		}
		
		$javascript = '';
		$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		
		echo $output;
	}
	
	function ChangeState() {
		$country = (int)JRequest::getVar('country');

		$states = restaurantguide_state::getStateTree($country);

		if ( count($states)>0 ) {
			$javascript = 'onChange="ChangeCity(this.value)"';
			$output = restaurantguide_state::buildstateselect($states, 'statename', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		} else {
			$stateoption[] = JHTML::_('select.option', 0, JText::_('NO STATES') );

			$output = JHTML::_('select.genericlist', $stateoption, 'statename', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', 0 );	
		}
			
		echo $output;
	}
/*	
	function ChangeStateCity() {
		$country = (int)JRequest::getVar('country');

		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_states'
				. ' WHERE country = '.$country
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('SELECT STATE').' -' );
	
		if ( count($results)>0 ) {

			$stateoption = @array_merge($stateoption, $results);
			
			$javascript = 'onChange="ChangeCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'statename', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );			
		} else {
			$stateoption[] = JHTML::_('select.option',  0, JText::_('NO STATE') );

			$this->ChangeNextCity($country);

			$javascript = '';
			$output = JHTML::_('select.genericlist', $stateoption, 'statename', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
//			$output = '<div class="hg-error">'.JText::_('STATE: NOT AVAILABLE').'</div>';
		}

		echo $output;
	}
*/	
	function ChangeCity() {
		$statename = JRequest::getVar('statename');

		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_cities'
				. ' WHERE statename = '.$statename
				. ' ORDER BY name ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$cityoption[] = JHTML::_('select.option',  '0', '- '.JText::_('SELECT CITY').' -' );
	
		if ( count($results)>0 ) 
			$cityoption = @array_merge($cityoption, $results);
		else
			$cityoption[] = JHTML::_('select.option',  0, JText::_('NO CITIES') );

		$javascript = '';
		$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', 0 );
		
		echo $output;
	}
	
	function ChangeCityNoState() {
		$country = (int)JRequest::getVar('country');

		$cityoption = restaurantguide_city::getCityTree($country);

		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cityoption, 'city', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript); 

		echo $output;
	}
}
?>