<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component Menu Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideControllerMenus extends restaurantguideController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'add'  ,		 	'edit' );
		$this->registerTask( 'apply', 			'save' );
		$this->registerTask( 'saveandnew', 		'save' );
		$this->registerTask( 'accesspublic', 	'access' );
		$this->registerTask( 'accessregistered','access' );
		$this->registerTask( 'accessspecial', 	'access' );
	}

	/**
	 * Logic to save an menu
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		jimport('joomla.filesystem.file');
		jimport('joomla.filesystem.archive');
		require_once (RESTAURANTGUIDE_ADMINISTRATOR.DS.'lib'.DS.'class.upload.php');
		
		$task		= JRequest::getVar('task');

		//Sanitize
		$post = JRequest::get( 'post' );
		$post['description'] = JRequest::getVar( 'description', '', 'post', 'string', JREQUEST_ALLOWRAW );
		
		$delete_image = JRequest::getCmd('delete_image', false, 'post');
		$delete_backimage = JRequest::getCmd('delete_backimage', false, 'post');

		$model = $this->getModel('menu');
		$data = $model->getFile($post['id']);
		
		if ($delete_image) {
			$post['image'] = null;
			$post['imagewidth'] = '';
			$post['imageheight'] = '';

			if (JFile::exists($dir.$data->image)) {
				JFile::delete($dir.$data->image);
			}
			
			if (JFile::exists($resize_dir.$data->image)) {
				JFile::delete($resize_dir.$data->image);
			}

			if (JFile::exists($thumb_dir.$data->image)) {
				JFile::delete($thumb_dir.$data->image);
			}
		} else if ($delete_backimage) {
			$post['backimage'] = null;
			$post['backimagewidth'] = '';
			$post['backimageheight'] = '';
			$post['transparency'] = '';

			if (JFile::exists($dir.$data->backimage)) {
				JFile::delete($dir.$data->backimage);
			}
			
			if (JFile::exists($resize_dir.$data->backimage)) {
				JFile::delete($resize_dir.$data->backimage);
			}

			if (JFile::exists($thumb_dir.$data->backimage)) {
				JFile::delete($thumb_dir.$data->backimage);
			}
		}
	
		if (isset($_FILES['file_upload'])){
			$handle = new Upload($_FILES['file_upload']);

			if ($handle->uploaded) {
				// Original image
				$directory = 'restaurant_'.$post['resto'];

				$dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'album'.DS;
		
				if (!file_exists($dir)) {
					mkdir($dir, 0777);
				}

				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$width = $handle->image_src_x;
				$height = $handle->image_src_y;
				$handle->file_new_name_body =$file_body;
				$handle->Process($dir);

				$post['image'] = $handle->file_dst_name;
				
				// resized image
				$resize_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'resize'.DS;
	
				if (!file_exists($resize_dir)) {
					mkdir($resize_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 240;//$imageWidth;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 240;//$imageHeight;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;

				$handle->Process($resize_dir);
				
				$imagewidth = $handle->image_dst_x;
				$imageheight = $handle->image_dst_y;
				$post['imagewidth'] = $imagewidth;
				$post['imageheight'] = $imageheight;
				
				// thumbnail image
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'thumb'.DS;
	
				if (!file_exists($thumb_dir)) {
					mkdir($thumb_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 64;//$imageWidth;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 64;//$imageHeight;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				
				$handle->Process($thumb_dir);
				
				$handle->Clean();
			}
		} 
		
		if (isset($_FILES['backfile_upload'])){

			$handle = new Upload($_FILES['backfile_upload']);

			if ($handle->uploaded) {
				// Original image
				$directory = 'restaurant_'.$post['resto'];

				$dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'album'.DS;
		
				if (!file_exists($dir)) {
					mkdir($dir, 0777);
				}

				$handle->jpeg_quality = 100;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$width = $handle->image_src_x;
				$height = $handle->image_src_y;
				$handle->file_new_name_body =$file_body;
				
				$handle->Process($dir);

				$post['backimage'] = $handle->file_dst_name;	
				
				// resized image
				$resize_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'resize'.DS;
	
				if (!file_exists($resize_dir)) {
					mkdir($resize_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = $post['backimage_size'];
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = $post['backimage_size'];
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body =$file_body;
				$handle->image_overlay_color = '#2e2f31';
				$handle->image_overlay_percent = 70;
				$handle->image_bevel           = 15;
				$handle->image_bevel_color1    = '#2e2f31';
				$handle->image_bevel_color2    = '#2e2f31';

				$handle->Process($resize_dir);
				
				$imagewidth = $handle->image_dst_x;
				$imageheight = $handle->image_dst_y;
				$post['backimagewidth'] = $imagewidth;
				$post['backimageheight'] = $imageheight;
				
				// thumbnail image
				$thumb_dir =  RESTAURANTGUIDE_IMAGES_MENU.DS.$directory.DS.'thumb'.DS;
	
				if (!file_exists($thumb_dir)) {
					mkdir($thumb_dir, 0777);
				}
		
				$handle->image_resize = true;
				if ($height < $width) {
					$handle->image_ratio_y = true;
					$handle->image_x = 64;//$imageWidth;
				} else {
					$handle->image_ratio_x = true;
					$handle->image_y = 64;//$imageHeight;
				}
				$handle->jpeg_quality = 85;
				$handle->file_auto_rename = false;
				$handle->file_overwrite = true;
				$handle->file_new_name_body =$file_body;
				
				$handle->Process($thumb_dir);
				
				$handle->Clean();
			}
		} 
		
		if ( $model->store($post) ) {

			switch ($task)
			{
				case 'apply' :
					$link = 'index.php?option=com_restaurantguide&view=menu&cid[]='.(int) $model->get('id');
					break;
					
				case 'saveandnew' :
					$link = 'index.php?option=com_restaurantguide&view=menu';
					break;

				default :
					$link = 'index.php?option=com_restaurantguide&view=menus';
					break;
			}
			$msg = JText::_( 'MENU SAVED' );
			
			//Take care of access levels and state
			$menusmodel = & $this->getModel('menus');
			$menusmodel->access($model->get('id'), $model->get('access'));
			
			$pubid = array();
			$pubid[] = $model->get('id');
			if($model->get('published') == 1) {
				$menusmodel->publish($pubid, 1);
			} else {
				$menusmodel->publish($pubid, 0);
			}
			if (!empty($typeimg)) {	
				
			}
			
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();

		} else {

			$msg 	= JText::_( 'ERROR SAVING MENU' );
			$link 	= 'index.php?option=com_restaurantguide&view=menu';
		}

		$model->checkin();

		$this->setRedirect($link, $msg);
	}

	/**
	 * Logic to publish menu
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function publish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM PUBLISH' ) );
		} else {

			$model = $this->getModel('menus');

			if(!$model->publish($cid, 1)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'MENU PUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus', $msg );
	}

	/**
	 * Logic to unpublish menu
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function unpublish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM UNPUBLISH' ) );
		} else {

			$model = $this->getModel('menus');

			if(!$model->publish($cid, 0)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'MENU UNPUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus', $msg );
	}

	/**
	 * Logic to orderup an menu
	 *
	 * @access public
	 * @return void;
	 * @since 1.0
	 */
	function orderup()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('menus');
		$model->move(-1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus');
	}

	/**
	 * Logic to orderdown an menu
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function orderdown()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('menus');
		$model->move(1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus');
	}

	/**
	 * Logic to mass ordering menus
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function saveorder()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(0), 'post', 'array' );

		$model = $this->getModel('menus');
		if(!$model->saveorder($cid, $order)) {
			$msg = '';
			JError::raiseWarning(500, $model->getError());
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$msg = 'NEW ORDERING SAVED';
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus', $msg );
	}

	/**
	 * Logic to delete menus
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function remove()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM DELETE' ) );
		} else {

			$model = $this->getModel('menus');

			$msg = $model->delete($cid);

			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus', $msg );
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function cancel()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$menu = & JTable::getInstance('rg_menus', '');
		$menu->bind(JRequest::get('post'));
		$menu->checkin();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus' );
	}

	/**
	 * Logic to set the menu access level
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function access( )
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$id			= (int)$cid[0];
		$task		= JRequest::getVar( 'task' );

		if ($task == 'accesspublic') {
			$access = 0;
		} elseif ($task == 'accessregistered') {
			$access = 1;
		} else {
			$access = 2;
		}

		$model = $this->getModel('menus');
		
		if(!$model->access( $id, $access )) {
			JError::raiseError(500, $model->getError());
		} else {
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect('index.php?option=com_restaurantguide&view=menus' );
	}

	/**
	 * Logic to create the view for the edit menuscreen
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function edit( )
	{	
		// Check for request forgeries
		//JRequest::checkToken() or jexit( 'Invalid Token' );
		
		JRequest::setVar( 'view', 'menu' );
		JRequest::setVar( 'hidemainmenu', 1 );

		$model 	= $this->getModel('menu');
		$user	=& JFactory::getUser();

		// Error if checkedout by another administrator
		if ($model->isCheckedOut( $user->get('id') )) {
			$this->setRedirect( 'index.php?option=com_restaurantguide&view=menus', JText::_( 'EDITED BY ANOTHER ADMIN' ) );
		}

		$model->checkout( $user->get('id') );
		
		parent::display();
	}
}