<?php
/**
 * @version		1.0.0 restaurantguide $
 * @package		restaurantguide
 * @copyright	Copyright  2009 - All rights reserved.
 * @license		GNU/GPL
 * @author		Oh-Taek Im
 * @author mail	pixeldraw@photoindochina.com
 * @website		www.photoindochina.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Testimonial Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide Testimonial
 * @since 1.0
 */
class restaurantguideControllerTestimonials extends restaurantguideController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'add'  ,		 	'edit' );
		$this->registerTask( 'apply', 			'save' );
		$this->registerTask( 'accesspublic', 	'access' );
		$this->registerTask( 'accessregistered','access' );
		$this->registerTask( 'accessspecial', 	'access' );
	}

	/**
	 * Logic to save a testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$task		= JRequest::getVar('task');

		//Sanitize
		$post = JRequest::get( 'post' );
		$post['description'] = JRequest::getVar('description', '', 'POST', 'string', JREQUEST_ALLOWRAW);
		
		$model = $this->getModel('testimonialedit');
		
		if ( $model->store($post) ) {

			switch ($task)
			{
				case 'apply' :
					$link = 'index.php?option=com_restaurantguide&view=testimonialedit&cid[]='.(int) $model->get('id');
					break;

				default :
					$link = 'index.php?option=com_restaurantguide&view=testimonials';
					break;
			}
			$msg = JText::_( 'Testimonials Saved' );
			
/*			//Take care of access levels and state
			$testimonialsmodel = & $this->getModel('testimonials');
			$testimonialsmodel->access($model->get('id'), $model->get('access'));
			
			$pubid = array();
			$pubid[] = $model->get('id');
			if($model->get('published') == 1) {
				$testimonialsmodel->publish($pubid, 1);
			} else {
				$testimonialsmodel->publish($pubid, 0);
			}
*/			
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();

		} else {

			$msg 	= JText::_( 'ERROR SAVING COMMENTS' );
			//JError::raiseError( 500, $model->getError() );
			$link 	= 'index.php?option=com_restaurantguide&view=testimonialedit';
		}

//		$model->checkin();

		$this->setRedirect($link, $msg);
	}

	/**
	 * Logic to publish testimonials
	 *
	 * @access public
	 * @return void

	 * @since 1.0
	 */
	function publish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM PUBLISH' ) );
		} else {

			$model = $this->getModel('testimonials');

			if(!$model->publish($cid, 1)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'TESTIMONIAL PUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials', $msg );
	}

	/**
	 * Logic to unpublish testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function unpublish()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			$msg = '';
			JError::raiseWarning(500, JText::_( 'SELECT ITEM UNPUBLISH' ) );
		} else {

			$model = $this->getModel('testimonials');

			if(!$model->publish($cid, 0)) {
				JError::raiseError(500, $model->getError());
			}

			$msg 	= JText::_( 'TESTIMONIALS UNPUBLISHED');
		
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials', $msg );
	}

	/**
	 * Logic to orderup a testimonials
	 *
	 * @access public
	 * @return void;
	 * @since 1.0
	 */
	function orderup()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('testimonials');
		$model->move(-1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();
		
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials');
	}

	/**
	 * Logic to orderdown a testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function orderdown()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$model = $this->getModel('testimonials');
		$model->move(1);
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials');
	}

	/**
	 * Logic to mass ordering testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function saveorder()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid 	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$order 	= JRequest::getVar( 'order', array(0), 'post', 'array' );

		$model = $this->getModel('testimonials');
		if(!$model->saveorder($cid, $order)) {
			$msg = '';
			JError::raiseWarning(500, $model->getError());
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		$msg = 'NEW ORDERING SAVED';
		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials', $msg );
	}

	/**
	 * Logic to delete testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function remove()
	{
		$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$total = count( $cid );

		if (!is_array( $cid ) || count( $cid ) < 1) {
			JError::raiseError(500, JText::_( 'Select an item to delete' ) );
		}

		$model = $this->getModel('testimonials');
		if(!$model->delete($cid)) {
			echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
		}

		$msg = $total.' '.JText::_( 'TESTIMONIALS DELETED');

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials', $msg );
	}

	/**
	 * logic for cancel an action
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function cancel()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$testimonials = & JTable::getInstance('rg_testimonial', '');
		$testimonials->bind(JRequest::get('post'));
		$testimonials->checkin();

		$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials' );
	}

	/**
	 * Logic to set the testimonials access level
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function access( )
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$cid		= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$id			= (int)$cid[0];
		$task		= JRequest::getVar( 'task' );

		if ($task == 'accesspublic') {
			$access = 0;
		} elseif ($task == 'accessregistered') {
			$access = 1;
		} else {
			$access = 2;
		}

		$model = $this->getModel('testimonials');
		
		if(!$model->access( $id, $access )) {
			JError::raiseError(500, $model->getError());
		} else {
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}
		
		$this->setRedirect('index.php?option=com_restaurantguide&view=testimonials' );
	}

	/**
	 * Logic to create the view for the edit testimonials
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function edit( )
	{	
		// Check for request forgeries
		//JRequest::checkToken() or jexit( 'Invalid Token' );
		
		JRequest::setVar( 'view', 'testimonialedit' );
		JRequest::setVar( 'hidemainmenu', 1 );

		$model 	= $this->getModel('testimonialedit');
		$user	=& JFactory::getUser();

		// Error if checkedout by another administrator
//		if ($model->isCheckedOut( $user->get('id') )) {
//			$this->setRedirect( 'index.php?option=com_restaurantguide&view=testimonials', JText::_( 'EDITED BY ANOTHER ADMIN' ) );
//		}

//		$model->checkout( $user->get('id') );
		
		parent::display();
	}
}