<?php
/**
 * @version		$Id: form.php 478 2008-12-17 02:12:55Z abernier $
 * @package		Hotproperty.Framework
 * @subpackage	Helper
 * @copyright	(C) 2008 Mosets Consulting
 * @url			http://www.mosets.com/
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Form HTML Helper
 * 
 * To call a method from this helper : JTHML:_( 'hotproperty.form', $args )
 *
 * @package		Hotproperty.Framework
 * @subpackage	Helper
 * @author		Antoine Bernier
 * @since		1.0
 */

require_once ( JPATH_LIBRARIES . DS . 'joomla' . DS . 'html' . DS . 'html' . DS . 'form.php' );

class restaurantguideForm extends JHTMLForm
{
	function label( $value, $name = '', $required = false, $tip = '', $attribs = null )
	{
		if (is_array($attribs)) {
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$id = $name;
		$id	= str_replace('[','',$id);
		$id	= str_replace(']','',$id);
		$for	= ( !empty($name) ? ' for="' . $id . '"' : '' );
		
		$hastip = '';
		if ( !empty($tip) ) {
			JHTML::_('behavior.tooltip');
			$hastip = ' class="hasTip" title="' . JText::_($value) . '::' . JText::_($tip) . '"';
		}
		
		$star	= ( $required ? '(*) ' : '' );
		
		$html = '<label' . $for . $hastip . $attribs . '>' . $star . JText::_($value) . ':' . '</label>';
		
		return $html;
	}
	
	/**
	 * Input
	 * 
	 * @access	public
	 * @param	string	The input type, among text|password|checkbox|radio|submit|reset|file|hidden|image|button	// @see http://www.w3.org/TR/html401/interact/forms.html#adef-type-INPUT
	 * @param	string	The input name
	 * @param	string	The input value
	 * @param	string	The id tag
	 * @param	array	Associative array of input attributes
	 * 
	 * @todo	Use JArrayHelper::toString() for $attribs ?
	 */
	function input( $type, $name, $value, $idtag = false, $attribs = null )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$id = $name;
		if ( $idtag ) {
			$id = $idtag;
		}
		
		$id		= str_replace('[','',$id);
		$id		= str_replace(']','',$id);
		
		$html = '<input type="' . $type . '" name="' . $name . '" id="' . $id . '" value="' . $value . '" ' . $attribs . ' />';
		 
		return $html;
	}
	
	/**
	 * Textarea
	 * 
	 * @access	public
	 * @param	string	The input name
	 * @param	string	The input value
	 * @param	string	The id tag
	 * @param	int		The rows value
	 * @param	int		The cols value
	 * @param	array	Associative array of input attributes
	 */
	function textarea( $name, $value, $idtag = false, $cols = 30, $rows = 5, $attribs = null )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$id = $name;
		if ( $idtag ) {
			$id = $idtag;
		}
		
		$id		= str_replace('[','',$id);
		$id		= str_replace(']','',$id);
		
		$html = '';
		$html .= '<textarea rows="' . $rows . '" cols="' . $cols . '" name="' . $name . '" id="' . $id . '"' . $attribs . '>';
		$html .= 	$value;
		$html .= '</textarea>';
		 
		return $html;
	}
	
	/**
	 * WYSIWYG Editor
	 * 
	 * @param	string	The control name
	 * @param	string	The contents of the text area
	 * @param	string	The width of the text area (px or %)
	 * @param	string	The height of the text area (px or %)
	 * @param	int		The number of columns for the textarea
	 * @param	int		The number of rows for the textarea
	 * @param	boolean	True and the editor buttons will be displayed
	 * @param	array	Associative array of editor parameters
	 */
	function wysiwyg( $name, $html, $width = '100%', $height = '400', $col = '70', $row = '15', $buttons = true, $params = array( 'pagebreak' ) )
	{
		$editor =& JFactory::getEditor();
		return $editor->display( $name, $html, $width, $height, $col, $row, $params );
	}
	
	/**
	 * Checkbox
	 * 
	 * @access	public
	 * @param	string	The input name
	 * @param	string	The input value
	 * @param	string	The selected value
	 * @param	string	The id tag
	 * @param	array	Associative array of input attributes
	 */
	function checkbox( $name, $value = '1', $selected = null, $idtag = false, $attribs = null )
	{
		if (is_array($attribs)) {
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$id = $name;
		if ( $idtag ) {
			$id = $idtag;
		}
		
		$id		= str_replace('[','',$id);
		$id		= str_replace(']','',$id);
		
		// Checked
		if( $selected == $value ) {
			$selected = 'checked="checked" ';
		}
		
		$html = '<input type="checkbox" name="' . $name . '" id="' . $id . '" value="' . $value . '" ' . $selected . $attribs . '/>';
		
		return $html;
	}
	
	/**
	 * Checkbox list
	 * 
	 * @access	public
	 * @param	string	The input name
	 * @param	string	The input value
	 * @param	string	The selected value
	 * @param	string	The id tag
	 * @param	array	Associative array of input attributes
	 */
	function checkboxlist( $arr, $name, $attribs = null, $key = 'value', $text = 'text', $selected = null, $idtag = false, $translate = false )
	{
		reset( $arr );
		$html = '';

		if (is_array($attribs)) {
			$attribs = JArrayHelper::toString($attribs);
		}

		$id_text = $name;
		if ( $idtag ) {
			$id_text = $idtag;
		}
		
		$id_text		= str_replace('[','',$id_text);
		$id_text		= str_replace(']','',$id_text);

		for ($i=0, $n=count( $arr ); $i < $n; $i++ )
		{
			$k	= $arr[$i]->$key;
			$t	= $translate ? JText::_( $arr[$i]->$text ) : $arr[$i]->$text;
			$id	= ( isset($arr[$i]->id) ? @$arr[$i]->id : null);

			$extra	= '';
			$extra	.= $id ? " id=\"" . $arr[$i]->id . "\"" : '';
			if (is_array( $selected ))
			{
				foreach ($selected as $val)
				{
					$k2 = is_object( $val ) ? $val->$key : $val;
					if ($k == $k2)
					{
						$extra .= " checked=\"checked\"";
						break;
					}
				}
			} else {
				$extra .= ($k == $selected ? " checked=\"checked\"" : '');
			}
			$html .= "\n\t<input type=\"checkbox\" name=\"$name\" id=\"$id_text$k\" value=\"".$k."\"$extra $attribs />";
			$html .= "\n\t<label for=\"$id_text$k\">$t</label>";
		}
		$html .= "\n";
		
		return $html;
	}
	
	/**
	 * Extrafield
	 * 
	 * @access	public
	 * @param	TableProp_ef extrafield object
	 * @param	An object (either a TableProperties or a TableProperties2 one) containing the extrafields values
	 * 
	 * @todo	This should be unified in 1.1 (all extrafield should have a field_type)
	 */
	function extrafield( $extrafield, $property, $property2 = null )
	{
		global $hpconf;
		
		$html = '';
		
		/**
		 * Set extrafield name, value, id
		 */
		
		$extrafield_id = false;
		
		if($extrafield->iscore) {
			if( $extrafield->name == 'notes' )
				$extrafield->name = 'note';
				
			if(empty($property)) {
				$property = HotpropertyTable::getInstance( 'properties' );
				$property->load(0);
			}
			
			$extrafield_name = 'properties[' . $property->id . '][' . $extrafield->name . ']';
			$extrafield_value = $property->{$extrafield->name};
		} else {
			if(empty($property2)) {
				$property2 = HotpropertyTable::getInstance( 'properties2' );
				$property2->id = $property2->_id_new;
				$property2->property = $property->id;
			}
			
			$html .= JHTML::_( 'restaurantguide.form.input', 'hidden', 'properties2[' . $property2->id . '][id]', $property2->id );
			$html .= JHTML::_( 'restaurantguide.form.input', 'hidden', 'properties2[' . $property2->id . '][property]', $property2->property );
			$html .= JHTML::_( 'restaurantguide.form.input', 'hidden', 'properties2[' . $property2->id . '][field]', $extrafield->id );
			
			$extrafield_name = 'properties2[' . $property2->id . '][value]';
			$extrafield_value = $property2->value;
		}

		/**
		 * Display the extrafield depending of its type
		 */
		
		switch($extrafield->field_type)
		{
			case 'text':
			case 'link':	// What is exactly the purpose of a link compared to a 'text one ?
				$attribs = array( 'class' => 'inputbox' );
				if (!empty($extrafield->size))
					$attribs['size'] = $extrafield->size;
				
				if (empty($extrafield_value))
					$extrafield->default_value;
				
				$html .= $extrafield->prefix_text . ' ' . JHTML::_( 'restaurantguide.form.input', 'text', $extrafield_name, $extrafield_value, $extrafield_id, $attribs ) . ' ' . $extrafield->append_text;
				break;
			case 'multitext':
				switch($extrafield->name)
				{
					case 'intro_text':
					//case 'full_text':
						if ( strlen(trim($property->full_text)) )
							$extrafield_value .= '<hr id="system-readmore" />' . $property->full_text;
						$html .= JHTML::_( 'restaurantguide.form.wysiwyg', $extrafield_name, $extrafield_value );
						break;
					default:
						if (empty($extrafield_value))
							$extrafield->default_value;
						
						$html .= $extrafield->prefix_text . ' ' . JHTML::_( 'restaurantguide.form.textarea', $extrafield_name, $extrafield_value, $extrafield_id ) . ' ' . $extrafield->append_text;
						break;
				}
				break;
			case 'selectlist':
			case 'selectmultiple':
				$attribs = array( 'class' => 'inputbox' );
				if (!empty($extrafield->size))
					$attribs['size'] = $extrafield->size;
					
				// Get the selectlist options list
				switch($extrafield->name)
				{
					case 'type':
						$html .= JHTML::_( 'restaurantguide.list.types', $extrafield_name, $extrafield_value, null, 1, $extrafield_id );
						break;
					case 'agent':
						$html .= JHTML::_( 'restaurantguide.list.agents', $extrafield_name, $extrafield_value, null, 1, $extrafield_id );
						break;
					case 'company':
						$html .= JHTML::_( 'restaurantguide.list.companies', $extrafield_name, $extrafield_value, null, 1, $extrafield_id );
						break;
					default:
						$arr = array(JHTML::_( 'select.option',  '', '- ' . sprintf( JText::_('Select {{selection}}'), $extrafield->caption ) . ' -' ) );

						foreach( explode( '|', $extrafield->field_elements ) as $field_element )
						{
							$arr[] = JHTML::_( 'select.option',  $field_element, JText::_($field_element) );
						}

						// Multiple ?
						if( $extrafield->field_type == 'selectmultiple' ) {
							$attribs['multiple'] = 'multiple';
							$extrafield_name .= '[]';
						}

						// Set selected option
						if(empty($extrafield_value)) {
							$selected = ( $extrafield->field_type == 'selectlist' ) ? $extrafield->default_value : explode( '|', $extrafield->default_value );
						} else {
							$selected = ( $extrafield->field_type == 'selectlist' ) ? $extrafield_value : explode( '|', $extrafield_value );
						}

						$html .= JHTML::_( 'select.genericlist',  $arr, $extrafield_name, $attribs, $key = 'value', $text = 'text', $selected, $extrafield_id );

						break;
				}
				break;
			case 'checkbox':
				$arr = array();
				foreach( explode( '|', $extrafield->field_elements ) as $field_element )
				{
					$arr[] = JHTML::_( 'select.option',  $field_element, JText::_($field_element) );
				}
				
				$selected = empty($extrafield_value) ? explode( '|', $extrafield->default_value ) : explode( '|', $extrafield_value );
				
				$html .= JHTML::_('hotproperty.form.checkboxlist', $arr, $extrafield_name.'[]', null, 'value', 'text', $selected, $extrafield_id );
				break;
			case 'radiobutton':
				$arr = array();
				foreach( explode( '|', $extrafield->field_elements ) as $field_element )
				{
					$arr[] = JHTML::_( 'select.option',  $field_element, JText::_($field_element) );
				}
				
				$selected = ( empty($extrafield_value) ? $extrafield->default_value : $extrafield_value );
				
				$html .= JHTML::_('select.radiolist', $arr, $extrafield_name, null, 'value', 'text', $selected, $extrafield_id );
				break;
			// Special cases
			default:
				switch($extrafield->name)
				{
					case 'price':
					case 'hits':
						$html .= JHTML::_( 'restaurantguide.form.input', 'text', $extrafield_name, $extrafield_value, $extrafield_id );
						$html .= ' ' . $hpconf->hp_currency;
						break;
					case 'featured':
						$html .= JHTML::_( 'restaurantguide.form.checkbox', $extrafield_name, '1', $extrafield_value, $extrafield_id );
						break;
					case 'created':
					case 'modified':
						$html .= JHTML::_( 'restaurantguide.behavior.calendar', $extrafield_value, $extrafield_name, $extrafield_id, '%Y-%m-%d %H:%M:%S', array( 'size'=>'25',  'maxlength'=>'19' ) );
						break;
					default:
						break;
				}
				break;
		}
		
		return $html;
	}
}
?>
