<?php
/**
 * @version		$Id: list.php 522 2008-12-22 10:46:51Z abernier $
 * @package		RestaurantGuide.Framework
 * @subpackage	Helper
 * @copyright	(C) 2008 Mosets Consulting
 * @url			http://www.mosets.com/
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * List HTML Helper
 * 
 * To call a method from this helper : JTHML:_( 'restaurantguide.list', $args )
 *
 * @package		Hotproperty.Framework
 * @subpackage	Helper
 * @author		Antoine Bernier
 * @since		1.0
 */

require_once ( JPATH_LIBRARIES . DS . 'joomla' . DS . 'html' . DS . 'html' . DS . 'list.php' );

class restaurantguideList extends JHTMLList
{
	/**
	 * Select list of restaurant type
	 * 
	 * @access	public
	 * @param	string	Name and id of the select list
	 * @param	array	Attributes associative array
	 * @param	int		The id of the selected type
	 * @param	string	The id tag
	 * @param	boolean
	 * @return	string
	 */
	function restotype( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db =& JFactory::getDBO();	
		
		$query = "SELECT id, name FROM #__rg_restauranttypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$typelist[]	= JHTML::_('select.option', '0', '- '. JText::_('SELECT RESTAURANT TYPE') .' -', 'id', 'name' );
		$typelist	= array_merge( $typelist, $db->loadObjectList() );
//		$output  	= JHTML::_('select.genericlist', $typelist, 'tid', 'class="inputbox" size="1" ', 'id',
//		 		'name', $selected, $idtag, $translate );
//		$output 	= JHTML::_('select.genericlist', $typelist, $name, $attribs, 'id', 'name', $selected, $idtag, $translate );
		$output  	= JHTML::_('select.genericlist', $typelist, 'tid', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}

	function adtype( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}
		
		$db =& JFactory::getDBO();	
		
		$query = "SELECT id, name FROM #__rg_adtypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$typelist[]	= JHTML::_('select.option', '0', '- '. JText::_('SELECT AD TYPE') .' -', 'id', 'name' );
		$typelist	= array_merge( $typelist, $db->loadObjectList() );

		$output  	= JHTML::_('select.genericlist', $typelist, 'adid', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}
	
	function adunit( $name, $selected = null, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$unitlist[]	= JHTML::_('select.option', '0', '- '. JText::_('SELECT AD TYPE') .' -', 'id', 'name' );
		$unitlist[]	= JHTML::_('select.option', '1', JText::_('LIST'), 'id', 'name' );
		$unitlist[]	= JHTML::_('select.option', '2', JText::_('IMAGE'), 'id', 'name' );

		$output  	= JHTML::_('select.genericlist', $unitlist, 'adunit', 'class="inputbox" size="1"', 'id', 'name', $selected );
		
		return $output;
	}
	
	function continent( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT i.id, i.name'
				. ' FROM #__rg_continents AS i'
				. ' WHERE i.published = 1'
				. ' ORDER BY i.name ASC'
				;	

		$db->setQuery($query);
		
		$continent[]	= JHTML::_('select.option',  '0', '- '. JText::_('SELECT CONTINENT') .' -', 'id', 'name' );
		$continent	    = array_merge( $continent, $db->loadObjectList() );
		$continent  	= JHTML::_('select.genericlist',  $continent, 'continent', 'class="inputbox" size="1" ', 'id', 'name', intval($selected));

		return $continent;
	}
/*	
	function search_country( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_countries AS c ON c.id = i.country'
				. ' WHERE i.state = 1'
				. ' AND i.country > 0'
				. ' GROUP BY i.country'
				;
	
		$db->setQuery( $query );
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeState(this.value); ChangeCity(this.value)"';
		$country = JHTML::_('select.genericlist', $country, 'filter_country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $selected);

		return $country;
	}
*/	
	function country( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$country = JHTML::_('select.genericlist', $country, 'country',  '', 'value', 'text', $selected);

		return $country;
	}
	
	function AjaxCountryCity( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeStateCity(this.value)"';
		$output = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: auto;"'.$javascript,'value', 'text',  $selected); 

		return $output;
	}
	
	function AjaxCountryLocal( $name, $selected, $attribs = null, $idtag = false, $translate = false )
	{
		if (is_array($attribs)) {
			$attribs['class'] = ( isset( $attribs['class'] ) ? $attribs['class'] : '' ) . ' inputbox';
			$attribs = JArrayHelper::toString($attribs);
		}

		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeState(this.value); ChangeCityNoState(this.value);"';
		$country = JHTML::_('select.genericlist', $country, 'country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px;"'.$javascript,'value', 'text', $selected); 

		return $country;
	}
}
?>
