<?php
/**
 * @version		$Id: select.php 10381 2010-03-24 $
 * @package		Joomla
 * @subpackage	RestaurantGuide
 * @copyright	Copyright  2009-2010 - All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 */

/**
 * @package		Joomla
 * @subpackage	RestaurantGuide
 */
class SelectHelper
{
	function TagParent()
	{
		$parent_type[] = JHTML::_('select.option',  0, JText::_( 'SELECT PARENT' ) );
		$parent_type[] = JHTML::_('select.option',  1, JText::_( 'CATEGORY' ) );
		$parent_type[] = JHTML::_('select.option',  2, JText::_( 'CONTINENT' ) );
		$parent_type[] = JHTML::_('select.option',  3, JText::_( 'COUNTRY' ) );
		$parent_type[] = JHTML::_('select.option',  4, JText::_( 'STATE' ) );
		$parent_type[] = JHTML::_('select.option',  5, JText::_( 'CITY' ) );
		$parent_type[] = JHTML::_('select.option',  6, JText::_( 'RESTAURANT' ) );
		$parent_type[] = JHTML::_('select.option',  7, JText::_( 'RECEIPE' ) );

		return $parent_type;
	}
	
	function hours()
	{
		$text = '';
		for($i=0; $i<=24; $i++){ 			
			if ($i < 10)
				$text = '0'.$i;
			else
				$text = $i;
			$output[] = JHTML::_('select.option', $i, $text );
		}
		$lists = array();
		$lists['hr'] = JHTML::_('select.genericlist', $output, 'hr', '', 'value', 'text', 0 );

		return $lists['hr'];
	}
	
	function mins()
	{
		$output[] = JHTML::_('select.option',  0, JText::_( '00' ) );
		$output[] = JHTML::_('select.option',  1, JText::_( '15' ) );
		$output[] = JHTML::_('select.option',  2, JText::_( '30' ) );
		$output[] = JHTML::_('select.option',  3, JText::_( '45' ) );
		$lists = array();
		$lists['min'] = JHTML::_('select.genericlist', $output, 'min', '', 'value', 'text', 0, 'id="select_2"' );

		return $lists['min'];
	}
	
	function SelectAjaxCategory( $catid )
	{
		$categories = restaurantguide_cats::getCategoriesTree(1);

		$javascript = 'onChange="ChangeResto(this.value)"';
		$output = restaurantguide_cats::buildcatselect($categories, 'catid', $catid, true, 'class="inputbox" size="1"'.$javascript);

		return $output;
	}
	
	function SelectAjaxResto( $row, $catid )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT i.id AS value, i.title AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' INNER JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' INNER JOIN #__rg_categories AS c ON c.id = rel.catid'
				. ' WHERE c.id = '.$catid 
				. ' AND i.state = 1'
				. ' ORDER BY i.title ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$restooption[] = JHTML::_('select.option', '-1', JText::_('SELECT RESTAURANT') );
	
		if ( count($results)>0 ) {
			$restooption = @array_merge($restooption, $results);
		} else {
			$restooption[] = JHTML::_('select.option', 0, JText::_('NO RESTAURANT') );
		}

		$javascript = '';
		$output = JHTML::_('select.genericlist', $restooption, 'resto', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $row->resto);
		
		echo $output;
	}
	
	function SelectAjaxState( $row, $country )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT id, name'
				. ' FROM #__rg_states'
				. ' WHERE country = '.$country
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// get list of active languages
		$stateoption[] = JHTML::_('select.option',  '-1', '- '.JText::_('SELECT STATE').' -' );
	
		if ( count($results)>0 ) {
			foreach( $results as $result )
			{
				$stateoption[] = JHTML::_('select.option',  $result->id, $result->name );
			}
			$javascript = 'onChange="ChangeCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'statename', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $row->statename);
		} else {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('NO STATE').' -' );
			$output = JHTML::_('select.genericlist', $stateoption, 'statename', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"', 'value', 'text', $row->statename);
		}
	
		echo $output;
	}
/*	
	function SelectAjaxCity( $row, $country )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_cities'
				. ' WHERE country = '.$country
				. ' AND parent_id = 0'
				. ' ORDER BY name ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		$cityoption[] = JHTML::_('select.option',  '0', JText::_('- SELECT CITY -') );
		
		if ( count($results)>0 ) {
			$cityoption = @array_merge($cityoption, $results);
		} else {
			$cityoption[] = JHTML::_('select.option',  0, JText::_('NO CITIES') );
		}
		
		$javascript = 'onChange="ChangeLocal(this.value)"';
		$output = JHTML::_('select.genericlist', $cityoption, 'city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $row->city);
		
		echo $output;
	}
*/	
	function SelectAjaxLocal( $row, $country )
	{
		$cities = restaurantguide_city::getCityTree($country);

		$output = restaurantguide_city::buildcityselect($cities, 'parent_id', $row->parent_id, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');

		return $output;
	} 
	
	function SelectAjaxCity( $row, $country )
	{
		$cities = restaurantguide_city::getCityTree($country);

		$output = restaurantguide_city::buildcityselect($cities, 'city', $row->city, false, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"');

		return $output;
	}
	
	function ContinentMenu()
	{
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text,'
				. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
				. ' FROM #__rg_continents'
				. ' WHERE published = 1'
				;
	
		$db->setQuery( $query );
		$continents = $db->loadObjectList();

		$count = count($continents);
		for($i=0;$i < $count; $i++){
			$query = 'SELECT c.id, c.name, c.image,'
					. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
						. ' ('
						. ' SELECT COUNT( DISTINCT i.id )'
						. ' FROM #__rg_restaurantitems AS i'
						. ' LEFT JOIN #__rg_countries AS cc ON cc.id = i.country'
						. ' WHERE i.country = c.id'
						. ')' 
						. ' AS assignedrestos'
					. ' FROM #__rg_countries AS c'
					. ' WHERE c.published = 1'
					. ' AND c.continent = '.$continents[$i]->value
					;
					
			$db->setQuery( $query );
			$continents[$i]->countries = $db->loadObjectList();
		}
		
		$j = 0;
		$menulist = '<ul id="mega">' . "\n";
		
		$wlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
		$menulist .= '<li style="margin-left:1px;"><a href="'.$wlink.'">'.JText::_('WORLD').'</a><b class="s4"></b>' . "\n";
		
		foreach ( $continents as $continent ) {
			if (count($continent->countries) > 0) {
				$wlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
				if ($j == 0)
					$menulist .= '<li><a href="'.$wlink.'">'.$continent->text.'</a><b class="s4"></b>' . "\n";
				else
					$menulist .= '<li><a href="'.$wlink.'">'.$continent->text.'</a><b class="s4"></b>' . "\n";
				
				$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
	
				$i = 0;
				foreach ( $continent->countries as $country ) {
					$tlink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
					
					if ($country->image)
						$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$country->image;
					else
						$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
						
					if ($i == 0) {
						$menulist .= '<p>';
						$menulist .= '<span class="col1"><a href="'.$tlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
						$menulist .= '<span class="col1l"><a href="'.$tlink.'">'.JText::_($country->name).'</a></span>';
					} else if ($i == 1) {
						$menulist .= '<span class="col2"><a href="'.$tlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
						$menulist .= '<span class="col2l"><a href="'.$tlink.'">'.JText::_($country->name).'</a></span>';
					} else if ($i == 2) {
						$menulist .= '<span class="col3"><a href="'.$tlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
						$menulist .= '<span class="col3l"><a href="'.$tlink.'">'.JText::_($country->name).'</a></span>';
					} else if ($i == 3) {
						$menulist .= '<span class="col4"><a href="'.$tlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
						$menulist .= '<span class="col4l"><a href="'.$tlink.'">'.JText::_($country->name).'</a></span>';
					}
					
					$i++;
					$j++;
					if ($i == 4) {
						$menulist .= '</p>' . "\n";
						$i = 0;
					}  
				}
				$menulist .= '</div></li>' . "\n";
			} else {
				$menulist .= '<li><a href="#">'.$continent->text.'</a><b class="s4"></b>' . "\n";
	
				$menulist .= '</li>' . "\n";
			}
		}
		$menulist .= '</ul>' . "\n";
		
		return $menulist;
	} 
	
	function CountryMenu($country)
	{
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$country->id
				. ' AND c.parent_id = 0'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();

		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.name AS continentname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_countries AS c'
				. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
				. ' WHERE c.published = 1'
				. ' AND c.continent = '.$country->continent
				;		
			
		$db->setQuery( $query );
		$countries = $db->loadObjectList();
								
		$query = 'SELECT id AS value, name AS text, image,'
				. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
				. ' FROM #__rg_continents'
				. ' WHERE published = 1'
				. ' AND id != '.$country->continent
				;		
		
		$db->setQuery( $query );
		$continents = $db->loadObjectList();
		
		$menulist = '<ul id="mega">' . "\n";
		$wlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
		$menulist .= '<li style="margin-left:1px;"><a href="'.$wlink.'">'.JText::_('WORLD').'</a><b class="s4"></b>' . "\n";
		
		$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=continent');
		$menulist .= '<li><a href="'.$clink.'">'.JText::_('OTHER CONTINENTS').'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
			
		$i = 0;
		foreach ( $continents as $continent ) {
			$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
			
			if ($continent->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			}
			
			$i++;
//			$j++;
			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$rlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=country');
		$menulist .= '<li><a href="'.$rlink.'">'.JText::_('ALL COUNTRIES IN').'&nbsp;'.$countries[0]->continentname.'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		$i = 0;
		foreach ( $countries as $country ) {
			$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
			
			if ($country->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$country->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			}
			
			$i++;
//			$j++;
			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		if (count($cities) > 0) {
			$tlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=city');
			$menulist .= '<li><a href="'.$tlink.'">'.JText::_('ALL CITIES IN').'&nbsp;'.$cities[0]->countryname.'</a><b class="s4"></b>' . "\n";
			$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
			$i = 0;
			foreach ( $cities as $city ) {
				$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
				
				if ($city->image)
					$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$city->image;
				else
					$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
					
				if ($i == 0) {
					$menulist .= '<p>';
					$menulist .= '<span class="col1"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
					$menulist .= '<span class="col1l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
				} else if ($i == 1) {
					$menulist .= '<span class="col2"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
					$menulist .= '<span class="col2l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
				} else if ($i == 2) {
					$menulist .= '<span class="col3"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
					$menulist .= '<span class="col3l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
				} else if ($i == 3) {
					$menulist .= '<span class="col4"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
					$menulist .= '<span class="col4l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
				}
				
				$i++;
	
				if ($i == 4) {
					$menulist .= '</p>' . "\n";
					$i = 0;
				}  
			}

			$menulist .= '</div></li>' . "\n";
		}
		$menulist .= '</ul>' . "\n";

		return $menulist;

	} 
	
	function CityMenu($city)
	{
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$city->country
				. ' AND c.parent_id = 0'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();
			
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.name AS continentname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_countries AS c'
				. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
				. ' WHERE c.published = 1'
				. ' AND c.continent = '.$cities[0]->continent
				. ' AND c.id != '.$city->country
				;		
		
		$db->setQuery( $query );
		$countries = $db->loadObjectList();
								
		$query = 'SELECT id AS value, name AS text, image,'
				. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
				. ' FROM #__rg_continents'
				. ' WHERE published = 1'
				. ' AND id != '.$cities[0]->continent
				;		
		
		$db->setQuery( $query );
		$continents = $db->loadObjectList();
	
		$menulist = '<ul id="mega">' . "\n";
		$wlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
		$menulist .= '<li style="margin-left:1px;"><a href="'.$wlink.'">'.JText::_('WORLD').'</a><b class="s4"></b>' . "\n";
		
		$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=continent');
		$menulist .= '<li><a href="'.$clink.'">'.JText::_('OTHER CONTINENTS').'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		
		$i = 0;
		foreach ( $continents as $continent ) {
			$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
			
			if ($continent->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			}
			
			$i++;
//			$j++;
			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$rlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=country');
		$menulist .= '<li><a href="'.$rlink.'">'.JText::_('OTHER COUNTRIES IN').'&nbsp;'.$countries[0]->continentname.'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		$i = 0;
		foreach ( $countries as $country ) {
			$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
			
			if ($country->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$country->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			}
			
			$i++;
//			$j++;
			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$tlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=city');
		$menulist .= '<li><a href="'.$tlink.'">'.JText::_('OTHER CITIES IN').'&nbsp;'.$cities[0]->countryname.'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		$i = 0;
		foreach ( $cities as $city ) {
			$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($city->slug));
			
			if ($city->image)
				$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$city->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$citylink.'">'.JText::_($city->text).'</a></span>';
			}
			
			$i++;

			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$menulist .= '</ul>' . "\n";

		return $menulist;
	} 
	
	function RestoMenu($city, $country, $id, $name)
	{
		$db 	=& JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.continent AS continent, cc.name AS countryname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_cities AS c'
				. ' LEFT JOIN #__rg_countries AS cc ON cc.id = c.country'
				. ' WHERE c.published = 1'
				. ' AND c.country = '.$country
				. ' AND c.parent_id = 0'
				. ' ORDER BY c.name ASC'
				;
				
		$db->setQuery( $query );
		$cities = $db->loadObjectList();
			
		$query = 'SELECT c.id AS value, c.name AS text, c.image, cc.name AS continentname,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug'
				. ' FROM #__rg_countries AS c'
				. ' LEFT JOIN #__rg_continents AS cc ON cc.id = c.continent'
				. ' WHERE c.published = 1'
				. ' AND c.continent = '.$cities[0]->continent
				;		
		
		$db->setQuery( $query );
		$countries = $db->loadObjectList();
								
		$query = 'SELECT id AS value, name AS text, image,'
				. ' CASE WHEN CHAR_LENGTH( alias ) THEN CONCAT_WS( \':\', id, alias ) ELSE id END AS slug'
				. ' FROM #__rg_continents'
				. ' WHERE published = 1'
				;		
		
		$db->setQuery( $query );
		$continents = $db->loadObjectList();
	
		$query = "SELECT id, name FROM #__rg_restauranttypes WHERE published = 1 ORDER BY name ASC"; 
		$db->setQuery($query);

		$types = $db->loadObjectList();
		
		if ($city) {
			$query = 'SELECT DISTINCT i.id, i.title, i.tid, i.mainimage,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS c ON c.id = i.city'
					. ' WHERE c.id = '.$city
					. ' AND i.id != '.$id
					;
					
			$db->setQuery($query);
			$restos = $db->loadObjectList();
		}
		
		$menulist = '<ul id="mega">' . "\n";
		$wlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=restaurantguide');
		$menulist .= '<li style="margin-left:1px;"><a href="'.$wlink.'">'.JText::_('WORLD').'</a><b class="s4"></b>' . "\n";
		
		$clink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=continent');
		$menulist .= '<li><a href="'.$clink.'">'.JText::_('CONTINENTS').'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		
		$i = 0;
		foreach ( $continents as $continent ) {
			$continentlink =  JRoute::_( restaurantguideHelperRoute::getContinentRoute($continent->slug));
			
			if ($continent->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$continent->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$continentlink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$continentlink.'">'.JText::_($continent->text).'</a></span>';
			}
			
			$i++;

			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$rlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=country');
		$menulist .= '<li><a href="'.$rlink.'">'.JText::_('COUNTRIES IN').'&nbsp;'.$countries[0]->continentname.'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		$i = 0;
		foreach ( $countries as $country ) {
			$countrylink =  JRoute::_( restaurantguideHelperRoute::getCountryRoute($country->slug));
			
			if ($country->image)
				$imagelink = JURI::base() .'images/restaurantguide/country/scrop/' .$country->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$countrylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$countrylink.'">'.JText::_($country->text).'</a></span>';
			}
			
			$i++;
//			$j++;
			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		$tlink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=city');
		$menulist .= '<li><a href="'.$tlink.'">'.JText::_('CITIES IN').'&nbsp;'.$cities[0]->countryname.'</a><b class="s4"></b>' . "\n";
		$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
		$i = 0;
		foreach ( $cities as $cityitem ) {
			$citylink =  JRoute::_( restaurantguideHelperRoute::getCityRoute($cityitem->slug));
			
			if ($cityitem->image)
				$imagelink = JURI::base() .'images/restaurantguide/city/scrop/' .$cityitem->image;
			else
				$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
				
			if ($i == 0) {
				$menulist .= '<p>';
				$menulist .= '<span class="col1"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col1l"><a href="'.$citylink.'">'.JText::_($cityitem->text).'</a></span>';
			} else if ($i == 1) {
				$menulist .= '<span class="col2"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col2l"><a href="'.$citylink.'">'.JText::_($cityitem->text).'</a></span>';
			} else if ($i == 2) {
				$menulist .= '<span class="col3"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col3l"><a href="'.$citylink.'">'.JText::_($cityitem->text).'</a></span>';
			} else if ($i == 3) {
				$menulist .= '<span class="col4"><a href="'.$citylink.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
				$menulist .= '<span class="col4l"><a href="'.$citylink.'">'.JText::_($cityitem->text).'</a></span>';
			}
			
			$i++;

			if ($i == 4) {
				$menulist .= '</p>' . "\n";
				$i = 0;
			}  
		}
		$menulist .= '</div></li>' . "\n";
		
		if ($city) {
			$citylink =  JRoute::_( 'index.php?option=com_restaurantguide&amp;view=city');
			$menulist .= '<li><a href="'.$citylink.'">'.JText::_('RESTAURANTS IN').'&nbsp;'.$name.'</a><b class="s4"></b>' . "\n";
			$menulist .= '<div><b class="s1"></b><b class="s2"></b><b class="s3"></b>' . "\n";
			
			$n = count($restos);
			foreach ( $types as $type ) {
				$i = 0;
				foreach ( $restos as $resto ) {
					if ($type->id == $resto->tid) $i = 1;
				}
				if ($i == 1) {
					$menulist .= '<h2>'.JText::_( strtoupper($type->name)).'</h2>' . "\n";
	
					foreach ( $restos as $resto )
					{					
						$j = 0;
						if ($type->id != $resto->tid) continue;
						$link =  JRoute::_( restaurantguideHelperRoute::getItemRoute($resto->slug) );
	
						if ($resto->mainimage)
							$imagelink = JURI::base() .'images/restaurantguide/gallery/restaurant_'.$resto->id.'/scrop/' .$resto->mainimage;
						else
							$imagelink = JURI::base() .'/components/com_restaurantguide/assets/images/no_thumb_20.gif';
						
						if ($i == 1) {
							$menulist .= '<p>';
							$menulist .= '<span class="col1"><a href="'.$link.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
							$menulist .= '<span class="col1l"><a href="'.$link.'">'.JText::_($resto->title).'</a></span>';
						} else if ($i == 2) {
							$menulist .= '<span class="col2"><a href="'.$link.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
							$menulist .= '<span class="col2l"><a href="'.$link.'">'.JText::_($resto->title).'</a></span>';
						} else if ($i == 3) {
							$menulist .= '<span class="col3"><a href="'.$link.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
							$menulist .= '<span class="col3l"><a href="'.$link.'">'.JText::_($resto->title).'</a></span>';
						} else if ($i == 4) {
							$menulist .= '<span class="col4"><a href="'.$link.'"><img class="menuimage" src="'.$imagelink. '" width="20px" alt=""/></a></span>';
							$menulist .= '<span class="col4l"><a href="'.$link.'">'.JText::_($resto->title).'</a></span>';
						}
						
						$i++;
						$j++;
						if ($i == 5 || $j == $n) {
							$menulist .= '</p>' . "\n";
							$i = 0;
						}  
					}
				}
			}		
			$menulist .= '</div></li>' . "\n";
		}
		
		$menulist .= '</ul>' . "\n";

		return $menulist;
	} 
	
	function search_country($selected)
	{
		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_countries AS c ON c.id = i.country'
				. ' WHERE i.state = 1'
				. ' AND i.country > 0'
				. ' GROUP BY i.country'
				;
	
		$db->setQuery( $query );
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onChange="ChangeState(this.value); ChangeCity(this.value)"';
//		$javascript = 'onChange="ChangeState(this.value); ChangeCityNoState(this.value)"';
		$country = JHTML::_('select.genericlist', $country, 'filter_country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $selected);

		return $country;
	}
	
	function search_state($country, $selected)
	{
		$db  		= & JFactory::getDBO();
		
		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_states'
				. ' WHERE country = '.$country
				;
	
		$db->setQuery( $query );
		$result = $db->loadObjectList();
		
		$states[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT STATE') .' -');
		$states = @array_merge($states, $result);
		$javascript = 'onChange="ChangeStateCity(this.value)"';
		$states = JHTML::_('select.genericlist', $states, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $selected);

		return $states;
	}
	
	function search_city( $country, $city )
	{
		$db 	=& JFactory::getDBO();

		$query = 'SELECT id AS value, name AS text'
				. ' FROM #__rg_cities'
				. ' WHERE country = '.$country
				. ' AND parent_id = 0'
				. ' ORDER BY name ASC'
				;
					
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		$cityoption[] = JHTML::_('select.option',  '0', '- '. JText::_('SELECT CITY') .' -');
		
		if ( count($results)>0 ) {
			$cityoption = @array_merge($cityoption, $results);
		} else {
			$cityoption[] = JHTML::_('select.option',  0, JText::_('NO CITY') );
		}
	
		$javascript = '';
		$output = JHTML::_('select.genericlist', $cityoption, 'filter_city', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', $city);
	
		echo $output;
	}

	function search_cuisine($cuisine_search="")
	{
		if ( empty($cuisine_search) ) {
			$cuisine_search = array();
		} 
		
		$db 	=& JFactory::getDBO();
		$db->setQuery( "SELECT id AS value, name AS text FROM #__rg_cuisines WHERE published = 1 AND atmosphere = 0 ORDER BY text ASC");
		$cuisines = $db->loadObjectList();

		if ($db->getErrorNum()) 
		{
			return $db->getErrorMsg();
		}

		$bSelected = $cuisine_search;
		$bCuisine = false;
		if (isset($cuisine_search[0]) )
		{
			$bCuisine = true;
		}

		$html = '<div class="rg_tagbox">';

		$html .= '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="cuisine_search" value="0" '.( $bCuisine ? " checked" : "" ).' onClick="uncheckAll(document.searchform.cuisine_search)"/></span>'.JText::_('ALL').'</span>';
				
		foreach ( $cuisines as $k=> $row ) {
			$bCuisine = false;
			if ( in_array( $row->value, $bSelected ) )
			{
				$bCuisine = true;
			}

			$html .= '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="cuisine_search" value="'. $row->value .'" '.( $bCuisine ? " checked" : "" ).' onClick="uncheck(document.searchform.cuisine_search)"/></span>'.$row->text.'</span>';
		}
		$html .= "</div>\n" ;
		
		return $html;
	}
	
	function search_atmosphere($atmo_search="")
	{
		if ( empty($atmo_search) ) {
			$atmo_search = array();
		} 
		
		$db 	=& JFactory::getDBO();
		$db->setQuery( "SELECT id AS value, name AS text FROM #__rg_cuisines WHERE published = 1 AND atmosphere = 1 ORDER BY text ASC");
		$atmos = $db->loadObjectList();

		if ($db->getErrorNum()) 
		{
			return $db->getErrorMsg();
		}

		$bSelected = $atmo_search;
		$bAtmo = false;
		if (isset($atmo_search[0]) )
		{
			$bAtmo = true;
		}
		$html = '<div class="rg_tagbox">';

		$html .= '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="atmo_search" value="0" '.( $bAtmo ? " checked" : "" ).' onClick="uncheckAll(document.searchform.atmo_search)"/></span>'.JText::_('ALL').'</span>';
				
		foreach ( $atmos as $k=> $row ) {
			$bAtmo = false;
			if ( in_array( $row->value, $bSelected ) )
			{
				$bAtmo = true;
			}
		
			$html .= '<span class="rg_tag"><span class="rg_tagidbox"><input type="checkbox" name="atmo_search" value="'. $row->value .'" '.( $bAtmo ? " checked" : "" ).' onClick="uncheck(document.searchform.atmo_search)"/></span>'.$row->text.'</span>';
		}
		$html .= "</div>\n" ;
		
		return $html;
	}
	
	function showtags($tags)
	{
		$html = '';
		$html .= '<div class="tags">';
		$html .= '<span class="tag_label">&nbsp;&nbsp;&nbsp;'. JText::_('TAGS').': </span>';
		
		$count = count($tags);
		$i = 1;
		foreach ($tags as $tag){
			$html .= '<span class="tag">';
			$html .= '<a href="'.JRoute::_(restaurantguideHelperRoute::getTagRoute($tag->slug)).'">';
			$html .= htmlspecialchars($tag->name).'</a></span>';
			
			if ($i < $count)
				$html .= ' | ';
			$i ++;
		}
		$html .= '</div>' ;
		
		return $html;
	}
}


