

CREATE TABLE IF NOT EXISTS `#__rg_admanagers` (
  `id` int(11) NOT NULL auto_increment,
  `catid` int(11) NOT NULL,
  `adid` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `resto` int(11) NOT NULL,
  `adunit` tinyint(1) NOT NULL,
  `sdate` date NOT NULL,
  `edate` date NOT NULL,
  `url` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_adtypes` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_categories` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_id` int(11) unsigned NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `imagewidth` int(11) unsigned NOT NULL,
  `imageheight` int(11) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_cats_item_relations` (
  `catid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `ordering` tinyint(11) NOT NULL,
  PRIMARY KEY  (`catid`,`itemid`),
  KEY `catid` (`catid`),
  KEY `itemid` (`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_cities` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `statename` varchar(25) NOT NULL,
  `country` int(11) NOT NULL,
  `destination` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `image_size` int(11) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `lat` varchar(20) NOT NULL,
  `lon` varchar(20) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(20) NOT NULL,
  `mapheight` int(4) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_continents` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `alias` varchar(100) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `image_size` int(4) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(15) NOT NULL,
  `mapheight` int(4) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_countries` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `alias` varchar(100) NOT NULL,
  `code_1` char(3) default NULL,
  `code_2` char(2) default NULL,
  `continent` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `image_size` int(4) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(15) NOT NULL,
  `mapheight` int(4) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_country_name` (`name`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_cuisines` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(256) character set utf8 NOT NULL,
  `description` text character set utf8 NOT NULL,
  `atmosphere` tinyint(1) NOT NULL,
  `search` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_events` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL,
  `catid` int(11) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `resto` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `statename` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `lat` varchar(20) NOT NULL,
  `lon` varchar(20) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(20) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `image_size` int(11) NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `startdates` date NOT NULL default '0000-00-00',
  `enddates` date NOT NULL default '0000-00-00',
  `tabtitle` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `hits` int(11) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_events_item_relations` (
  `evid` int(11) NOT NULL auto_increment,
  `itemid` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`evid`,`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_facilities` (
  `id` int(11) NOT NULL auto_increment,
  `name` mediumtext NOT NULL,
  `description` mediumtext NOT NULL,
  `pictogram` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL default '1',
  `checked_out` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_favourites` (
  `id` int(11) NOT NULL auto_increment,
  `itemid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`,`itemid`,`userid`),
  KEY `id` (`id`),
  KEY `itemid` (`itemid`),
  KEY `userid` (`userid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_galleryitems` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) unsigned NOT NULL,
  `catid` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `resto` int(11) NOT NULL,
  `description` mediumtext NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `slideshow` tinyint(1) unsigned NOT NULL default '0',
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_links` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `catid` int(11) NOT NULL,
  `resto` int(11) unsigned NOT NULL,
  `contentid` int(11) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_menus` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `catid` int(11) NOT NULL,
  `resto` int(11) NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `image` varchar(255) NOT NULL default '',
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `backimage` varchar(255) NOT NULL,
  `backimagewidth` int(11) NOT NULL,
  `backimageheight` int(11) NOT NULL,
  `transparency` int(11) NOT NULL,
  `price` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_menus_item_relations` (
  `mid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `ordering` tinyint(11) NOT NULL,
  PRIMARY KEY  (`mid`,`itemid`),
  KEY `mid` (`mid`),
  KEY `itemid` (`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_promotions` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `catid` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `resto` int(11) NOT NULL,
  `description` text NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `slideshow` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_recipes` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_id` int(11) unsigned NOT NULL,
  `title` varchar(256) character set utf8 NOT NULL,
  `alias` varchar(256) character set utf8 NOT NULL,
  `description` text character set utf8 NOT NULL,
  `ingredients` text character set utf8 NOT NULL,
  `methods` text character set utf8 NOT NULL,
  `meta_keywords` varchar(256) character set utf8 NOT NULL,
  `meta_description` varchar(256) character set utf8 NOT NULL,
  `image` varchar(256) character set utf8 NOT NULL,
  `imagewidth` int(11) NOT NULL,
  `imageheight` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `hits` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_recipes_item_relations` (
  `cuid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `ordering` tinyint(11) NOT NULL,
  PRIMARY KEY  (`cuid`,`itemid`),
  KEY `cuid` (`cuid`),
  KEY `itemid` (`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_restaurantitems` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `mainimage` varchar(255) NOT NULL default '',
  `logoimage` varchar(255) NOT NULL,
  `imagewidth` int(11) unsigned NOT NULL,
  `imageheight` int(11) unsigned NOT NULL,
  `address` varchar(255) NOT NULL,
  `city` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `statename` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `fax` varchar(50) NOT NULL,
  `businesshr` varchar(100) NOT NULL,
  `holiday` varchar(100) NOT NULL,
  `seats` varchar(100) NOT NULL,
  `payment` varchar(255) NOT NULL,
  `language` varchar(255) NOT NULL,
  `branches` mediumtext NOT NULL,
  `rate` int(11) default '0',
  `rate_sum` int(11) default '0',
  `hits` int(11) unsigned NOT NULL default '0',
  `post_hits` int(11) NOT NULL,
  `version` int(11) unsigned NOT NULL,
  `booking` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `urldata` text NOT NULL,
  `meta_title` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_description` text NOT NULL,
  `metadata` text NOT NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL default '0',
  `created_by_alias` text NOT NULL,
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL default '0',
  `attribs` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL default '0',
  `ordering` int(11) default '0',
  `tid` int(11) unsigned NOT NULL default '0',
  `gid` int(11) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `bookingtime` mediumtext NOT NULL,
  `facilities` text NOT NULL,
  `cuisines` text NOT NULL,
  `atmos` text NOT NULL,
  `menus` text NOT NULL,
  `menu_desc` text NOT NULL,
  `service` text NOT NULL,
  `activity` text NOT NULL,
  `introduction` text NOT NULL,
  `eat` text NOT NULL,
  `drink` text NOT NULL,
  `price` text NOT NULL,
  `promotions` text NOT NULL,
  `venue` mediumtext NOT NULL,
  `lat` varchar(100) NOT NULL,
  `lon` varchar(100) NOT NULL,
  `zoom` int(11) unsigned NOT NULL,
  `maptype` varchar(20) NOT NULL,
  `kml` varchar(255) NOT NULL default '',
  `slideshow` tinyint(1) NOT NULL,
  `slideshowposition` tinyint(1) NOT NULL,
  `slideshowfloat` tinyint(1) NOT NULL,
  `slideshowwidth` varchar(10) NOT NULL,
  `slideshowheight` varchar(10) NOT NULL,
  `infoheight` int(11) NOT NULL,
  `delay` int(11) NOT NULL,
  `contact` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_restauranttypes` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL default '1',
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `access` int(11) NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_settings` (
  `id` int(11) NOT NULL,
  `siteslogan` mediumtext NOT NULL,
  `showintrotext` tinyint(1) NOT NULL,
  `introgallery` tinyint(1) NOT NULL,
  `introgallerywidth` int(11) NOT NULL,
  `introgalleryheight` int(11) NOT NULL,
  `introdescription` text NOT NULL,
  `pdf_icon` tinyint(1) NOT NULL,
  `print_icon` tinyint(1) NOT NULL,
  `api_key` varchar(255) NOT NULL,
  `apiversion` tinyint(1) NOT NULL,
  `lat` varchar(20) NOT NULL,
  `lon` varchar(20) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(20) NOT NULL,
  `mapheight` int(5) NOT NULL,
  `logoimage` varchar(255) NOT NULL,
  `logowidth` int(5) NOT NULL,
  `logoheight` int(5) NOT NULL,
  `googlethumb_quality` int(11) NOT NULL,
  `googlethumb_width` int(11) NOT NULL,
  `mainimage_size` int(11) NOT NULL,
  `mainthumb_size` int(11) NOT NULL,
  `category_width` int(11) unsigned NOT NULL,
  `thumb_size` int(11) NOT NULL,
  `type_width` int(11) NOT NULL,
  `menu_width` int(11) unsigned NOT NULL,
  `menu_thumb_width` int(11) unsigned NOT NULL,
  `gall_thumb_width` int(11) NOT NULL,
  `max_upload_size` int(11) NOT NULL,
  `mootools` tinyint(1) NOT NULL,
  `box` varchar(20) NOT NULL,
  `titlecolor` varchar(10) NOT NULL,
  `restotypecolor` varchar(10) NOT NULL,
  `bordercolor` varchar(10) NOT NULL,
  `backcolor_box` varchar(10) NOT NULL,
  `linecolor_box` varchar(10) NOT NULL,
  `cuisineboxcolor` varchar(10) NOT NULL,
  `cuisinebordercolor` varchar(10) NOT NULL,
  `show_category` tinyint(1) NOT NULL,
  `listheight_resto` int(11) NOT NULL,
  `max_char_restaurant` int(11) NOT NULL,
  `world_slogan` varchar(255) NOT NULL,
  `world_menu` tinyint(1) NOT NULL,
  `world_search` tinyint(1) NOT NULL,
  `world_links` tinyint(1) NOT NULL,
  `world_adsense` tinyint(1) NOT NULL,
  `world_publisher_id` varchar(30) NOT NULL,
  `world_ad_slot` varchar(20) NOT NULL,
  `world_ad_width` int(11) NOT NULL,
  `world_ad_height` int(11) NOT NULL,
  `world_topdesti` tinyint(1) NOT NULL,
  `world_top_limit` int(11) NOT NULL,
  `world_top_color` varchar(10) NOT NULL,
  `world_top_border` varchar(10) NOT NULL,
  `world_desti` tinyint(1) NOT NULL,
  `world_city_limit` int(11) NOT NULL,
  `world_resto_limit` int(11) NOT NULL,
  `conti_menu` tinyint(1) NOT NULL,
  `conti_search` tinyint(1) NOT NULL,
  `conti_links` tinyint(1) NOT NULL,
  `conti_adsense` tinyint(1) NOT NULL,
  `conti_publisher_id` varchar(30) NOT NULL,
  `conti_ad_slot` varchar(20) NOT NULL,
  `conti_ad_width` int(11) NOT NULL,
  `conti_ad_height` int(11) NOT NULL,
  `conti_topdesti` tinyint(1) NOT NULL,
  `conti_top_limit` int(11) NOT NULL,
  `conti_top_color` varchar(10) NOT NULL,
  `conti_top_border` varchar(10) NOT NULL,
  `conti_desti` tinyint(1) NOT NULL,
  `conti_city_limit` int(11) NOT NULL,
  `conti_resto_limit` int(11) NOT NULL,
  `country_menu` tinyint(1) NOT NULL,
  `country_search` tinyint(1) NOT NULL,
  `country_links` tinyint(1) NOT NULL,
  `country_adsense` tinyint(1) NOT NULL,
  `country_publisher_id` varchar(30) NOT NULL,
  `country_ad_slot` varchar(20) NOT NULL,
  `country_ad_width` int(11) NOT NULL,
  `country_ad_height` int(11) NOT NULL,
  `country_topdesti` tinyint(1) NOT NULL,
  `country_top_limit` int(11) NOT NULL,
  `country_top_color` varchar(10) NOT NULL,
  `country_top_border` varchar(10) NOT NULL,
  `country_desti` tinyint(1) NOT NULL,
  `country_city_limit` int(11) NOT NULL,
  `country_resto_limit` int(11) NOT NULL,
  `city_menu` tinyint(1) NOT NULL,
  `city_search` tinyint(1) NOT NULL,
  `city_links` tinyint(1) NOT NULL,
  `city_adsense` tinyint(1) NOT NULL,
  `city_publisher_id` varchar(30) NOT NULL,
  `city_ad_slot` varchar(20) NOT NULL,
  `city_ad_width` int(11) NOT NULL,
  `city_ad_height` int(11) NOT NULL,
  `city_topdesti` tinyint(1) NOT NULL,
  `city_top_limit` int(11) NOT NULL,
  `city_top_color` varchar(10) NOT NULL,
  `city_top_border` varchar(10) NOT NULL,
  `city_desti` tinyint(1) NOT NULL,
  `city_city_limit` int(11) NOT NULL,
  `city_resto_limit` int(11) NOT NULL,
  `search_menu` tinyint(1) NOT NULL,
  `search_links` tinyint(1) NOT NULL,
  `search_adsense` tinyint(1) NOT NULL,
  `search_publisher_id` varchar(30) NOT NULL,
  `search_ad_slot` varchar(20) NOT NULL,
  `search_ad_width` int(11) NOT NULL,
  `search_ad_height` int(11) NOT NULL,
  `search_limit` int(11) NOT NULL,
  `search_topdesti` tinyint(1) NOT NULL,
  `search_top_limit` int(11) NOT NULL,
  `search_top_color` varchar(10) NOT NULL,
  `search_top_border` varchar(10) NOT NULL,
  `search_desti` tinyint(1) NOT NULL,
  `search_city_limit` int(11) NOT NULL,
  `search_resto_limit` int(11) NOT NULL,
  `mainbordercolor` varchar(10) NOT NULL,
  `maintitlecolor` varchar(10) NOT NULL,
  `mainrestotypecolor` varchar(10) NOT NULL,
  `rating` tinyint(1) NOT NULL,
  `weather` tinyint(1) NOT NULL,
  `wboxcolor` varchar(10) NOT NULL,
  `wbordercolor` varchar(10) NOT NULL,
  `social` tinyint(1) NOT NULL,
  `showtags` tinyint(1) NOT NULL,
  `showficon` tinyint(1) NOT NULL,
  `tag_menu` tinyint(1) NOT NULL,
  `tag_search` tinyint(1) NOT NULL,
  `tag_links` tinyint(1) NOT NULL,
  `tag_adsense` tinyint(1) NOT NULL,
  `tag_publisher_id` varchar(30) NOT NULL,
  `tag_ad_slot` varchar(20) NOT NULL,
  `tag_ad_width` int(11) NOT NULL,
  `tag_ad_height` int(11) NOT NULL,
  `tag_topdesti` tinyint(1) NOT NULL,
  `tag_top_limit` int(11) NOT NULL,
  `tag_top_color` varchar(10) NOT NULL,
  `tag_top_border` varchar(10) NOT NULL,
  `tag_desti` tinyint(1) NOT NULL,
  `tag_city_limit` int(11) NOT NULL,
  `tag_resto_limit` int(11) NOT NULL,
  `maxeventlist` int(11) NOT NULL,
  `autopley` tinyint(1) NOT NULL,
  `delay` int(11) NOT NULL,
  `maxlist` int(11) NOT NULL,
  `listheight_des` int(11) NOT NULL,
  `max_char_des` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_states` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL,
  `country` int(11) NOT NULL,
  `name` varchar(255) default NULL,
  `alias` varchar(255) NOT NULL,
  `code_1` char(3) default NULL,
  `code_2` char(2) default NULL,
  `published` tinyint(1) NOT NULL,
  `image` varchar(255) NOT NULL,
  `image_size` int(11) NOT NULL,
  `imagewidth` int(4) NOT NULL,
  `imageheight` int(4) NOT NULL,
  `lat` varchar(15) NOT NULL,
  `lon` varchar(15) NOT NULL,
  `zoom` int(2) NOT NULL,
  `maptype` varchar(15) NOT NULL,
  `mapheight` int(4) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_description` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `code_1` (`country`,`code_1`),
  UNIQUE KEY `code_2` (`country`,`code_2`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_tags` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_tags_item_relations` (
  `tid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `country` int(11) NOT NULL,
  `city` int(11) NOT NULL,
  `recipe` int(11) NOT NULL,
  PRIMARY KEY  (`tid`,`itemid`),
  KEY `tid` (`tid`),
  KEY `itemid` (`itemid`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;

CREATE TABLE IF NOT EXISTS `#__rg_testimonial` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `post_id` int(11) NOT NULL COMMENT 'restaurant_post_id',
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `date` datetime NOT NULL,
  `update` datetime default NULL,
  `service` int(11) NOT NULL,
  `food` int(11) NOT NULL,
  `ambience` int(11) NOT NULL,
  `location` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;


INSERT IGNORE INTO `#__rg_adtypes` VALUES
(1, 'Front Page', 1),
(2, 'Destinations', 1),
(3, 'Top Destination', 1),
(4, 'Sponsor Links', 1),
(5, 'Right Banner', 1);

INSERT IGNORE INTO `#__rg_continents` VALUES
(1, 'Asia', 'asia', 1, '', 0, 0, 0, '23.489446412211', '103.46923828125', 3, 'roadmap', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 'Africa', 'africa', 1, '', 0, 0, 0, '2.1594007802207', '19.35791015625', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 'Middle East', 'middle-east', 1, '', 0, 0, 0, '31.133841850930', '46.69189453125', 4, 'roadmap', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 'Pacific Ocean & Australia', 'pacific-ocean-a-australia', 0, '', 0, 0, 0, '-29.39557649949', '145.01953125', 3, 'roadmap', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 'Europe', 'europe', 1, '', 0, 0, 0, '54.575882638824', '21.29150390625', 3, 'terrain', 400, '', 'photoindochina.com:: Restaurants in Europe', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 'North America', 'north-america', 0, '', 0, 0, 0, '43.009467558094', '266.59423828125', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 'Central America and Caribbean', 'central-america-and-caribbean', 1, '', 0, 0, 0, '15.332929128635', '278.15185546875', 5, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 'South America', 'south-america', 0, '', 0, 0, 0, '-24.92031678510', '298.67431640625', 3, 'terrain', 400, '', '', '', '', 0, '0000-00-00 00:00:00', 0);

INSERT IGNORE INTO `#__rg_countries` VALUES
(1, 'Afghanistan', 'afghanistan', 'AFG', 'AF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 'Albania', 'albania', 'ALB', 'AL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 'Algeria', 'algeria', 'DZA', 'DZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 'American Samoa', '', 'ASM', 'AS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 'Andorra', '', 'AND', 'AD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 'Angola', '', 'AGO', 'AO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 'Anguilla', '', 'AIA', 'AI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 'Antarctica', '', 'ATA', 'AQ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(9, 'Antigua and Barbuda', '', 'ATG', 'AG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(10, 'Argentina', '', 'ARG', 'AR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(11, 'Armenia', '', 'ARM', 'AM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(12, 'Aruba', '', 'ABW', 'AW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(13, 'Australia', 'australia', 'AUS', 'AU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(14, 'Austria', 'austria', 'AUT', 'AT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(15, 'Azerbaijan', '', 'AZE', 'AZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(16, 'Bahamas', '', 'BHS', 'BS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(17, 'Bahrain', '', 'BHR', 'BH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(18, 'Bangladesh', '', 'BGD', 'BD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(19, 'Barbados', '', 'BRB', 'BB', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(20, 'Belarus', '', 'BLR', 'BY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(21, 'Belgium', 'belgium', 'BEL', 'BE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(22, 'Belize', '', 'BLZ', 'BZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(23, 'Benin', '', 'BEN', 'BJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(24, 'Bermuda', '', 'BMU', 'BM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(25, 'Bhutan', '', 'BTN', 'BT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(26, 'Bolivia', '', 'BOL', 'BO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(27, 'Bosnia and Herzegowina', '', 'BIH', 'BA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(28, 'Botswana', '', 'BWA', 'BW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(29, 'Bouvet Island', '', 'BVT', 'BV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(30, 'Brazil', '', 'BRA', 'BR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(31, 'British Indian Ocean Territory', '', 'IOT', 'IO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(32, 'Brunei Darussalam', '', 'BRN', 'BN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(33, 'Bulgaria', '', 'BGR', 'BG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(34, 'Burkina Faso', '', 'BFA', 'BF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(35, 'Burundi', '', 'BDI', 'BI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(36, 'Cambodia', 'cambodia', 'KHM', 'KH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(37, 'Cameroon', '', 'CMR', 'CM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(38, 'Canada', '', 'CAN', 'CA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(39, 'Cape Verde', '', 'CPV', 'CV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(40, 'Cayman Islands', '', 'CYM', 'KY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(41, 'Central African Republic', '', 'CAF', 'CF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(42, 'Chad', '', 'TCD', 'TD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(43, 'Chile', '', 'CHL', 'CL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(44, 'China', 'china', 'CHN', 'CN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(45, 'Christmas Island', '', 'CXR', 'CX', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(46, 'Cocos (Keeling) Islands', '', 'CCK', 'CC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(47, 'Colombia', '', 'COL', 'CO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(48, 'Comoros', '', 'COM', 'KM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(49, 'Congo', '', 'COG', 'CG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(50, 'Cook Islands', '', 'COK', 'CK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(51, 'Costa Rica', '', 'CRI', 'CR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(52, 'Cote D''Ivoire', '', 'CIV', 'CI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(53, 'Croatia', '', 'HRV', 'HR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(54, 'Cuba', '', 'CUB', 'CU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(55, 'Cyprus', '', 'CYP', 'CY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(56, 'Czech Republic', '', 'CZE', 'CZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(57, 'Denmark', '', 'DNK', 'DK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(58, 'Djibouti', '', 'DJI', 'DJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(59, 'Dominica', '', 'DMA', 'DM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(60, 'Dominican Republic', '', 'DOM', 'DO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(61, 'East Timor', 'east-timor', 'TMP', 'TP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(62, 'Ecuador', '', 'ECU', 'EC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(63, 'Egypt', '', 'EGY', 'EG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(64, 'El Salvador', '', 'SLV', 'SV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(65, 'Equatorial Guinea', '', 'GNQ', 'GQ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(66, 'Eritrea', '', 'ERI', 'ER', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(67, 'Estonia', '', 'EST', 'EE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(68, 'Ethiopia', '', 'ETH', 'ET', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(69, 'Falkland Islands (Malvinas)', '', 'FLK', 'FK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(70, 'Faroe Islands', '', 'FRO', 'FO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(71, 'Fiji', '', 'FJI', 'FJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(72, 'Finland', '', 'FIN', 'FI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(73, 'France', '', 'FRA', 'FR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(74, 'France, Metropolitan', '', 'FXX', 'FX', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(75, 'French Guiana', '', 'GUF', 'GF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(76, 'French Polynesia', '', 'PYF', 'PF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(77, 'French Southern Territories', '', 'ATF', 'TF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(78, 'Gabon', '', 'GAB', 'GA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(79, 'Gambia', '', 'GMB', 'GM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(80, 'Georgia', '', 'GEO', 'GE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(81, 'Germany', 'germany', 'DEU', 'DE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(82, 'Ghana', '', 'GHA', 'GH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(83, 'Gibraltar', '', 'GIB', 'GI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(84, 'Greece', 'greece', 'GRC', 'GR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(85, 'Greenland', '', 'GRL', 'GL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(86, 'Grenada', '', 'GRD', 'GD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(87, 'Guadeloupe', '', 'GLP', 'GP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(88, 'Guam', '', 'GUM', 'GU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(89, 'Guatemala', '', 'GTM', 'GT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(90, 'Guinea', '', 'GIN', 'GN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(91, 'Guinea-bissau', '', 'GNB', 'GW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(92, 'Guyana', '', 'GUY', 'GY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(93, 'Haiti', '', 'HTI', 'HT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(94, 'Heard and Mc Donald Islands', '', 'HMD', 'HM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(95, 'Honduras', '', 'HND', 'HN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(96, 'Hong Kong', 'hong-kong', 'HKG', 'HK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(97, 'Hungary', '', 'HUN', 'HU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(98, 'Iceland', '', 'ISL', 'IS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(99, 'India', 'india', 'IND', 'IN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(100, 'Indonesia', 'indonesia', 'IDN', 'ID', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(101, 'Iran (Islamic Republic of)', '', 'IRN', 'IR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(102, 'Iraq', '', 'IRQ', 'IQ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(103, 'Ireland', '', 'IRL', 'IE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(104, 'Israel', '', 'ISR', 'IL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(105, 'Italy', 'italy', 'ITA', 'IT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(106, 'Jamaica', '', 'JAM', 'JM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(107, 'Japan', 'japan', 'JPN', 'JP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(108, 'Jordan', '', 'JOR', 'JO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(109, 'Kazakhstan', '', 'KAZ', 'KZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(110, 'Kenya', '', 'KEN', 'KE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(111, 'Kiribati', '', 'KIR', 'KI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(112, 'Korea, Democratic People''s Republic of', '', 'PRK', 'KP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(113, 'Korea, Republic of', 'korea-republic-of', 'KOR', 'KR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(114, 'Kuwait', '', 'KWT', 'KW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(115, 'Kyrgyzstan', '', 'KGZ', 'KG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(116, 'Lao People''s Democratic Republic', 'lao-peoples-democratic-republic', 'LAO', 'LA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(117, 'Latvia', '', 'LVA', 'LV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(118, 'Lebanon', '', 'LBN', 'LB', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(119, 'Lesotho', '', 'LSO', 'LS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(120, 'Liberia', '', 'LBR', 'LR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(121, 'Libyan Arab Jamahiriya', '', 'LBY', 'LY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(122, 'Liechtenstein', '', 'LIE', 'LI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(123, 'Lithuania', '', 'LTU', 'LT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(124, 'Luxembourg', '', 'LUX', 'LU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(125, 'Macau', '', 'MAC', 'MO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(126, 'Macedonia, The Former Yugoslav Republic of', '', 'MKD', 'MK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(127, 'Madagascar', '', 'MDG', 'MG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(128, 'Malawi', '', 'MWI', 'MW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(129, 'Malaysia', '', 'MYS', 'MY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(130, 'Maldives', '', 'MDV', 'MV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(131, 'Mali', '', 'MLI', 'ML', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(132, 'Malta', '', 'MLT', 'MT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(133, 'Marshall Islands', '', 'MHL', 'MH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(134, 'Martinique', '', 'MTQ', 'MQ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(135, 'Mauritania', '', 'MRT', 'MR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(136, 'Mauritius', '', 'MUS', 'MU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(137, 'Mayotte', '', 'MYT', 'YT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(138, 'Mexico', '', 'MEX', 'MX', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(139, 'Micronesia, Federated States of', '', 'FSM', 'FM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(140, 'Moldova, Republic of', '', 'MDA', 'MD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(141, 'Monaco', '', 'MCO', 'MC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(142, 'Mongolia', '', 'MNG', 'MN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(143, 'Montserrat', '', 'MSR', 'MS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(144, 'Morocco', '', 'MAR', 'MA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(145, 'Mozambique', '', 'MOZ', 'MZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(146, 'Myanmar', '', 'MMR', 'MM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(147, 'Namibia', '', 'NAM', 'NA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(148, 'Nauru', '', 'NRU', 'NR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(149, 'Nepal', '', 'NPL', 'NP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(150, 'Netherlands', '', 'NLD', 'NL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(151, 'Netherlands Antilles', '', 'ANT', 'AN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(152, 'New Caledonia', '', 'NCL', 'NC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(153, 'New Zealand', '', 'NZL', 'NZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(154, 'Nicaragua', '', 'NIC', 'NI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(155, 'Niger', '', 'NER', 'NE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(156, 'Nigeria', '', 'NGA', 'NG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(157, 'Niue', '', 'NIU', 'NU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(158, 'Norfolk Island', '', 'NFK', 'NF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(159, 'Northern Mariana Islands', '', 'MNP', 'MP', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(160, 'Norway', '', 'NOR', 'NO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(161, 'Oman', '', 'OMN', 'OM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(162, 'Pakistan', '', 'PAK', 'PK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(163, 'Palau', '', 'PLW', 'PW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(164, 'Panama', '', 'PAN', 'PA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(165, 'Papua New Guinea', '', 'PNG', 'PG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(166, 'Paraguay', '', 'PRY', 'PY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(167, 'Peru', '', 'PER', 'PE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(168, 'Philippines', '', 'PHL', 'PH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(169, 'Pitcairn', '', 'PCN', 'PN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(170, 'Poland', '', 'POL', 'PL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(171, 'Portugal', '', 'PRT', 'PT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(172, 'Puerto Rico', '', 'PRI', 'PR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(173, 'Qatar', '', 'QAT', 'QA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(174, 'Reunion', '', 'REU', 'RE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(175, 'Romania', '', 'ROM', 'RO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(176, 'Russian Federation', '', 'RUS', 'RU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(177, 'Rwanda', '', 'RWA', 'RW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(178, 'Saint Kitts and Nevis', '', 'KNA', 'KN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(179, 'Saint Lucia', '', 'LCA', 'LC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(180, 'Saint Vincent and the Grenadines', '', 'VCT', 'VC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(181, 'Samoa', '', 'WSM', 'WS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(182, 'San Marino', '', 'SMR', 'SM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(183, 'Sao Tome and Principe', '', 'STP', 'ST', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(184, 'Saudi Arabia', '', 'SAU', 'SA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(185, 'Senegal', '', 'SEN', 'SN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(186, 'Seychelles', '', 'SYC', 'SC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(187, 'Sierra Leone', '', 'SLE', 'SL', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(188, 'Singapore', '', 'SGP', 'SG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(189, 'Slovakia (Slovak Republic)', '', 'SVK', 'SK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(190, 'Slovenia', '', 'SVN', 'SI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(191, 'Solomon Islands', '', 'SLB', 'SB', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(192, 'Somalia', '', 'SOM', 'SO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(193, 'South Africa', '', 'ZAF', 'ZA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(194, 'South Georgia and the South Sandwich Islands', '', 'SGS', 'GS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(195, 'Spain', '', 'ESP', 'ES', 5, 1, '', 0, 0, 0, '39.424312901224', '-3.7353515625', 5, 'terrain', 450, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(196, 'Sri Lanka', '', 'LKA', 'LK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(197, 'St. Helena', '', 'SHN', 'SH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(198, 'St. Pierre and Miquelon', '', 'SPM', 'PM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(199, 'Sudan', '', 'SDN', 'SD', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(200, 'Suriname', '', 'SUR', 'SR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(201, 'Svalbard and Jan Mayen Islands', '', 'SJM', 'SJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(202, 'Swaziland', '', 'SWZ', 'SZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(203, 'Sweden', '', 'SWE', 'SE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(204, 'Switzerland', '', 'CHE', 'CH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(205, 'Syrian Arab Republic', '', 'SYR', 'SY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(206, 'Taiwan', '', 'TWN', 'TW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(207, 'Tajikistan', '', 'TJK', 'TJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(208, 'Tanzania, United Republic of', '', 'TZA', 'TZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(209, 'Thailand', 'thailand', 'THA', 'TH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(210, 'Togo', 'togo', 'TGO', 'TG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(211, 'Tokelau', '', 'TKL', 'TK', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(212, 'Tonga', '', 'TON', 'TO', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(213, 'Trinidad and Tobago', '', 'TTO', 'TT', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(214, 'Tunisia', '', 'TUN', 'TN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(215, 'Turkey', '', 'TUR', 'TR', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(216, 'Turkmenistan', '', 'TKM', 'TM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(217, 'Turks and Caicos Islands', '', 'TCA', 'TC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(218, 'Tuvalu', '', 'TUV', 'TV', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(219, 'Uganda', '', 'UGA', 'UG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(220, 'Ukraine', '', 'UKR', 'UA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(221, 'United Arab Emirates', '', 'ARE', 'AE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(222, 'United Kingdom', '', 'GBR', 'GB', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(223, 'United States', '', 'USA', 'US', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(224, 'United States Minor Outlying Islands', '', 'UMI', 'UM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(225, 'Uruguay', 'uruguay', 'URY', 'UY', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(226, 'Uzbekistan', '', 'UZB', 'UZ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(227, 'Vanuatu', '', 'VUT', 'VU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(228, 'Vatican City State (Holy See)', '', 'VAT', 'VA', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(229, 'Venezuela', '', 'VEN', 'VE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(230, 'Viet Nam', 'viet-nam', 'VNM', 'VN', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(231, 'Virgin Islands (British)', '', 'VGB', 'VG', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(232, 'Virgin Islands (U.S.)', '', 'VIR', 'VI', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(233, 'Wallis and Futuna Islands', '', 'WLF', 'WF', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(234, 'Western Sahara', '', 'ESH', 'EH', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(235, 'Yemen', '', 'YEM', 'YE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(236, 'Serbia', '', 'SRB', 'RS', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(237, 'The Democratic Republic of Congo', '', 'DRC', 'DC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(238, 'Zambia', '', 'ZMB', 'ZM', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(239, 'Zimbabwe', '', 'ZWE', 'ZW', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(240, 'West Timor', 'west-timor', 'XET', 'XE', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(241, 'Jersey', '', 'XJE', 'XJ', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(242, 'St. Barthelemy', '', 'XSB', 'XB', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(243, 'St. Eustatius', '', 'XSE', 'XU', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(244, 'Canary Islands', '', 'XCA', 'XC', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(245, 'Montenegro', '', 'MNE', 'ME', 0, 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0);

INSERT IGNORE INTO `#__rg_cuisines` VALUES
(1, 'American', '', 0, 1, 1, 0, 0),
(2, 'Asian', '', 0, 1, 1, 0, 0),
(3, 'Bistros & Brasseries', '', 0, 1, 1, 0, 0),
(4, 'Breakfast & Brunch', '', 0, 1, 1, 0, 0),
(5, 'Buffet', '', 0, 1, 1, 0, 0),
(6, 'Contemporary', '', 0, 1, 1, 0, 0),
(7, 'Alfresco', '', 1, 0, 1, 0, 0),
(8, 'Business', '', 1, 0, 1, 0, 0),
(9, 'Child Friendly', '', 1, 0, 1, 0, 0),
(10, 'Cr perie', '', 0, 1, 1, 0, 0),
(11, 'Delis & Diners', '', 0, 1, 1, 0, 0),
(12, 'Fish & Seafood', '', 0, 1, 1, 0, 0),
(13, 'French', '', 0, 1, 1, 0, 0),
(14, 'Indian', '', 0, 1, 1, 0, 0),
(15, 'Italian', '', 0, 1, 1, 0, 0),
(16, 'Japanese', '', 0, 1, 1, 0, 0),
(17, 'Just for One', '', 1, 0, 1, 0, 0),
(18, 'Korean', '', 0, 1, 1, 0, 0),
(19, 'Late/24-Hour', '', 1, 0, 1, 0, 0),
(20, 'Mediterranean', '', 0, 1, 1, 0, 0),
(21, 'Pizzeria', '', 0, 1, 1, 0, 0),
(22, 'Romantic', '', 1, 0, 1, 0, 0),
(23, 'Steak & Barbecue', '', 0, 1, 1, 0, 0),
(24, 'Vegetarian', '', 1, 0, 1, 0, 0),
(25, 'Vietnamese', '', 0, 1, 1, 0, 0),
(26, 'Organic', '', 1, 0, 1, 0, 0),
(27, 'Theme', '', 1, 0, 1, 0, 0),
(28, 'British & Irish', '', 0, 1, 1, 0, 0),
(29, 'Chinese', '', 0, 1, 1, 0, 0),
(30, 'South American', '', 0, 1, 1, 0, 0),
(31, 'Thai', '', 0, 1, 1, 0, 0),
(32, 'African', '', 0, 0, 1, 0, 0),
(33, 'Australian', '', 0, 0, 1, 0, 0),
(34, 'Austrian, German & Swiss', '', 0, 0, 1, 0, 0),
(35, 'Belgian', '', 0, 0, 1, 0, 0),
(36, 'Kosher', '', 1, 0, 1, 0, 0),
(37, 'Nonsmoking', '', 1, 0, 1, 0, 0),
(38, 'Central European', '', 0, 0, 1, 0, 0),
(39, 'East European', '', 0, 0, 1, 0, 0),
(40, 'Greek', '', 0, 0, 1, 0, 0),
(41, 'Indonesian', '', 0, 0, 1, 0, 0),
(42, 'Malaysian', '', 0, 0, 1, 0, 0),
(43, 'Mexican', '', 0, 1, 1, 0, 0),
(44, 'Middle Eastern & North African', '', 0, 0, 1, 0, 0),
(45, 'Pacific Rim', '', 0, 0, 1, 0, 0),
(46, 'Portuguese', '', 0, 0, 1, 0, 0),
(47, 'Scandinavian', '', 0, 0, 1, 0, 0),
(48, 'Spanish', '', 0, 0, 1, 0, 0),
(49, 'Caribbean', '', 0, 0, 1, 0, 0),
(50, 'Argentinean', '', 0, 0, 1, 0, 0),
(51, 'Bagel & Donut Shops', '', 0, 0, 1, 0, 0),
(52, 'Bakeries', '', 0, 1, 1, 0, 0),
(53, 'Barbecue', '', 0, 0, 1, 0, 0),
(54, 'Basque', '', 0, 0, 1, 0, 0),
(55, 'Brazilian', '', 0, 0, 1, 0, 0),
(56, 'Bistro', '', 0, 0, 1, 0, 0),
(57, 'Breakfast', '', 0, 0, 1, 0, 0),
(58, 'Brewpubs', '', 0, 0, 1, 0, 0),
(59, 'Burgers', '', 0, 0, 1, 0, 0),
(60, 'Cafes', '', 0, 0, 1, 0, 0),
(61, 'Cajun', '', 0, 0, 1, 0, 0),
(62, 'Carry Out & Take Out', '', 0, 0, 1, 0, 0),
(63, 'Coffee Houses', '', 0, 0, 1, 0, 0),
(64, 'Continental', '', 0, 0, 1, 0, 0),
(65, 'Cuban', '', 0, 0, 1, 0, 0),
(66, 'Delicatessens', '', 0, 0, 1, 0, 0),
(67, 'Desserts', '', 0, 0, 1, 0, 0),
(68, 'Eclectic', '', 0, 0, 1, 0, 0),
(69, 'Ethiopian', '', 0, 0, 1, 0, 0),
(70, 'Family Style', '', 0, 0, 1, 0, 0),
(71, 'Fast Food', '', 0, 0, 1, 0, 0),
(72, 'Food Delivery Services', '', 0, 0, 1, 0, 0),
(73, 'Fusion', '', 0, 0, 1, 0, 0),
(74, 'German', '', 0, 0, 1, 0, 0),
(75, 'Grill', '', 0, 0, 1, 0, 0),
(76, 'Healthy', '', 0, 0, 1, 0, 0),
(77, 'Ice Cream & Yogurt', '', 0, 0, 1, 0, 0),
(78, 'International', '', 0, 1, 1, 0, 0),
(79, 'Irish', '', 0, 1, 1, 0, 0),
(80, 'Israeli', '', 0, 0, 1, 0, 0),
(81, 'Jamaican', '', 0, 0, 1, 0, 0),
(82, 'Latin American', '', 0, 0, 1, 0, 0),
(83, 'Middle Eastern', '', 0, 0, 1, 0, 0),
(84, 'Noodle Shops', '', 0, 1, 1, 0, 0),
(85, 'Pizza', '', 0, 1, 1, 0, 0),
(86, 'Russian', '', 0, 0, 1, 0, 0),
(87, 'Salad', '', 0, 0, 1, 0, 0),
(88, 'Sandwiches', '', 0, 0, 1, 0, 0),
(89, 'Seafood', '', 0, 1, 1, 0, 0),
(90, 'Smoothies', '', 0, 0, 1, 0, 0),
(91, 'Soul Food', '', 0, 0, 1, 0, 0),
(92, 'Southeast Asian', '', 0, 0, 1, 0, 0),
(93, 'Sushi', '', 0, 1, 1, 0, 0),
(94, 'Tapas', '', 0, 0, 1, 0, 0),
(95, 'Tex-Mex', '', 0, 0, 1, 0, 0),
(96, 'Turkish', '', 0, 0, 1, 0, 0),
(97, 'Tavernas', '', 0, 0, 1, 0, 0),
(98, 'Khmer', '', 0, 1, 1, 0, 0),
(99, 'Lao', '', 0, 1, 1, 0, 0);

INSERT IGNORE INTO `#__rg_facilities` VALUES
(1, 'Food', '', '', 1, 0),
(2, 'Beer and Cocktail', '', '', 1, 0),
(3, 'Coffee', '', '', 1, 0),
(4, 'Snack', '', '', 1, 0),
(5, 'No Smoking', '', '', 1, 0),
(6, 'Live Music', '', '', 1, 0),
(7, 'Music', '', '', 1, 0),
(8, 'Wireless Internet', '', '', 1, 0),
(9, 'Expensive', '', '', 1, 0),
(10, 'Average Price', '', '', 1, 0),
(11, 'Resonable Price', '', '', 1, 0);

INSERT IGNORE INTO `#__rg_restauranttypes` VALUES
(1, 'Vietnamese Restaurants', 'vietnamese-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(2, 'Korean Restaurants', 'korean-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(3, 'Japanese Restaurants', 'japanese-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(4, 'Chinese and Asians Restaurants', 'chinese-and-asians-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(5, 'French Restaurants', 'french-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(6, 'Italian Restaurants', 'italian-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(7, 'Singapore and Malaysia Restaurant', 'singapore-and-malaysia-restaurant', 1, 0, '0000-00-00 00:00:00', 0, ''),
(8, 'Thai   Restaurants', 'thai-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(9, 'International Restaurants', 'international-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(10, 'Seafood   Restaurants', 'seafood-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(13, 'Indian Restanurants', 'indian-restanurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(14, 'Spanish Restaurants', 'spanish-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(15, 'Lao Restaurants', 'lao-restaurants', 1, 0, '0000-00-00 00:00:00', 0, ''),
(16, 'Bakery and Sandwich Bar', 'bakery-and-sandwich-bar', 1, 62, '2010-08-09 16:03:35', 0, ''),
(17, 'Cambodian Restaurants', 'cambodian-restaurants', 1, 0, '0000-00-00 00:00:00', 0, '');


INSERT IGNORE INTO `#__rg_settings` VALUES
(1, '', 0, 0, 0, 0, '', 0, 0, 'ABQIAAAAgwFAJUE-HY69khDow4XpoxRU9OXmLgbiKjRn86WlFrxZgf8D4BQJ0ZWKbho2IbawxgnQYufJ3VZW5A', 0, '13.774066408054827', '106.54541015625', 5, 'roadmap', 0, '', 0, 0, 20, 22, 180, 75, 180, 0, 0, 120, 65, 64, 3000, 0, 'White', '#FFFFFF', '#FFFFFF', '#995F12', '#444682', '#DBDBDB', '#242D59', '#CFCFE8', 0, 0, 0, 'Worldwide Restaurant Discount', 1, 1, 1, 1, 'pub-5765631901912662', '3726079741', 468, 60, 1, 6, '#1D2E1A', '#4B6644', 1, 5, 5, 1, 1, 1, 1, 'pub-5765631901912662', '3726079741', 468, 60, 1, 6, '#3D3131', '#946A6A', 1, 4, 4, 1, 1, 1, 1, 'pub-5765631901912662', '3726079741', 468, 60, 1, 6, '#323559', '#38319E', 1, 6, 6, 1, 1, 1, 1, 'pub-5765631901912662', '3726079741', 468, 60, 1, 6, '#61481D', '#9E7A33', 1, 4, 5, 1, 0, 1, 'pub-5765631901912662', '3726079741', 468, 60, 10, 1, 6, '#2A2C57', '#393782', 1, 4, 4, '#C7C7C7', '#BDA73A', '#A9A3FF', 0, 1, '#625FC9', '#6B6B6B', 1, 1, 0, 1, 1, 1, 1, 'pub-5765631901912662', '3726079741', 468, 60, 1, 6, '#FFFFFF', '', 1, 6, 6, 10, 1, 5000, 10, 80, 200);

INSERT IGNORE INTO `#__rg_states` VALUES
(1, 0, 223, 'Alabama', 'alabama', 'ALA', 'AL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(2, 0, 223, 'Alaska', 'alaska', 'ALK', 'AK', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(3, 0, 223, 'Arizona', '', 'ARZ', 'AZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(4, 0, 223, 'Arkansas', '', 'ARK', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(5, 0, 223, 'California', '', 'CAL', 'CA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(6, 0, 223, 'Colorado', '', 'COL', 'CO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(7, 0, 223, 'Connecticut', '', 'CCT', 'CT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(8, 0, 223, 'Delaware', '', 'DEL', 'DE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(9, 0, 223, 'District Of Columbia', '', 'DOC', 'DC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(10, 0, 223, 'Florida', '', 'FLO', 'FL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(11, 0, 223, 'Georgia', '', 'GEA', 'GA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(12, 0, 223, 'Hawaii', '', 'HWI', 'HI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(13, 0, 223, 'Idaho', '', 'IDA', 'ID', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(14, 0, 223, 'Illinois', '', 'ILL', 'IL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(15, 0, 223, 'Indiana', '', 'IND', 'IN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(16, 0, 223, 'Iowa', '', 'IOA', 'IA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(17, 0, 223, 'Kansas', '', 'KAS', 'KS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(18, 0, 223, 'Kentucky', '', 'KTY', 'KY', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(19, 0, 223, 'Louisiana', '', 'LOA', 'LA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(20, 0, 223, 'Maine', '', 'MAI', 'ME', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(21, 0, 223, 'Maryland', '', 'MLD', 'MD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(22, 0, 223, 'Massachusetts', '', 'MSA', 'MA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(23, 0, 223, 'Michigan', '', 'MIC', 'MI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(24, 0, 223, 'Minnesota', '', 'MIN', 'MN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(25, 0, 223, 'Mississippi', '', 'MIS', 'MS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(26, 0, 223, 'Missouri', '', 'MIO', 'MO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(27, 0, 223, 'Montana', '', 'MOT', 'MT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(28, 0, 223, 'Nebraska', '', 'NEB', 'NE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(29, 0, 223, 'Nevada', '', 'NEV', 'NV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(30, 0, 223, 'New Hampshire', '', 'NEH', 'NH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(31, 0, 223, 'New Jersey', '', 'NEJ', 'NJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(32, 0, 223, 'New Mexico', '', 'NEM', 'NM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(33, 0, 223, 'New York', '', 'NEY', 'NY', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(34, 0, 223, 'North Carolina', '', 'NOC', 'NC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(35, 0, 223, 'North Dakota', '', 'NOD', 'ND', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(36, 0, 223, 'Ohio', '', 'OHI', 'OH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(37, 0, 223, 'Oklahoma', '', 'OKL', 'OK', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(38, 0, 223, 'Oregon', '', 'ORN', 'OR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(39, 0, 223, 'Pennsylvania', '', 'PEA', 'PA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(40, 0, 223, 'Rhode Island', '', 'RHI', 'RI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(41, 0, 223, 'South Carolina', '', 'SOC', 'SC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(42, 0, 223, 'South Dakota', '', 'SOD', 'SD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(43, 0, 223, 'Tennessee', '', 'TEN', 'TN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(44, 0, 223, 'Texas', '', 'TXS', 'TX', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(45, 0, 223, 'Utah', '', 'UTA', 'UT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(46, 0, 223, 'Vermont', '', 'VMT', 'VT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(47, 0, 223, 'Virginia', '', 'VIA', 'VA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(48, 0, 223, 'Washington', '', 'WAS', 'WA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(49, 0, 223, 'West Virginia', '', 'WEV', 'WV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(50, 0, 223, 'Wisconsin', '', 'WIS', 'WI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(51, 0, 223, 'Wyoming', '', 'WYO', 'WY', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(52, 0, 38, 'Alberta', 'alberta', 'ALB', 'AB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(53, 0, 38, 'British Columbia', '', 'BRC', 'BC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(54, 0, 38, 'Manitoba', '', 'MAB', 'MB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(55, 0, 38, 'New Brunswick', '', 'NEB', 'NB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(56, 0, 38, 'Newfoundland and Labrador', '', 'NFL', 'NL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(57, 0, 38, 'Northwest Territories', '', 'NWT', 'NT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(58, 0, 38, 'Nova Scotia', '', 'NOS', 'NS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(59, 0, 38, 'Nunavut', '', 'NUT', 'NU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(60, 0, 38, 'Ontario', '', 'ONT', 'ON', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(61, 0, 38, 'Prince Edward Island', '', 'PEI', 'PE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(62, 0, 38, 'Quebec', '', 'QEC', 'QC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(63, 0, 38, 'Saskatchewan', '', 'SAK', 'SK', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(64, 0, 38, 'Yukon', '', 'YUT', 'YT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(65, 0, 222, 'England', '', 'ENG', 'EN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(66, 0, 222, 'Northern Ireland', '', 'NOI', 'NI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(67, 0, 222, 'Scotland', '', 'SCO', 'SD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(68, 0, 222, 'Wales', '', 'WLS', 'WS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(69, 0, 13, 'Australian Capital Territory', '', 'ACT', 'AC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(70, 0, 13, 'New South Wales', '', 'NSW', 'NS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(71, 0, 13, 'Northern Territory', '', 'NOT', 'NT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(72, 0, 13, 'Queensland', '', 'QLD', 'QL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(73, 0, 13, 'South Australia', '', 'SOA', 'SA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(74, 0, 13, 'Tasmania', '', 'TAS', 'TS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(75, 0, 13, 'Victoria', '', 'VIC', 'VI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(76, 0, 13, 'Western Australia', '', 'WEA', 'WA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(77, 0, 138, 'Aguascalientes', 'aguascalientes', 'AGS', 'AG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(78, 0, 138, 'Baja California Norte', '', 'BCN', 'BN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(79, 0, 138, 'Baja California Sur', '', 'BCS', 'BS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(80, 0, 138, 'Campeche', '', 'CAM', 'CA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(81, 0, 138, 'Chiapas', '', 'CHI', 'CS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(82, 0, 138, 'Chihuahua', '', 'CHA', 'CH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(83, 0, 138, 'Coahuila', '', 'COA', 'CO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(84, 0, 138, 'Colima', '', 'COL', 'CM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(85, 0, 138, 'Distrito Federal', '', 'DFM', 'DF', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(86, 0, 138, 'Durango', '', 'DGO', 'DO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(87, 0, 138, 'Guanajuato', '', 'GTO', 'GO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(88, 0, 138, 'Guerrero', '', 'GRO', 'GU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(89, 0, 138, 'Hidalgo', '', 'HGO', 'HI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(90, 0, 138, 'Jalisco', '', 'JAL', 'JA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(91, 0, 138, 'Mxico (Estado de)', '', 'EDM', 'EM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(92, 0, 138, 'Michoacn', '', 'MCN', 'MI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(93, 0, 138, 'Morelos', '', 'MOR', 'MO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(94, 0, 138, 'Nayarit', '', 'NAY', 'NY', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(95, 0, 138, 'Nuevo Len', '', 'NUL', 'NL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(96, 0, 138, 'Oaxaca', '', 'OAX', 'OA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(97, 0, 138, 'Puebla', '', 'PUE', 'PU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(98, 0, 138, 'Quertaro', '', 'QRO', 'QU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(99, 0, 138, 'Quintana Roo', '', 'QUR', 'QR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(100, 0, 138, 'San Luis Potos', '', 'SLP', 'SP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(101, 0, 138, 'Sinaloa', '', 'SIN', 'SI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(102, 0, 138, 'Sonora', '', 'SON', 'SO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(103, 0, 138, 'Tabasco', '', 'TAB', 'TA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(104, 0, 138, 'Tamaulipas', '', 'TAM', 'TM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(105, 0, 138, 'Tlaxcala', '', 'TLX', 'TX', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(106, 0, 138, 'Veracruz', '', 'VER', 'VZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(107, 0, 138, 'Yucatn', '', 'YUC', 'YU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(108, 0, 138, 'Zacatecas', '', 'ZAC', 'ZA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(109, 0, 30, 'Acre', 'acre', 'ACR', 'AC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(110, 0, 30, 'Alagoas', 'alagoas', 'ALG', 'AL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(111, 0, 30, 'Amap', 'amapa', 'AMP', 'AP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(112, 0, 30, 'Amazonas', 'amazonas', 'AMZ', 'AM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(113, 0, 30, 'Baha', '', 'BAH', 'BA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(114, 0, 30, 'Cear', '', 'CEA', 'CE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(115, 0, 30, 'Distrito Federal', '', 'DFB', 'DF', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(116, 0, 30, 'Espirito Santo', '', 'ESS', 'ES', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(117, 0, 30, 'Gois', '', 'GOI', 'GO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(118, 0, 30, 'Maranho', '', 'MAR', 'MA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(119, 0, 30, 'Mato Grosso', '', 'MAT', 'MT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(120, 0, 30, 'Mato Grosso do Sul', '', 'MGS', 'MS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(121, 0, 30, 'Minas Geras', '', 'MIG', 'MG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(122, 0, 30, 'Paran', '', 'PAR', 'PR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(123, 0, 30, 'Paraba', '', 'PRB', 'PB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(124, 0, 30, 'Par', '', 'PAB', 'PA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(125, 0, 30, 'Pernambuco', '', 'PER', 'PE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(126, 0, 30, 'Piau', '', 'PIA', 'PI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(127, 0, 30, 'Rio Grande do Norte', '', 'RGN', 'RN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(128, 0, 30, 'Rio Grande do Sul', '', 'RGS', 'RS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(129, 0, 30, 'Rio de Janeiro', '', 'RDJ', 'RJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(130, 0, 30, 'Rondnia', '', 'RON', 'RO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(131, 0, 30, 'Roraima', '', 'ROR', 'RR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(132, 0, 30, 'Santa Catarina', '', 'SAC', 'SC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(133, 0, 30, 'Sergipe', '', 'SER', 'SE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(134, 0, 30, 'So Paulo', '', 'SAP', 'SP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(135, 0, 30, 'Tocantins', '', 'TOC', 'TO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(136, 0, 44, 'Anhui', 'anhui', 'ANH', '34', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(137, 0, 44, 'Beijing', '', 'BEI', '11', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(138, 0, 44, 'Chongqing', '', 'CHO', '50', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(139, 0, 44, 'Fujian', '', 'FUJ', '35', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(140, 0, 44, 'Gansu', '', 'GAN', '62', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(141, 0, 44, 'Guangdong', '', 'GUA', '44', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(142, 0, 44, 'Guangxi Zhuang', '', 'GUZ', '45', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(143, 0, 44, 'Guizhou', '', 'GUI', '52', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(144, 0, 44, 'Hainan', '', 'HAI', '46', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(145, 0, 44, 'Hebei', '', 'HEB', '13', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(146, 0, 44, 'Heilongjiang', '', 'HEI', '23', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(147, 0, 44, 'Henan', '', 'HEN', '41', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(148, 0, 44, 'Hubei', '', 'HUB', '42', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(149, 0, 44, 'Hunan', '', 'HUN', '43', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(150, 0, 44, 'Jiangsu', '', 'JIA', '32', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(151, 0, 44, 'Jiangxi', '', 'JIX', '36', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(152, 0, 44, 'Jilin', '', 'JIL', '22', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(153, 0, 44, 'Liaoning', '', 'LIA', '21', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(154, 0, 44, 'Nei Mongol', '', 'NML', '15', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(155, 0, 44, 'Ningxia Hui', '', 'NIH', '64', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(156, 0, 44, 'Qinghai', '', 'QIN', '63', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(157, 0, 44, 'Shandong', '', 'SNG', '37', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(158, 0, 44, 'Shanghai', '', 'SHH', '31', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(159, 0, 44, 'Shaanxi', '', 'SHX', '61', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(160, 0, 44, 'Sichuan', '', 'SIC', '51', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(161, 0, 44, 'Tianjin', '', 'TIA', '12', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(162, 0, 44, 'Xinjiang Uygur', '', 'XIU', '65', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(163, 0, 44, 'Xizang', '', 'XIZ', '54', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(164, 0, 44, 'Yunnan', '', 'YUN', '53', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(165, 0, 44, 'Zhejiang', '', 'ZHE', '33', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(166, 0, 104, 'Israel', '', 'ISL', 'IL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(167, 0, 104, 'Gaza Strip', '', 'GZS', 'GZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(168, 0, 104, 'West Bank', '', 'WBK', 'WB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(169, 0, 151, 'St. Maarten', '', 'STM', 'SM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(170, 0, 151, 'Bonaire', '', 'BNR', 'BN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(171, 0, 151, 'Curacao', '', 'CUR', 'CR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(172, 0, 175, 'Alba', 'alba', 'ABA', 'AB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(173, 0, 175, 'Arad', '', 'ARD', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(174, 0, 175, 'Arges', '', 'ARG', 'AG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(175, 0, 175, 'Bacau', '', 'BAC', 'BC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(176, 0, 175, 'Bihor', '', 'BIH', 'BH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(177, 0, 175, 'Bistrita-Nasaud', '', 'BIS', 'BN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(178, 0, 175, 'Botosani', '', 'BOT', 'BT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(179, 0, 175, 'Braila', '', 'BRL', 'BR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(180, 0, 175, 'Brasov', '', 'BRA', 'BV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(181, 0, 175, 'Bucuresti', '', 'BUC', 'B', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(182, 0, 175, 'Buzau', '', 'BUZ', 'BZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(183, 0, 175, 'Calarasi', '', 'CAL', 'CL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(184, 0, 175, 'Caras Severin', '', 'CRS', 'CS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(185, 0, 175, 'Cluj', '', 'CLJ', 'CJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(186, 0, 175, 'Constanta', '', 'CST', 'CT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(187, 0, 175, 'Covasna', '', 'COV', 'CV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(188, 0, 175, 'Dambovita', '', 'DAM', 'DB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(189, 0, 175, 'Dolj', '', 'DLJ', 'DJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(190, 0, 175, 'Galati', '', 'GAL', 'GL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(191, 0, 175, 'Giurgiu', '', 'GIU', 'GR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(192, 0, 175, 'Gorj', '', 'GOR', 'GJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(193, 0, 175, 'Hargita', '', 'HRG', 'HR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(194, 0, 175, 'Hunedoara', '', 'HUN', 'HD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(195, 0, 175, 'Ialomita', '', 'IAL', 'IL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(196, 0, 175, 'Iasi', '', 'IAS', 'IS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(197, 0, 175, 'Ilfov', '', 'ILF', 'IF', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(198, 0, 175, 'Maramures', '', 'MAR', 'MM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(199, 0, 175, 'Mehedinti', '', 'MEH', 'MH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(200, 0, 175, 'Mures', '', 'MUR', 'MS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(201, 0, 175, 'Neamt', '', 'NEM', 'NT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(202, 0, 175, 'Olt', '', 'OLT', 'OT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(203, 0, 175, 'Prahova', '', 'PRA', 'PH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(204, 0, 175, 'Salaj', '', 'SAL', 'SJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(205, 0, 175, 'Satu Mare', '', 'SAT', 'SM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(206, 0, 175, 'Sibiu', '', 'SIB', 'SB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(207, 0, 175, 'Suceava', '', 'SUC', 'SV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(208, 0, 175, 'Teleorman', '', 'TEL', 'TR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(209, 0, 175, 'Timis', '', 'TIM', 'TM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(210, 0, 175, 'Tulcea', '', 'TUL', 'TL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(211, 0, 175, 'Valcea', '', 'VAL', 'VL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(212, 0, 175, 'Vaslui', '', 'VAS', 'VS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(213, 0, 175, 'Vrancea', '', 'VRA', 'VN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(214, 0, 105, 'Agrigento', 'agrigento', 'AGR', 'AG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(215, 0, 105, 'Alessandria', 'alessandria', 'ALE', 'AL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(216, 0, 105, 'Ancona', 'ancona', 'ANC', 'AN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(217, 0, 105, 'Aosta', '', 'AOS', 'AO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(218, 0, 105, 'Arezzo', '', 'ARE', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(219, 0, 105, 'Ascoli Piceno', '', 'API', 'AP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(220, 0, 105, 'Asti', '', 'AST', 'AT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(221, 0, 105, 'Avellino', '', 'AVE', 'AV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(222, 0, 105, 'Bari', '', 'BAR', 'BA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(223, 0, 105, 'Belluno', '', 'BEL', 'BL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(224, 0, 105, 'Benevento', '', 'BEN', 'BN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(225, 0, 105, 'Bergamo', '', 'BEG', 'BG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(226, 0, 105, 'Biella', '', 'BIE', 'BI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(227, 0, 105, 'Bologna', '', 'BOL', 'BO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(228, 0, 105, 'Bolzano', '', 'BOZ', 'BZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(229, 0, 105, 'Brescia', '', 'BRE', 'BS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(230, 0, 105, 'Brindisi', '', 'BRI', 'BR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(231, 0, 105, 'Cagliari', '', 'CAG', 'CA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(232, 0, 105, 'Caltanissetta', '', 'CAL', 'CL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(233, 0, 105, 'Campobasso', '', 'CBO', 'CB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(234, 0, 105, 'Carbonia-Iglesias', '', 'CAR', 'CI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(235, 0, 105, 'Caserta', '', 'CAS', 'CE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(236, 0, 105, 'Catania', '', 'CAT', 'CT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(237, 0, 105, 'Catanzaro', '', 'CTZ', 'CZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(238, 0, 105, 'Chieti', '', 'CHI', 'CH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(239, 0, 105, 'Como', '', 'COM', 'CO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(240, 0, 105, 'Cosenza', '', 'COS', 'CS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(241, 0, 105, 'Cremona', '', 'CRE', 'CR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(242, 0, 105, 'Crotone', '', 'CRO', 'KR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(243, 0, 105, 'Cuneo', '', 'CUN', 'CN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(244, 0, 105, 'Enna', '', 'ENN', 'EN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(245, 0, 105, 'Ferrara', '', 'FER', 'FE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(246, 0, 105, 'Firenze', '', 'FIR', 'FI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(247, 0, 105, 'Foggia', '', 'FOG', 'FG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(248, 0, 105, 'Forli-Cesena', '', 'FOC', 'FC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(249, 0, 105, 'Frosinone', '', 'FRO', 'FR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(250, 0, 105, 'Genova', '', 'GEN', 'GE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(251, 0, 105, 'Gorizia', '', 'GOR', 'GO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(252, 0, 105, 'Grosseto', '', 'GRO', 'GR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(253, 0, 105, 'Imperia', '', 'IMP', 'IM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(254, 0, 105, 'Isernia', '', 'ISE', 'IS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(255, 0, 105, 'L''Aquila', '', 'AQU', 'AQ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(256, 0, 105, 'La Spezia', '', 'LAS', 'SP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(257, 0, 105, 'Latina', '', 'LAT', 'LT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(258, 0, 105, 'Lecce', '', 'LEC', 'LE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(259, 0, 105, 'Lecco', '', 'LCC', 'LC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(260, 0, 105, 'Livorno', '', 'LIV', 'LI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(261, 0, 105, 'Lodi', '', 'LOD', 'LO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(262, 0, 105, 'Lucca', '', 'LUC', 'LU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(263, 0, 105, 'Macerata', '', 'MAC', 'MC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(264, 0, 105, 'Mantova', '', 'MAN', 'MN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(265, 0, 105, 'Massa-Carrara', '', 'MAS', 'MS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(266, 0, 105, 'Matera', '', 'MAA', 'MT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(267, 0, 105, 'Medio Campidano', '', 'MED', 'VS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(268, 0, 105, 'Messina', '', 'MES', 'ME', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(269, 0, 105, 'Milano', '', 'MIL', 'MI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(270, 0, 105, 'Modena', '', 'MOD', 'MO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(271, 0, 105, 'Napoli', '', 'NAP', 'NA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(272, 0, 105, 'Novara', '', 'NOV', 'NO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(273, 0, 105, 'Nuoro', '', 'NUR', 'NU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(274, 0, 105, 'Ogliastra', '', 'OGL', 'OG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(275, 0, 105, 'Olbia-Tempio', '', 'OLB', 'OT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(276, 0, 105, 'Oristano', '', 'ORI', 'OR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(277, 0, 105, 'Padova', '', 'PDA', 'PD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(278, 0, 105, 'Palermo', '', 'PAL', 'PA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(279, 0, 105, 'Parma', '', 'PAA', 'PR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(280, 0, 105, 'Pavia', '', 'PAV', 'PV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(281, 0, 105, 'Perugia', '', 'PER', 'PG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(282, 0, 105, 'Pesaro e Urbino', '', 'PES', 'PU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(283, 0, 105, 'Pescara', '', 'PSC', 'PE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(284, 0, 105, 'Piacenza', '', 'PIA', 'PC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(285, 0, 105, 'Pisa', '', 'PIS', 'PI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(286, 0, 105, 'Pistoia', '', 'PIT', 'PT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(287, 0, 105, 'Pordenone', '', 'POR', 'PN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(288, 0, 105, 'Potenza', '', 'PTZ', 'PZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(289, 0, 105, 'Prato', '', 'PRA', 'PO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(290, 0, 105, 'Ragusa', '', 'RAG', 'RG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(291, 0, 105, 'Ravenna', '', 'RAV', 'RA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(292, 0, 105, 'Reggio Calabria', '', 'REG', 'RC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(293, 0, 105, 'Reggio Emilia', '', 'REE', 'RE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(294, 0, 105, 'Rieti', '', 'RIE', 'RI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(295, 0, 105, 'Rimini', '', 'RIM', 'RN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(296, 0, 105, 'Roma', '', 'ROM', 'RM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(297, 0, 105, 'Rovigo', '', 'ROV', 'RO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(298, 0, 105, 'Salerno', '', 'SAL', 'SA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(299, 0, 105, 'Sassari', '', 'SAS', 'SS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(300, 0, 105, 'Savona', '', 'SAV', 'SV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(301, 0, 105, 'Siena', '', 'SIE', 'SI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(302, 0, 105, 'Siracusa', '', 'SIR', 'SR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(303, 0, 105, 'Sondrio', '', 'SOO', 'SO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(304, 0, 105, 'Taranto', '', 'TAR', 'TA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(305, 0, 105, 'Teramo', '', 'TER', 'TE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(306, 0, 105, 'Terni', '', 'TRN', 'TR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(307, 0, 105, 'Torino', '', 'TOR', 'TO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(308, 0, 105, 'Trapani', '', 'TRA', 'TP', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(309, 0, 105, 'Trento', '', 'TRE', 'TN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(310, 0, 105, 'Treviso', '', 'TRV', 'TV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(311, 0, 105, 'Trieste', '', 'TRI', 'TS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(312, 0, 105, 'Udine', '', 'UDI', 'UD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(313, 0, 105, 'Varese', '', 'VAR', 'VA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(314, 0, 105, 'Venezia', '', 'VEN', 'VE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(315, 0, 105, 'Verbano Cusio Ossola', '', 'VCO', 'VB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(316, 0, 105, 'Vercelli', '', 'VER', 'VC', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(317, 0, 105, 'Verona', '', 'VRN', 'VR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(318, 0, 105, 'Vibo Valenzia', '', 'VIV', 'VV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(319, 0, 105, 'Vicenza', '', 'VII', 'VI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(320, 0, 105, 'Viterbo', '', 'VIT', 'VT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(321, 0, 195, 'A Corua', 'a-coruna', 'ACO', '15', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 62, '2010-08-25 15:22:29', 0),
(322, 0, 195, 'Alava', 'alava', 'ALA', '01', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(323, 0, 195, 'Albacete', 'albacete', 'ALB', '02', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(324, 0, 195, 'Alicante', 'alicante', 'ALI', '03', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(325, 0, 195, 'Almeria', 'almeria', 'ALM', '04', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(326, 0, 195, 'Asturias', '', 'AST', '33', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(327, 0, 195, 'Avila', '', 'AVI', '05', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(328, 0, 195, 'Badajoz', '', 'BAD', '06', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(329, 0, 195, 'Baleares', '', 'BAL', '07', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(330, 0, 195, 'Barcelona', '', 'BAR', '08', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(331, 0, 195, 'Burgos', '', 'BUR', '09', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(332, 0, 195, 'Caceres', '', 'CAC', '10', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(333, 0, 195, 'Cadiz', '', 'CAD', '11', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(334, 0, 195, 'Cantabria', '', 'CAN', '39', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(335, 0, 195, 'Castellon', '', 'CAS', '12', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(336, 0, 195, 'Ceuta', '', 'CEU', '51', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(337, 0, 195, 'Ciudad Real', '', 'CIU', '13', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(338, 0, 195, 'Cordoba', '', 'COR', '14', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(339, 0, 195, 'Cuenca', '', 'CUE', '16', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(340, 0, 195, 'Girona', '', 'GIR', '17', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(341, 0, 195, 'Granada', '', 'GRA', '18', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(342, 0, 195, 'Guadalajara', '', 'GUA', '19', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(343, 0, 195, 'Guipuzcoa', '', 'GUI', '20', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(344, 0, 195, 'Huelva', '', 'HUL', '21', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(345, 0, 195, 'Huesca', '', 'HUS', '22', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(346, 0, 195, 'Jaen', '', 'JAE', '23', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(347, 0, 195, 'La Rioja', '', 'LRI', '26', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(348, 0, 195, 'Las Palmas', '', 'LPA', '35', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(349, 0, 195, 'Leon', '', 'LEO', '24', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(350, 0, 195, 'Lleida', '', 'LLE', '25', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(351, 0, 195, 'Lugo', '', 'LUG', '27', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(352, 0, 195, 'Madrid', '', 'MAD', '28', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(353, 0, 195, 'Malaga', '', 'MAL', '29', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(354, 0, 195, 'Melilla', '', 'MEL', '52', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(355, 0, 195, 'Murcia', '', 'MUR', '30', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(356, 0, 195, 'Navarra', '', 'NAV', '31', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(357, 0, 195, 'Ourense', '', 'OUR', '32', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(358, 0, 195, 'Palencia', '', 'PAL', '34', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(359, 0, 195, 'Pontevedra', '', 'PON', '36', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(360, 0, 195, 'Salamanca', '', 'SAL', '37', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(361, 0, 195, 'Santa Cruz de Tenerife', '', 'SCT', '38', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(362, 0, 195, 'Segovia', '', 'SEG', '40', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(363, 0, 195, 'Sevilla', '', 'SEV', '41', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(364, 0, 195, 'Soria', '', 'SOR', '42', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(365, 0, 195, 'Tarragona', '', 'TAR', '43', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(366, 0, 195, 'Teruel', '', 'TER', '44', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(367, 0, 195, 'Toledo', '', 'TOL', '45', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(368, 0, 195, 'Valencia', '', 'VAL', '46', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(369, 0, 195, 'Valladolid', '', 'VLL', '47', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(370, 0, 195, 'Vizcaya', '', 'VIZ', '48', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(371, 0, 195, 'Zamora', '', 'ZAM', '49', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(372, 0, 195, 'Zaragoza', '', 'ZAR', '50', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(373, 0, 11, 'Aragatsotn', '', 'ARG', 'AG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 62, '2010-06-29 13:59:01', 0),
(374, 0, 11, 'Ararat', '', 'ARR', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(375, 0, 11, 'Armavir', '', 'ARM', 'AV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(376, 0, 11, 'Gegharkunik', '', 'GEG', 'GR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(377, 0, 11, 'Kotayk', '', 'KOT', 'KT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(378, 0, 11, 'Lori', '', 'LOR', 'LO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(379, 0, 11, 'Shirak', '', 'SHI', 'SH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(380, 0, 11, 'Syunik', '', 'SYU', 'SU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(381, 0, 11, 'Tavush', '', 'TAV', 'TV', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(382, 0, 11, 'Vayots-Dzor', '', 'VAD', 'VD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(383, 0, 11, 'Yerevan', '', 'YER', 'ER', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(384, 0, 99, 'Andaman & Nicobar Islands', 'andaman-a-nicobar-islands', 'ANI', 'AI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(385, 0, 99, 'Andhra Pradesh', 'andhra-pradesh', 'AND', 'AN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(386, 0, 99, 'Arunachal Pradesh', '', 'ARU', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(387, 0, 99, 'Assam', '', 'ASS', 'AS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(388, 0, 99, 'Bihar', '', 'BIH', 'BI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(389, 0, 99, 'Chandigarh', '', 'CHA', 'CA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(390, 0, 99, 'Chhatisgarh', '', 'CHH', 'CH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(391, 0, 99, 'Dadra & Nagar Haveli', '', 'DAD', 'DD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(392, 0, 99, 'Daman & Diu', '', 'DAM', 'DA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(393, 0, 99, 'Delhi', '', 'DEL', 'DE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(394, 0, 99, 'Goa', '', 'GOA', 'GO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(395, 0, 99, 'Gujarat', '', 'GUJ', 'GU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(396, 0, 99, 'Haryana', '', 'HAR', 'HA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(397, 0, 99, 'Himachal Pradesh', '', 'HIM', 'HI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(398, 0, 99, 'Jammu & Kashmir', '', 'JAM', 'JA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(399, 0, 99, 'Jharkhand', '', 'JHA', 'JH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(400, 0, 99, 'Karnataka', '', 'KAR', 'KA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(401, 0, 99, 'Kerala', '', 'KER', 'KE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(402, 0, 99, 'Lakshadweep', '', 'LAK', 'LA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(403, 0, 99, 'Madhya Pradesh', '', 'MAD', 'MD', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(404, 0, 99, 'Maharashtra', '', 'MAH', 'MH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(405, 0, 99, 'Manipur', '', 'MAN', 'MN', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(406, 0, 99, 'Meghalaya', '', 'MEG', 'ME', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(407, 0, 99, 'Mizoram', '', 'MIZ', 'MI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(408, 0, 99, 'Nagaland', '', 'NAG', 'NA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(409, 0, 99, 'Orissa', '', 'ORI', 'OR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(410, 0, 99, 'Pondicherry', '', 'PON', 'PO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(411, 0, 99, 'Punjab', '', 'PUN', 'PU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(412, 0, 99, 'Rajasthan', '', 'RAJ', 'RA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(413, 0, 99, 'Sikkim', '', 'SIK', 'SI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(414, 0, 99, 'Tamil Nadu', '', 'TAM', 'TA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(415, 0, 99, 'Tripura', '', 'TRI', 'TR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(416, 0, 99, 'Uttaranchal', '', 'UAR', 'UA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(417, 0, 99, 'Uttar Pradesh', '', 'UTT', 'UT', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(418, 0, 99, 'West Bengal', '', 'WES', 'WE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(419, 0, 101, 'Ahmadi va Kohkiluyeh', 'ahmadi-va-kohkiluyeh', 'BOK', 'BO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(420, 0, 101, 'Ardabil', '', 'ARD', 'AR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(421, 0, 101, 'Azarbayjan-e Gharbi', '', 'AZG', 'AG', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(422, 0, 101, 'Azarbayjan-e Sharqi', '', 'AZS', 'AS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(423, 0, 101, 'Bushehr', '', 'BUS', 'BU', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(424, 0, 101, 'Chaharmahal va Bakhtiari', '', 'CMB', 'CM', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(425, 0, 101, 'Esfahan', '', 'ESF', 'ES', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(426, 0, 101, 'Fars', '', 'FAR', 'FA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(427, 0, 101, 'Gilan', '', 'GIL', 'GI', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(428, 0, 101, 'Gorgan', '', 'GOR', 'GO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(429, 0, 101, 'Hamadan', '', 'HAM', 'HA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(430, 0, 101, 'Hormozgan', '', 'HOR', 'HO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(431, 0, 101, 'Ilam', '', 'ILA', 'IL', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(432, 0, 101, 'Kerman', '', 'KER', 'KE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(433, 0, 101, 'Kermanshah', '', 'BAK', 'BA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(434, 0, 101, 'Khorasan-e Junoubi', '', 'KHJ', 'KJ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(435, 0, 101, 'Khorasan-e Razavi', '', 'KHR', 'KR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(436, 0, 101, 'Khorasan-e Shomali', '', 'KHS', 'KS', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(437, 0, 101, 'Khuzestan', '', 'KHU', 'KH', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(438, 0, 101, 'Kordestan', '', 'KOR', 'KO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(439, 0, 101, 'Lorestan', '', 'LOR', 'LO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(440, 0, 101, 'Markazi', '', 'MAR', 'MR', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(441, 0, 101, 'Mazandaran', '', 'MAZ', 'MZ', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(442, 0, 101, 'Qazvin', '', 'QAS', 'QA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(443, 0, 101, 'Qom', '', 'QOM', 'QO', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(444, 0, 101, 'Semnan', '', 'SEM', 'SE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(445, 0, 101, 'Sistan va Baluchestan', '', 'SBA', 'SB', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(446, 0, 101, 'Tehran', '', 'TEH', 'TE', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(447, 0, 101, 'Yazd', '', 'YAZ', 'YA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(448, 0, 101, 'Zanjan', '', 'ZAN', 'ZA', 0, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(449, 0, 209, 'Central Thailand', '', '', '', 1, '', 0, 0, 0, '', '', 0, '', 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0),
(450, 0, 209, 'Southern Thailand', 'southern-thailand', '0', '1', 1, '', 0, 0, 0, '9.7523701391732', '98.975830078125', 6, 'roadmap', 400, '', 'Restaurants in Southern Thailand', '', '', 0, '0000-00-00 00:00:00', 0);
