<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelRestaurantGuide extends JModel
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();
	}
	
	function getExistcat()
	{
		$query 	= 'SELECT COUNT( id )'
				. ' FROM #__rg_categories'
				;
		$this->_db->setQuery( $query );
		$count = $this->_db->loadResult();
			
		if ($count > 0) {
			return true;
		}
		
		return false;
	}
	
	function getExistmenu()
	{
		$component =& JComponentHelper::getComponent('com_hotelguide');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);
			
		if (count($items) > 0) {
			return true;
		}
		
		return false;
	}
	
	function getLatestItems(){

		$query = 'SELECT i.id, i.title, i.user_id, i.mainimage, i.created, i.created_by, c.title AS category'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__rg_categories AS c ON c.id = rel.catid'
	//			. ' WHERE i.published = 1'
				. ' ORDER BY created DESC'
				. ' LIMIT 10'
				;
		
		$this->_db->SetQuery($query);
  		$row = $this->_db->loadObjectList();

		return $row;
	}
	
	function getMostViewedItems(){

		$query = 'SELECT i.id, i.title, i.user_id, i.hits, i.mainimage, i.created, i.created_by, c.title AS category'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__rg_categories AS c ON c.id = rel.catid'
	//			. ' WHERE i.published = 1'
				. ' ORDER BY hits DESC'
				. ' LIMIT 10'
				;
		
		$this->_db->SetQuery($query);
  		$row = $this->_db->loadObjectList();
		
		return $row;
	}

	function getMostRatedItems(){

		$query = 'SELECT i.id, i.title, i.mainimage, i.created, i.created_by, i.rate, i.rate_sum, c.title AS category, COUNT(i.id) AS total'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__r_categories AS c ON c.id = rel.catid'
				. ' WHERE i.rate > 0'
				. ' ORDER BY i.rate_sum DESC'
				. ' LIMIT 10'
				;
		
		$this->_db->SetQuery($query);
  		$row = $this->_db->loadObjectList();
		
		return $row;
	}
	
	function getLatestComments() {
	
		$query = 'SELECT c.*, i.user_id, i.id AS itemid, i.mainimage, ct.title AS category'
				. ' FROM #__rg_testimonial AS c'
				. ' LEFT JOIN #__rg_restaurantitems AS i ON i.id = c.post_id'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__rg_categories AS ct ON ct.id = rel.catid'
	//			. ' WHERE i.published = 1'
				. ' ORDER BY c.date DESC';
				
		$this->_db->setQuery($query, 0, 10);
		$rows = $this->_db->loadObjectList();

		return $rows;
	}
}
?>