<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class rg_events extends JTable
{
	/**
	 * Primary Key
	 * @var int
	 */
	var $id 				= null;
	var $parent_id			= 0;
	var $catid				= 0;
	/** @var string */
	var $title 				= '';
	/** @var string */
	var $alias	 			= '';
	var $resto	 			= 0;
	var $statename			= '';
	var $country			= '';
	var $city				= '';
	/** @var string */
	var $description	 	= '';
	/** @var string */
	var $meta_title			= null;
	var $meta_keywords		= null;
	/** @var string */
	var $meta_description 	= null;
	/** @var string */
	var $image 				= '';
	var $image_size			= 0;
	var $imagewidth			= 0;
	var $imageheight		= 0;
	var $startdates			= null;
	var $enddates			= null;
	var $tabtitle			= '';
	/** @var int */
	var $published			= null;
	var $hits		 		= 0;
	var $lat				= '';
	var $lon				= '';
	var $zoom				= '';
	var $maptype			= '';
	/** @var int */
	var $checked_out 		= 0;
	/** @var date */
	var $checked_out_time	= '';
	/** @var int */
	var $access 			= 0;
	/** @var int */
	var $ordering 			= null;


	function rg_events(& $db) {
		parent::__construct('#__rg_events', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a category name?
		if (trim( $this->title ) == '') {
			$this->_error = JText::_( 'ADD NAME EVENT' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		$alias = JFilterOutput::stringURLSafe($this->title);

		if(empty($this->alias) || $this->alias === $alias ) {
			$this->alias = $alias;
		}

		/** check for existing name with same parent category*/
		$query = 'SELECT id'
				.' FROM #__rg_events'
				.' WHERE title = '.$this->_db->Quote($this->title)
				.' AND parent_id = '.$this->parent_id
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('EVENT NAME ALREADY EXIST', $this->title));
			return false;
		}

		return true;
	}
}
?>