<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 195 2009-05-30 $
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * RestaurantGuide settings table class
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 0.9
 */
class rg_facilities extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id = null;
	var $name = null;
	var $description = null;
	var $pictogram = null;
	var $published = null;
	var $checked_out = null;
	/** @var int */
//	var $checked_out 		= 0;
	/** @var date */
//	var $checked_out_time	= '';
	var $ordering 			= null;

	function rg_facilities(& $db) {
		parent::__construct('#__rg_facilities', 'id', $db);
	}
	
	// overloaded check function
	function check()
	{
		// Not typed in a name?
		if (trim( $this->name ) == '') {
			$this->_error = JText::_( 'ADD NAME' );
			JError::raiseWarning('SOME_ERROR_CODE', $this->_error );
			return false;
		}

		/** check for existing name */
		$query = 'SELECT id'
				.' FROM #__rg_facilities'
				.' WHERE name = '.$this->_db->Quote($this->name)
				;
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			JError::raiseWarning('SOME_ERROR_CODE', JText::sprintf('FACILITY ALREADY EXIST', $this->name));

			return false;
		}
	
		return true;
	}
}
?>