<?php
/**
 * @version 1.0 $Id: restaurant guide_settings.php
 * @package Joomla
 * @subpackage Restaurant Guide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENSE.php
 * Restaurant Guide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Restaurant Guide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Restaurant Guide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

/**
 * Restaurant Guide settings table class
 *
 * @package Joomla
 * @subpackage Restaurant Guide
 * @since 0.9
 */
class rg_settings extends JTable
{
	/**
	 * Unique Key
	 * @var int
	 */
	var $id						= 1;
	/** @var string */
	var $introtext 				= null;
	/** @var string */
	var $api_key 				= null;
	var $lat					= '';
	var $lon					= '';
	var $zoom					= '';
	var $maptype				= '';
	var $mootools				= 1;
	var $box					= null;
	var $titlecolor				= null;
	var $restotypecolor			= null;
	var $bordercolor			= null;
	var $backcolor_box			= null;
	var $linecolor_box			= null;
	var $cuisineboxcolor		= null;
	var $cuisinebordercolor		= null;
	
	var $mainimage_size			= 0;
	var $mainthumb_size			= 0;
	var $thumb_size				= '';
	var $category_width			= '';
	var $menu_width				= '';
	var $menu_thumb_width		= '';
	var $gall_thumb_width		= 0;
	var $max_upload_size		= 0;
	var $show_category			= 0;
	
	var $world_slogan			= null;
	var $world_menu				= 0;
	var $world_search			= 0;
	var $world_links			= 0;
	var $world_adsense			= 0;
	var $world_publisher_id		= null;
	var $world_ad_slot			= null;
	var $world_ad_width			= 0;
	var $world_ad_height		= 0;
	var $world_topdesti			= 0;
	var $world_top_limit		= 0;
	var $world_top_color		= null;
	var $world_top_border		= null;
	var $world_desti			= 0;
	var $world_city_limit		= 0;
	var $world_resto_limit		= 0;
	
	var $conti_menu				= 0;
	var $conti_search			= 0;
	var $conti_links			= 0;
	var $conti_adsense			= 0;
	var $conti_publisher_id		= null;
	var $conti_ad_slot			= null;
	var $conti_ad_width			= 0;
	var $conti_ad_height		= 0;
	var $conti_topdesti			= 0;
	var $conti_top_limit		= 0;
	var $conti_top_color		= null;
	var $conti_top_border		= null;
	var $conti_desti			= 0;
	var $conti_city_limit		= 0;
	var $conti_resto_limit		= 0;
	
	var $country_menu			= 0;
	var $country_search			= 0;
	var $country_links			= 0;
	var $country_adsense		= 0;
	var $country_publisher_id	= null;
	var $country_ad_slot		= null;
	var $country_ad_width		= 0;
	var $country_ad_height		= 0;
	var $country_topdesti		= 0;
	var $country_top_limit		= 0;
	var $country_top_color		= null;
	var $country_top_border		= null;
	var $country_desti			= 0;
	var $country_city_limit		= 0;
	var $country_resto_limit	= 0;
	
	var $city_menu				= 0;
	var $city_search			= 0;
	var $city_links				= 0;
	var $city_adsense			= 0;
	var $city_publisher_id		= null;
	var $city_ad_slot			= null;
	var $city_ad_width			= 0;
	var $city_ad_height			= 0;
	var $city_topdesti			= 0;
	var $city_top_limit			= 0;
	var $city_top_color			= null;
	var $city_top_border		= null;
	var $city_desti				= 0;
	var $city_city_limit		= 0;
	var $city_resto_limit		= 0;

	var $search_menu			= 0;
	var $search_links			= 0;
	var $search_adsense			= 0;
	var $search_publisher_id	= null;
	var $search_ad_slot			= null;
	var $search_ad_width		= 0;
	var $search_ad_height		= 0; 
	var $search_limit			= 0;
	var $search_topdesti		= 0;
	var $search_top_limit		= 0;
	var $search_top_color		= null;
	var $search_top_border		= null;
	var $search_desti			= 0;
	var $search_city_limit		= 0;
	var $search_resto_limit		= 0;
	
	var $mainbordercolor		= null;
	var $maintitlecolor			= null;
	var $mainrestotypecolor		= null;
	var $rating					= 0;
	var $weather				= 0;
	var $wboxcolor				= null;
	var $wbordercolor			= null;
	var $social					= 0;
	var $showtags				= 0;
	var $showficon				= 0;
	
	var $tag_menu				= 0;
	var $tag_search				= 0;
	var $tag_links				= 0;
	var $tag_adsense			= 0;
	var $tag_publisher_id		= null;
	var $tag_ad_slot			= null;
	var $tag_ad_width			= 0;
	var $tag_ad_height			= 0;
	var $tag_topdesti			= 0;
	var $tag_top_limit			= 0;
	var $tag_top_color			= null;
	var $tag_top_border			= null;
	var $tag_desti				= 0;
	var $tag_city_limit			= 0;
	var $tag_resto_limit		= 0;
	
	var $maxeventlist			= 0;
	var $autopley				= 0;
	var $delay					= 0;
	var $maxlist				= 0;
	var $listheight_des			= 0;
	var $max_char_des			= 0;
	var $googlethumb_quality 	= null;
	var $googlethumb_width 		= null;
	
/*	
	var $introdescription 	= null;
	var $travelstoryintro 	= null;
	var $showintrotext		= '';
	var $introgallery		= '';
	var $introgallerywidth	= '';
	var $introgalleryheight	= '';
	var $leadingnews		= 1;
	var $intronews			= 4;
	var $newscolumn			= 2;
	var $newslinks			= 5;
	var $leadingevent		= 1;
	var $introevents		= 4;
	var $eventcolumn		= 2;
	var $eventlinks			= 5;
*/
	function rg_settings(& $db) {
		parent::__construct('#__rg_settings', 'id', $db);
	}
}
?>