<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 195 2009-05-30 $
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

if ($this->row->lat)
	$lat = $this->row->lat;
else
	$lat = $this->rgconf->lat;
	
if ($this->row->lon)
	$lon = $this->row->lon;
else
	$lon = $this->rgconf->lon;
	
if ($this->row->zoom)
	$zoom = $this->row->zoom;
else
	$zoom = $this->rgconf->zoom;
	
if ($this->row->maptype)
	$type = $this->row->maptype;
else
	$type = $this->rgconf->maptype;

switch ($type) {
	case 'map':
		$map_type='google.maps.MapTypeId.ROADMAP';
		break;
	case 'satellite':
		$map_type='google.maps.MapTypeId.SATELLITE';
		break;
	case 'hybrid':
		$map_type='google.maps.MapTypeId.HYBRID';
		break;
	case 'terrain':
		$map_type='google.maps.MapTypeId.TERRAIN';
		break;
	default :
		$map_type='google.maps.MapTypeId.ROADMAP';
}
?> 
    

<script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			scaleControl: true,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.ZOOM_PAN},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		google.maps.event.addListener(map, 'click', function(me){
			codeLatLng(me.latLng);
		});
		
		google.maps.event.addListener(map, 'zoom_changed', function() {
			document.adminForm.zoom.value=map.getZoom();
		});

		google.maps.event.addListener(map, 'maptypeid_changed', function() {
			document.adminForm.maptype.value= map.getMapTypeId();
		});
		
		google.maps.event.addListener(map, 'center_changed', centerChanged);
	}
	
	function centerChanged() {
		document.adminForm.lat.value=map.getCenter().lat();
		document.adminForm.lon.value=map.getCenter().lng();
	}
	
	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}
	
	function ChangeState(a){
		var progressL = $('progressL');
		
		var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=ChangeState';
	
		var ajax = new Ajax(url, {
			method: 'get',
			onRequest: function(){progressL.setStyle('visibility', 'visible');},
			onComplete: function(){progressL.setStyle('visibility', 'hidden');},
			update: $('AjaxState'), 
			data: 'country='+a
			});
		ajax.request();
		
		document.getElementById('AjaxLocal').style.display = 'none';
	}
	
	function ChangeCity(a){
		document.getElementById('AjaxLocal').style.display = 'inline';
		
		var progressM = $('progressM');
		
		var url = '<?php echo JURI::base();?>index.php?option=com_restaurantguide&controller=ajax&format=raw&task=ChangeCity';
	
		var ajax = new Ajax(url, {
			method: 'get',
			onRequest: function(){progressM.setStyle('visibility', 'visible');},
			onComplete: function(){progressM.setStyle('visibility', 'hidden');},
			update: $('AjaxLocal'), 
			data: 'statename='+a
			});
		ajax.request();
	}

	window.addEvent( "domready", function()
	{  
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 5, script_url :'index.php?option=com_restaurantguide&controller=cities&format=raw', task:'gettags'});
		tags.fetchscreen();
	});
	
	function addtag()
	{
		var tagname = document.adminForm.tagname.value;
		var type = 5;
		var agent = <?php echo $this->user->id; ?>;
		
		if(tagname == ''){
			alert('<?php echo JText::_('ENTER TAG', true); ?>');
			return;
		}
	
		var tag = new itemscreen();
		tag.addtag( tagname, type, agent );
		var tags = new itemscreen('tags', {id:<?php echo $this->row->id ? $this->row->id : 0; ?>, type: 5, script_url :'index.php?option=com_restaurantguide&controller=cities&format=raw', task:'gettags'});
		tags.fetchscreen();
	}

</script>

<form action = "index.php" method="POST" name="adminForm" id="adminForm" enctype="multipart/form-data">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="admintable">
                	<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'CITY / LOCAL AREA NAME', 'name' ); ?></td>
						<td>
							<input id="name" name="name" class="required" value="<?php echo $this->row->name; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'ALIAS', 'alias' ); ?></td>
						<td>
                        	<input name="alias" value="<?php echo $this->row->alias; ?>" size="50" maxlength="255" />
						</td>
					</tr>
                	<tr>
                        <?php 
						$row->id=0;
						$row->country = $this->row->country;
						?>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'COUNTRY', 'country' ); ?></td>
						<td>
							<?php echo JHTML::_( 'restaurantguide.list.AjaxCountryLocal', 'country', $this->row->country, NULL ); ?>
						</td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'SELECT STATE / PARENT CITY', 'statename' ); ?></td>
                        <td colspan='2' align='left'>
                            <div id="AjaxState" style="float:left">
                            <?php 
                            $row->id=0;
                            $row->statename = $this->row->statename;
                            echo SelectHelper::SelectAjaxState( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressL"></div> 

                        	<div id="AjaxLocal" style="float:left">
							<?php 
                            $row->id=0;
                            $row->parent_id = $this->row->parent_id;
                            echo SelectHelper::SelectAjaxLocal( $row, $this->row->country ); 
                            ?>
                            </div>
                            <div id="progressM"></div>
                        </td>
                    </tr>
					<tr>
						<td class="key">
							<label for="published">
								<?php echo JText::_( 'PUBLISHED' ).':'; ?>
							</label>
						</td>
						<td>
							<?php
							$html = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $this->row->published );
							echo $html;
							?>
						</td>
					</tr>
                    <tr>
                    	<td class="key">
							<label for="tags">
								<?php echo JText::_( 'PLEASE_SELECT_TAGS' ).':'; ?>
							</label>
						</td>
                        <td>
                            <div id="tags"></div>
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'TOP DESTINATION', 'destination' ); ?></td>
                        <td valign="top">
                            <input type="text" size="10" name="destination" value="<?php echo $this->row->destination ?>" /> 
                            <?php
                            echo '<div class="rg-error">';
                            echo JText::_( 'INSERT NUMBER DESINATIONS' );
                            echo '</div>';
                            ?>
                        </td>
                    </tr>
                    <tr>
						<td class="key">
                            <?php echo JHTML::_('tooltip', JText::_( 'UPLOAD CITY IMAGE' ), null , null, JText::_( 'CITY IMAGE' ).':'); ?>
                        </td>
                        <td><input type="file" name="file_upload" size="30" /></td> 
					</tr>
                    <tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'PREVIEW', 'image' ); ?></td>
						<td>
                        	<div class="photogrid" style="width:400px">
								<?php
                                if ($this->row->image) { ?>
                                    <img src="../images/restaurantguide/city/thumb/<?php echo $this->row->image; ?>" /><br />
                                    <input class="text_area" type="text" name="image" id="image" size="40" maxlength="255" value="<?php echo $this->row->image; ?>" />
                                    <input class="text_area" type="text" name="imagewidth" id="imagewidth" size="10" maxlength="50" value="<?php echo $this->row->imagewidth; ?>" />
                                    <input class="text_area" type="text" name="imageheight" id="imageheight" size="10" maxlength="50" value="<?php echo $this->row->imageheight; ?>" />
                                <?php } else {?>
                                    <img src="../components/com_restaurantguide/assets/images/no_thumb.gif" /><br />
                                    <?php echo JText::_( 'NO IMAGE' ); ?>
                                <?php } ?>
                                
                            </div>
						</td>
					</tr>
				</table>
                <table class="admintable">

                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'SHOW MAP', 'showmap' ); ?></td>
                        <td valign="top">
                            <input type="button" value="showmap" onclick="appendBootstrap()"/>    
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'LATITUDE - LONGITUDE', 'lat' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="lat" value="<?php echo $this->row->lat ?>" /><input type="text" size="20" name="lon" value="<?php echo $this->row->lon ?>" />
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'ZOOM', 'zoom' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="zoom" value="<?php echo $this->row->zoom ?>" /> 
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'MAP TYPE', 'maptype' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="maptype" value="<?php echo $this->row->maptype ?>" /> 
                        </td>
                    </tr>
                    <tr> 
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'HEIGHT OF MAP', 'mapheight' ); ?></td>
                        <td valign="top">
                            <input type="text" size="20" name="mapheight" value="<?php echo $this->row->mapheight ?>" />&nbsp;px 
                        </td>
                    </tr>
                    <tr>
                        <td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'SELECT MAP COORD', 'map' ); ?></td>
                       <td><div id="map"><div id="map_canvas" style="width: 100%; height: 400px"></div><div id="crosshair"></div></div></td>
                    </tr>  	

                    <tr>
                    	<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'DESCRIPTION', 'description' ); ?></td>
                        <td>
                            <?php
                            echo $this->editor->display( 'description',  $this->row->description, '100%;', '350', '75', '20', array('pagebreak', 'readmore') ) ;
                            ?>
                        </td>
                    </tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'META TITLE', 'meta_title' ); ?></td>
                        <td valign="top">
                            <input id="meta_title" name="meta_title" class="required" value="<?php echo $this->row->meta_title; ?>" size="80" maxlength="255" />
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'META DESCRIPTION', 'metadesc' ); ?></td>
						<td valign="top">
							<textarea class="inputbox" cols="100%" rows="5" name="meta_description" id="metadesc" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_description); ?></textarea>
						</td>
					</tr>
					<tr>
						<td class="key"><?php echo JHTML::_( 'restaurantguide.form.label', 'META KEYWORDS', 'metakey' ); ?></td>
                        <td valign="top">
							<textarea class="inputbox" cols="80" rows="5" name="meta_keywords" id="metakey" style="width:100%;"><?php echo str_replace('&','&amp;',$this->row->meta_keywords); ?></textarea>
						</td>
					</tr>
				</table>	
			</td>
		</tr>
	</table>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_restaurantguide" />
<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
<input type="hidden" name="controller" value="cities" />
<input type="hidden" name="view" value="city" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>