<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * View class for the RestaurantGuide categories screen
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRestaurantitems extends restaurantguideView {

	function __construct( $config = array() )
	{
		parent::__construct($config);

	}
	
	function displayDefault()
	{
		global $mainframe, $option;

		//initialise variables
		$user 		= & JFactory::getUser();
		$db  		= & JFactory::getDBO();
		$document	= & JFactory::getDocument();
		$lang 		= & JFactory::getLanguage();
		
		JHTML::_('behavior.tooltip');

		$document->addScript( JURI::base().'components/com_restaurantguide/assets/js/stateselector.js' );

		//create the toolbar
		JToolBarHelper::title( JText::_( 'RESTAURANTS' ), 'restaurants' );
		JToolBarHelper::addNew();
		JToolBarHelper::spacer();
		JToolBarHelper::editList();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList();

		//Get data from the model
		$rows      	= & $this->get( 'Data');
		$states  	= & $this->get( 'States');
		$cities  	= & $this->get( 'Cities');
		$types  	= & $this->get( 'Types');
		$pageNav 	= & $this->get( 'Pagination' );
		
		$limitstart = JRequest::getVar('limitstart', '0', '', 'int');

		$lists = $this->_getLists($states, $cities, $types);

		$ordering = ($lists['order'] == 'i.ordering');
		

		//assign data to template
		$this->assignRef('lists'      	, $lists);
		$this->assignRef('rows'      	, $rows);
		$this->assignRef('pageNav' 		, $pageNav);
		$this->assignRef('ordering'		, $ordering);
		$this->assignRef('user'			, $user);
		$this->assignRef('direction'	, $lang);
		$this->assignRef('db'	, 		$db);
/*		
		echo "<pre>";
		echo "view=";
		print_r($restauranttypes);
		echo "</pre>";*/
	}
	
	function _getLists($states, $cities, $types)
	{
		global $mainframe, $option, $globalcats;

		// Initialize variables
		$db		= &JFactory::getDBO();
		
		// Get some variables from the request
		$filter_order		= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_order', 'filter_order', 'i.ordering', 'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state 		= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_state', 'filter_state', '*', 'word' );
		$filter_category 	= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_category', 'filter_category', 0, 'int');
		$filter_country 	= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_country', 'filter_country', 0, 'int');
		$filter_states 		= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_states', 'filter_states', 0, 'int');
		$filter_city 		= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_city', 'filter_city', 0, 'int');
		$filter_type 		= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.filter_type', 'filter_type', 0, 'int');
		$limit				= $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
		$limitstart			= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.limitstart', 'limitstart', 0, 'int');
		$search 			= $mainframe->getUserStateFromRequest( $option.'.restaurantitems.search', 'search', '', 'string' );
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );
		
		$categories = $globalcats;
		
		// build the categories select list for filter
		$javascript = 'onchange="this.form.getElementById(\'countries\').value=\'-1\'; document.adminForm.getElementById(\'states\').value=\'0\'; document.adminForm.getElementById(\'filter_city\').value=\'0\'; document.adminForm.submit();"';
		$lists['filter_category'] = restaurantguide_cats::buildcatselect($categories, 'filter_category', $filter_category, true, $javascript);
		
		// get list of countries for dropdown filter
		$query = 'SELECT c.id AS value, c.name AS text'
				. ' FROM #__rg_countries AS c'
				. ' WHERE c.published = 1'
				. ' ORDER BY c.id'
				;
				
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		$country[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
		$country = @array_merge($country, $result);
		$javascript = 'onchange="document.adminForm.getElementById(\'filter_category\').value=\'0\'; document.adminForm.submit();"';
		$lists['countries'] = JHTML::_('select.genericlist', $country, 'filter_country', $javascript, 'value', 'text', $filter_country);

		// get list of cities for dropdown filter
		if ( $states )
			$states_option[]=JHTML::_('select.option', 0, '- '. JText::_('SELECT STATE') .' -');
		else
			$states_option[]=JHTML::_('select.option', 0, JText::_('NO STATES'));
		$states_option=@array_merge($states_option, $states);
		$lists['states'] = JHTML::_('select.genericlist', $states_option, 'filter_states', $javascript, 'value', 'text', $filter_states);
		
		// get list of cities for dropdown filter
		$cities_option[]=JHTML::_('select.option', 0, '- '. JText::_('SELECT CITY') .' -');
		$cities_option=@array_merge($cities_option, $cities);
		$lists['filter_city'] = JHTML::_('select.genericlist', $cities_option, 'filter_city', $javascript, 'value', 'text', $filter_city);
		
		$javascript = 'onchange="document.adminForm.submit();"';
		// get list of property types for dropdown filter
		$types_option[]=JHTML::_('select.option', 0, '- '. JText::_('SELECT TYPE') .' -');
		$types_option=@array_merge($types_option, $types);
		$lists['filter_type'] = JHTML::_('select.genericlist', $types_option, 'filter_type', $javascript, 'value', 'text', $filter_type);
		
		$filter_state_options[] = JHTML::_('select.option', -1, '- '. JText::_( 'SELECT STATE' ) .' -' );
		$filter_state_options[] = JHTML::_('select.option', 1, JText::_('PUBLISHED'));
		$filter_state_options[] = JHTML::_('select.option', 0, JText::_('UNPUBLISHED'));
		$lists['state'] = JHTML::_('select.genericlist', $filter_state_options, 'filter_state', $javascript, 'value', 'text', $filter_state);
		
		// search filter
		$lists['search']= $search;

		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		return $lists;
	}
}
?>