<?php

// Check to ensure this file is included in Joomla!

defined('_JEXEC') or die();


jimport( 'joomla.application.component.view' );


class restaurantguideViewRestaurantlinkEdit extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}

	function displayDefault()
	{
		global $mainframe;
		
		$db  		= & JFactory::getDBO();
		$user 		= & JFactory :: getUser();
		$model		= & $this->getModel();
		$data       = & $this->get('Data');
		$isNew      = ($data->id < 1);

		$text = $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' );
		JToolBarHelper::title(   JText::_( 'ARTICLE LINK EDITOR' ).': <small><small>[ ' . $text.' ]</small></small>', 'articles.png' );
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::custom( 'saveandnew', 'savenew.png', 'savenew.png', 'SAVE_AND_NEW', false );
		JToolBarHelper::cancel();

		$contentConfig = & JComponentHelper :: getParams('com_content');
		$access = !$contentConfig->get('shownoauth');

		$gid = $user->get('gid');
		$now = date('Y-m-d H:i:s', time() + $mainframe->getCfg('offset') * 60 * 60);

		$got_JoomFish = file_exists($mainframe->getCfg('absolute_path') . '/administrator/components/com_joomfish/joomfish.php') ? true : false;
		
		$nullDate = $db->getNullDate();
		
		$query = "SELECT c.id AS id, c.title AS title, c.alias as title_alias
  				FROM #__content AS c
				INNER JOIN #__categories AS cat
				ON(c.catid = cat.id) AND (cat.access <= $gid)
				INNER JOIN #__sections AS sec
				ON(c.sectionid = sec.id)
  				WHERE c.state = '1'";

		if ($access) {
			$query .= " AND c.access <= $gid \n";
		}
/*		if ($sections != '') {
			$query .= "AND sec.id in ($sections) \n";
		}
		if ($categories != '') {
			$query .= "AND cat.id in ($categories) \n";
		}
		if (!$got_JoomFish) {
			if ($title_field == 0) {
				$query .= "ORDER BY c.title";
			} else {
				$query .= "ORDER BY c.alias";
			}
		} */
		$db->setQuery($query);
		$rows = $db->loadObjectList();

		if ($got_JoomFish) {
			if ($title_field == 0) {
				sortArrayObjects($rows, 'title');
			} else {
				sortArrayObjects($rows, 'title_alias');
			}
		}

		$lists = array();
		
		$articlelist[]	= JHTML::_('select.option',  '0', JText::_( '- SELECT ARTICLE -' ), 'id', 'title' );
		$articlelist	= array_merge( $articlelist, $rows );
		$lists['contentid']  = JHTML::_('select.genericlist',  $articlelist, 'contentid', 'class="inputbox" size="1" ', 'id', 'title', intval($data->contentid));
				
		$this->assignRef('data', $data);
		$this->assignRef('lists', $lists);
	}
}

