<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );


class restaurantguideViewRestaurantlinks extends restaurantguideView
{
	function __construct( $config = array() )
	{
		parent::__construct($config);

	}

	function displayDefault()
	{
		global $mainframe, $option;

		$filter_order		= $mainframe->getUserStateFromRequest( "$option.filter_order", 'filter_order', 'restaurantlinks','cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$option.filter_order_Dir", 'filter_order_Dir', '', 'word' );
		$filter_state 		= $mainframe->getUserStateFromRequest( "$option.filter_state", 'filter_state', '*', 'word' );
		if ($filter_order != 'restaurantlinks')
			$filter_order = 'restaurantlinks';

		$search = $mainframe->getUserStateFromRequest( "$option.search", 'search', '', 'string' );
		$search = JString::strtolower( $search );
		$this->assignRef( 'search', $search );

		$model =& $this->getModel();

		JToolBarHelper::title( JText::_( 'Restaurant Links Manager' ), 'generic.png' );
		JToolBarHelper::publishList();
		JToolBarHelper::spacer();
		JToolBarHelper::unpublishList();
		JToolBarHelper::spacer();
		JToolBarHelper::addNew();
		JToolBarHelper::spacer();
		JToolBarHelper::editList();
		JToolBarHelper::spacer();
		JToolBarHelper::deleteList('Are you sure you want to delete the record(s)?');

		$limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$limitstart = $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$total = $model->GetRowNumbers($search);
		
		jimport('joomla.html.pagination');

		$pagination = new JPagination( $total, $limitstart, $limit );
		$this->assignRef( 'pagination', $pagination );

		$links = $model->GetLinkFromDB($pagination->limitstart, $pagination->limit, $search, $filter_order, $filter_order_Dir);
		$this->assignRef( 'links', $links );

		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		= $filter_order;

		$ordering = ($lists['order'] == 'c.ordering');
		$this->assignRef('ordering'		, $ordering);
		
		// search filter
		$lists['search']= $search;
		
		$lists['state']	= JHTML::_('grid.state', $filter_state );
		
		$this->assignRef( 'lists', $lists );
/*		
		echo "<pre>";
		echo "view=";
		print_r($links);
		echo "</pre>"; 
*/
	}
}