<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

class rg_html
{
	/**
	 * Creates the print button
	 *
	 * @param string $print_link
	 * @param array $params
	 * @since 1.0
	 */
	function printbutton( $print_link, &$params )
	{
		if ($params->get( 'show_print_icon' )) {

			JHTML::_('behavior.tooltip');

			$status = 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no';

			// checks template image directory for image, if non found default are loaded
			if ( $params->get( 'show_icons' ) ) {
				$image = JHTML::_('image.site', 'printButton.png', 'images/M_images/', NULL, NULL, JText::_( 'PRINT' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'PRINT' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}

			if (JRequest::getInt('pop')) {
				//button in popup
				$output = '<a href="#" onclick="window.print();return false;">'.$image.'</a>';
			} else {
				//button in view
				$overlib = JText::_( 'PRINT TIP' );
				$text = JText::_( 'PRINT' );

				$output	= '<a href="'. JRoute::_($print_link) .'" class="editlinktip hasTip" onclick="window.open(this.href,\'win2\',\''.$status.'\'); return false;" title="'.$text.'::'.$overlib.'">'.$image.'</a>';
			}

			return $output;
		}
		return;
	}

	/**
	 * Creates the email button
	 *
	 * @param string $print_link
	 * @param array $params
	 * @since 1.0
	 */
	function mailbutton($view, &$params, $slug = null, $itemslug = null )
	{
		if ($params->get('show_email_icon')) {

			JHTML::_('behavior.tooltip');
			$uri    =& JURI::getInstance();
			$base  	= $uri->toString( array('scheme', 'host', 'port'));
			
			//TODO: clean this static stuff (Probs when determining the url directly with subdomains)
			if($view == 'category') {
				$link 	= $base.JRoute::_( 'index.php?view='.$view.'&cid='.$slug, false );
			} elseif($view == 'restaurantitems') {
				$link 	= $base.JRoute::_( 'index.php?view='.$view.'&cid='.$slug.'&id='.$restaurantitemslug, false );
			} elseif($view == 'tags') {
				$link 	= $base.JRoute::_( 'index.php?view='.$view.'&id='.$slug, false );
			} else {
				$link 	= $base.JRoute::_( 'index.php?view='.$view, false );
			}
			$url 	= 'index.php?option=com_mailto&tmpl=component&link='.base64_encode( $link );
			$status = 'width=400,height=300,menubar=yes,resizable=yes';

			if ($params->get('show_icons')) 	{
				$image = JHTML::_('image.site', 'emailButton.png', 'images/M_images/', NULL, NULL, JText::_( 'EMAIL' ));
			} else {
				$image = '&nbsp;'.JText::_( 'EMAIL' );
			}

			$overlib = JText::_( 'EMAIL TIP' );
			$text = JText::_( 'EMAIL' );

			$output	= '<a href="'. JRoute::_($url) .'" class="editlinktip hasTip" onclick="window.open(this.href,\'win2\',\''.$status.'\'); return false;" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

			return $output;
		}
		return;
	}

	/**
	 * Creates the pdf button
	 *
	 * @param int $id
	 * @param array $params
	 * @since 1.0
	 */
	function pdfbutton( $item, &$params)
	{
		if ($params->get('show_pdf_icon')) {

			JHTML::_('behavior.tooltip');

			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'pdf_button.png', 'images/M_images/', NULL, NULL, JText::_( 'CREATE PDF' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'CREATE PDF' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'CREATE PDF TIP' );
			$text = JText::_( 'CREATE PDF' );

			$link 	= 'index.php?view=restaurantitems&cid='.$item->categoryslug.'&id='.$item->slug.'&format=pdf';
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

			return $output;
		}
		return;
	}

	/**
	 * Creates the edit button
	 *
	 * @param int $id
	 * @param array $params
	 * @since 1.0
	 */
	function editbutton( $item, &$params)
	{
		$user	= & JFactory::getUser();

		if ($user->authorize('com_restaurantguide', 'edit') || ($user->authorize('com_content', 'edit', 'content', 'own') && $item->created_by == $user->get('id')) ) {

			JHTML::_('behavior.tooltip');

			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'edit.png', 'images/M_images/', NULL, NULL, JText::_( 'EDIT' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'EDIT' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'EDIT TIP' );
			$text = JText::_( 'EDIT' );

			$link 	= 'index.php?view=restaurantitems&cid='.$item->categoryslug.'&id='.$item->slug.'&task=edit';
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

			return $output;
		}
		return;
	}

	/**
	 * Creates the add button
	 *
	 * @param array $params
	 * @since 1.0
	 */
	function addbutton(&$params)
	{
		$user	= & JFactory::getUser();

		if ($user->authorize('com_restaurantguide', 'add')) {

			JHTML::_('behavior.tooltip');

			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'add.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, JText::_( 'ADD' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'ADD' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'ADD TIP' );
			$text = JText::_( 'ADD' );

			$link 	= 'index.php?view=restaurantitems&task=add';
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

			return $output;
		}
		return;
	}

	/**
	 * Creates the stateicon
	 *
	 * @param int $state
	 * @param array $params
	 * @since 1.0
	 */
	function stateicon( $state, &$params)
	{
		$user		= & JFactory::getUser();

		if ($user->authorize('com_restaurantguide', 'state') && $params->get('show_state_icon')) {

			JHTML::_('behavior.tooltip');

			if ( $state == 1 ) {
				$img = 'tick.png';
				$alt = JText::_( 'PUBLISHED' );
				$state = 1;
			} else if ( $state == 0 ) {
				$img = 'publish_x.png';
				$alt = JText::_( 'UNPUBLISHED' );
				$state = 0;
			} else if ( $state == -1 ) {
				$img = 'disabled.png';
				$alt = JText::_( 'ARCHIVED' );
				$state = -1;
			} else if ( $state == -2 ) {
				$img = 'publish_r.png';
				$alt = JText::_( 'PENDING' );
				$state = -2;
			} else if ( $state == -3 ) {
				$img = 'publish_y.png';
				$alt = JText::_( 'OPEN QUESTION' );
				$state = -3;
			} else if ( $state == -4 ) {
				$img = 'publish_g.png';
				$alt = JText::_( 'IN PROGRESS' );
				$state = -4;
			}

			$text = JText::_( 'STATE' );
			
			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', $img, 'components/com_restaurantguide/assets/images/', NULL, NULL, $alt, 'class="editlinktip hasTip" title="'.$text.'::'.$alt.'"' );
			} else {
				$image = '&nbsp;'. $alt;
			}
			return $image;
		}
		return;
	}

	/**
	 * Creates the categoryratingbar
	 *
	 * @param array $item
	 * @since 1.0
	 */
	function categoryratingbar($item)
	{
		if ($item->rate > 0) {
			$result = intval($item->rate_sum) / intval($item->rate);
		}
		else {
			$result = 0;
		}

		$html = "
		<div class=\"vote-container\">
			<ul class=\"vote-stars\">
				<li id=\"userrating_" . $item->id . "\" class=\"current-rating\" style=\"width:" . $result . "%;\"></li>
			</ul>
		</div>";

		return $html;
	}
	
	function ratingbar($item, $text, $width, $ratesum)
	{
		if ($ratesum)
			$result = $ratesum;
		else
			$result = ($item->service + $item->food + $item->ambience + $item->location + $item->value)/5;
		$textwidth = $width - 80;
		$html = "
			<div class=\"titlebox\" style=\"width:".$width."px; height:16px; text-align:right; background:none\">
				<div style=\"width:".$textwidth."px; float:left; vertical-align:top;\">
					<p style=\"text-align:right; font-size:11px; font-weight:bold; padding-right:6px;\">".$text."</p>
				</div>
				<div style=\"float:right; vertical-align:top;\">
					<div class=\"vote-container\">
						<ul class=\"vote-stars\">
							<li id=\"userrating_" . $item->id . "\" class=\"current-rating\" style=\"width:" . (int) $result . "%;\"></li>
						</ul>
					</div>
				</div>
			</div>";

		return $html;
	}

	function vote($item)
	{
		echo "
		<script type=\"text/javascript\">
		<!--
		function change_rate(id, i) {
			document.getElementById('rating_'+id).style.width=parseInt(i*20)+'%';
			document.getElementById('rate_'+id).value=parseInt(i*20);
		}
		-->
		</script>";

		$html = "";
		for ($no = 1; $no < 6; $no++) :	
			if ($no == 1) {
				$txt = JTEXT::_('SERVICE');
			} else if ($no == 2) {
				$txt = JTEXT::_('FOOD');
			} else if ($no == 3) {
				$txt = JTEXT::_('AMBIENCE');
			} else if ($no == 4) {
				$txt = JTEXT::_('LOCATION');
			} else if ($no == 5) {
				$txt = JTEXT::_('VALUE');
			}
			
			$html .= "
			<div class=\"titlebox\" style=\"width:160px; height:16px; background:none\">
				<div style=\"width:80px; float:left;\">
					<p style=\"text-align:right; font-size:11px; font-weight:bold; padding-right:6px;\">$txt</p>
				</div>
				<div style=\"float:right; vertical-align:top;\">
					<div class=\"vote-container\">
						<ul class=\"vote-hearts\">
							<li id=\"rating_" . $no . "\" class=\"current-rating\" style=\"width:0%;\"></li>
							<li><a href=\"javascript:void(null)\" onclick=\"javascript:change_rate(" . $no . ",1);\" title=\"" . JTEXT::_('AWFUL') . "\" class=\"one-star\">1</a></li>
							<li><a href=\"javascript:void(null)\" onclick=\"javascript:change_rate(" . $no . ",2);\" title=\"" . JTEXT::_('POOR') . "\" class=\"two-stars\">2</a></li>
							<li><a href=\"javascript:void(null)\" onclick=\"javascript:change_rate(" . $no . ",3);\" title=\"" . JTEXT::_('AVERAGE') . "\" class=\"three-stars\">3</a></li>
							<li><a href=\"javascript:void(null)\" onclick=\"javascript:change_rate(" . $no . ",4);\" title=\"" . JTEXT::_('GOOD') . "\" class=\"four-stars\">4</a></li>
							<li><a href=\"javascript:void(null)\" onclick=\"javascript:change_rate(" . $no . ",5);\" title=\"" . JTEXT::_('EXCELLENT') . "\" class=\"five-stars\">5</a></li>
						</ul>
					</div>
				</div>
			</div>";
		endfor;	

		echo $html;	
	}
	
	function votebox($items, $total, $class, $boxwidth)
	{
		$service = 0;
		$food = 0;
		$ambience = 0;
		$location = 0;
		$value = 0;
		
		if ($class == 1) {
			for ($i = 0; $i < $total; $i++) {	
				$service += $items[$i]->service;
				$food += $items[$i]->food;
				$ambience += $items[$i]->ambience;
				$value += $items[$i]->value;
				$location += $items[$i]->location;
			}
			if ($total == 0)
				$total = 1;
			$service /= $total;
			$food /= $total;
			$ambience /= $total;
			$location /= $total;
			$value /= $total;
		}
		else if ($class == 2) {
			$service = $items->service;
			$food = $items->food;
			$ambience = $items->ambience;
			$location = $items->location;
			$value = $items->value;
		}
		$textwidth = $boxwidth - 80;
		$html = "";
		for ($no = 1; $no < 6; $no++) :	
			if ($no == 1) {
				$txt = JTEXT::_('SERVICE');
				$width = $service;
			} else if ($no == 2) {
				$txt = JTEXT::_('FOOD');
				$width = $food;
			} else if ($no == 3) {
				$txt = JTEXT::_('AMBIENCE');
				$width = $ambience;
			} else if ($no == 4) {
				$txt = JTEXT::_('LOCATION');
				$width = $location;
			} else if ($no == 5) {
				$txt = JTEXT::_('VALUE');
				$width = $value;
			}
			
			$html .= "
			<div class=\"titlebox\" style=\"width:".$boxwidth."px; height:16px; text-align:right; background:none\">
				<div style=\"width:".$textwidth."px; float:left; vertical-align:top;\">
					<p style=\"text-align:right; font-size:11px; font-weight:bold; padding-right:6px;\">$txt</p>
				</div>
				<div style=\"float:right; vertical-align:top;\">
					<div class=\"vote-container\">
						<ul class=\"vote-hearts\">
							<li id=\"oldrating_" . $no . "\" class=\"current-rating\" style=\"width:" . (int) $width . "%;\"></li>
						</ul>
					</div>
				</div>
			</div>";
		endfor;	

		echo $html;	
	}
	
	
	/**
	 * Copy of com_content filtering. RestaurantGuide doesn't need own filtering rules for content,
	 * @return 
	 * @param object $row
	 */
/*	function saveContentPrep( &$row )
	{
		// Get submitted text from the request variables
		$text = JRequest::getVar( 'text', '', 'post', 'string', JREQUEST_ALLOWRAW );

		// Clean text for xhtml transitional compliance
		$text		= str_replace( '<br>', '<br />', $text );

		// Search for the {readmore} tag and split the text up accordingly.
		$pattern = '#<hr\s+id=("|\')system-readmore("|\')\s*\/*>#i';
		$tagPos	= preg_match($pattern, $text);

		if ( $tagPos == 0 )
		{
			$row->introtext	= $text;
		} else
		{
			list($row->introtext, $row->fulltext) = preg_split($pattern, $text, 2);
		}

		// Filter settings
		jimport( 'joomla.application.component.helper' );
		$config	= JComponentHelper::getParams( 'com_content' );
		$user	= &JFactory::getUser();
		$gid	= $user->get( 'gid' );

		$filterGroups	=  $config->get( 'filter_groups' );

		if (is_array($filterGroups) && in_array( $gid, $filterGroups ))
		{
			$filterType		= $config->get( 'filter_type' );
			$filterTags		= preg_split( '#[,\s]+#', trim( $config->get( 'filter_tags' ) ) );
			$filterAttrs	= preg_split( '#[,\s]+#', trim( $config->get( 'filter_attritbutes' ) ) );
			switch ($filterType)
			{
				case 'NH':
					$filter	= new JFilterInput();
					break;
				case 'WL':
					$filter	= new JFilterInput( $filterTags, $filterAttrs, 0, 0, 0);  // turn off xss auto clean
					break;
				case 'BL':
				default:
					$filter	= new JFilterInput( $filterTags, $filterAttrs, 1, 1 );
					break;
			}
			$row->introtext	= $filter->clean( $row->introtext );
			$row->fulltext	= $filter->clean( $row->fulltext );
		} elseif(empty($filterGroups) && $gid != '25') { // no default filtering for super admin (gid=25)
			$filter = new JFilterInput( array(), array(), 1, 1 );
			$row->introtext	= $filter->clean( $row->introtext );
			$row->fulltext	= $filter->clean( $row->fulltext );
		}
		
		return true;
	}
*/

	/**
	 * Creates the favourite icons
	 *
	 * @param array $params
	 * @since 1.0
	 */
	function favoure($item, &$params, $favoured)
	{
		$user	= & JFactory::getUser();

		JHTML::_('behavior.tooltip');

		if ($user->id && $favoured) {
			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'heart_delete.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, JText::_( 'REMOVE FAVOURITE' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'REMOVE FAVOURITE' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'REMOVE FAVOURITE TIP' );
			$text = JText::_( 'REMOVE FAVOURITE' );

			$link 	= 'index.php?task=removefavourite&cid='.$item->categoryslug.'&id='.$item->slug;
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';
		} elseif($user->id) {
			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'heart_add.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, JText::_( 'FAVOURE' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'FAVOURE' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'FAVOURE TIP' );
			$text = JText::_( 'FAVOURE' );

			$link 	= 'index.php?task=addfavourite&cid='.$item->categoryslug.'&id='.$item->slug;
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';
		} else {

			$overlib = JText::_( 'FAVOURE LOGIN TIP' );
			$text = JText::_( 'FAVOURE' );

			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'heart_login.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, $text, 'class="editlinktip hasTip" title="'.$text.'::'.$overlib.'"' );
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. '<span class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$text.'</span>';
			}

			$output	= $image;
		}

		return $output;
	}

	/**
	 * Creates the favourites button
	 *
	 * @param array $params
	 * @since 1.0
	 */
	function favouritesbutton(&$params)
	{
		if ($params->get('show_favourites')) {
			JHTML::_('behavior.tooltip');

			if ( $params->get('show_icons') ) {
				$image = JHTML::_('image.site', 'heart.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, JText::_( 'FAVOURITES' ));
			} else {
				$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'FAVOURITES' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
			}
			$overlib = JText::_( 'FAVOURITES TIP' );
			$text = JText::_( 'FAVOURITES' );

			$link 	= 'index.php?view=favourites';
			$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

			return $output;
		}
		return;
	}

	/**
	 * Creates the favourite remove button
	 *
	 * @param array $params
	 * @since 1.0
	 */
	function removefavbutton(&$params, $item)
	{
		$user	= & JFactory::getUser();
		JHTML::_('behavior.tooltip');

		if ($user->id) {
			if ($params->get('show_favourites')) {
				JHTML::_('behavior.tooltip');

				if ( $params->get('show_icons') ) {
					$image = JHTML::_('image.site', 'delete.png', 'components/com_restaurantguide/assets/images/', NULL, NULL, JText::_( 'REMOVE FAVOURITE' ));
				} else {
					$image = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'FAVOURITES' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
				}
				$overlib = JText::_( 'REMOVE FAVOURITE TIP' );
				$text = JText::_( 'REMOVE FAVOURITE' );

				$link 	= 'index.php?task=removefavourite&id='.$item->id;
				$output	= '<a href="'.JRoute::_($link).'" class="editlinktip hasTip" title="'.$text.'::'.$overlib.'">'.$image.'</a>';

				return $output;
			}
		}
		return;
	}
	
	function boxtop()
	{
		$output	= '<div id="box">' . "\n";
		$output	.= '<div class="box-container-t">' . "\n";
		$output	.= '<div class="box-tl"></div>' . "\n";
		$output	.= '<div class="box-tr"></div>' . "\n";
		$output	.= '<div class="box-t"></div>' . "\n";
		$output	.= '</div>' . "\n";
		
		$output	.= '<div class="box-l">' . "\n";
		$output	.= '<div class="box-l-ie6"></div>' . "\n";
		$output	.= '<div class="box-r-ie6"></div>' . "\n";
		$output	.= '<div class="box-r">' . "\n";
		$output	.= '<div class="box-m">' . "\n";

		return $output;
	}
	
	function boxbottom()
	{
		$output	= '<div style="clear:both;"></div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '<div class="box-container-b">' . "\n";
		$output	.= '<div class="box-bl"></div>' . "\n";
		$output	.= '<div class="box-br"></div>' . "\n";
		$output	.= '<div class="box-b"></div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		
		$output	.= '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
		return $output;
	}
	
	function boxtop_b()
	{
		$output	= '<div id="box_b">' . "\n";
		$output	.= '<div class="box-b-container-t">' . "\n";
		$output	.= '<div class="box-b-tl"></div>' . "\n";
		$output	.= '<div class="box-b-tr"></div>' . "\n";
		$output	.= '<div class="box-b-t"></div>' . "\n";
		$output	.= '</div>' . "\n";
		
		$output	.= '<div class="box-b-l">' . "\n";
		$output	.= '<div class="box-b-l-ie6"></div>' . "\n";
		$output	.= '<div class="box-b-r-ie6"></div>' . "\n";
		$output	.= '<div class="box-b-r">' . "\n";
		$output	.= '<div class="box-b-m">' . "\n";
		$output	.= '<div class="content">' . "\n";

		return $output;
	}
	
	function boxbottom_b()
	{
		$output	= '<div style="clear:both;"></div>' . "\n"; 
		$output	.= '</div>' . "\n"; 
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '<div class="box-b-container-b">' . "\n";
		$output	.= '<div class="box-b-bl"></div>' . "\n";
		$output	.= '<div class="box-b-br"></div>' . "\n";
		$output	.= '<div class="box-b-b"></div>' . "\n";
		$output	.= '</div>' . "\n";
		$output	.= '</div>' . "\n";
		
		$output	.= '<div style="clear:both;padding-bottom:10px;"></div>' . "\n";
		return $output;
	}
	
	function showmap($config, $base, $mapdatas, $regione, $cattitle, $child, $ajaxmap) {
		$lat = $base['lat'];
		$lon = $base['lon'];
		$zoom = $base['zoom'];
		$maptype = $base['maptype'];
		if (!$maptype) $maptype = 'Map';
		
		switch ($maptype) {
			case 'Map':
			case 'roadmap':
				$maptype = 'G_NORMAL_MAP';
				break;
			case 'Satellite':
				$maptype = 'G_SATELLITE_MAP';
				break;
			case 'Hybrid':
			case 'hybrid':
				$maptype = 'G_HYBRID_MAP';
				break;
			case 'Terrain':
			case 'terrain':
				$maptype = 'G_PHYSICAL_MAP';
				break;
		}

		?>

		<script language="javascript" type="text/javascript">
            var map;
            var container;
            var lat;
            var lon;
            var maptype;
            var title;
            var thumbLink;
            var point;
			var toggle = 0;

			function loadMap() {

				container = document.getElementById("map_canvas");
					   
				lat = <?php echo $lat ?>;
				lon = <?php echo $lon ?>;
				zoom = <?php echo $zoom ?>;
				maptype = <?php echo $maptype ?>;
				point = new GLatLng (lat, lon);
				map = new google.maps.Map2(container); 
				map.addControl(new GLargeMapControl3D(), new GControlPosition(G_ANCHOR_TOP_LEFT, new GSize(0,5)));
				map.addControl(new GMenuMapTypeControl(), new GControlPosition(G_ANCHOR_TOP_RIGHT, new GSize(7,7)));
				map.addMapType(G_PHYSICAL_MAP);
				map.addControl(new GScaleControl());
				map.setCenter(new google.maps.LatLng(lat, lon), zoom, maptype);

				var clusterer = new Clusterer(map); 
				var sidebar = new SideBar(document.getElementById("sidebar"));
		
				GEvent.addListener(map, "mouseover", function(){
					map.showControls();
				});
				GEvent.addListener(map, "mouseout", function(){
					map.hideControls(); 
				});
	
				// ================= infoOpened LISTENER ===========
				GEvent.addListener(map, "infowindowopen", function()  {
					infoOpened = true;	// set infoOpened to true to change the history text
					Slimbox.scanPage();
				});
		
				// ================= infoClosed LISTENER ===========
				GEvent.addListener(map, "infowindowclose", function()  {
					infoOpened = false;	// set infoOpened to false
				});
		
				var autoCenterBounds = new GLatLngBounds();
				var maxZoom = 0;	
				var marker; 
				var width;
				var height;
				var ratio;
				var imagelink;
				var itemlink;
				var slimboxlink;
				var logopath = "<?php echo JURI::base() ?>administrator/components/com_restaurantguide/assets/images/<?php echo $config->logoimage; ?>";
				var logowidth = <?php echo $config->logowidth; ?>;
				var logoheight = <?php echo $config->logoheight; ?>;
		
				<?php 
				if ($child) {
					foreach ($mapdatas as $mapdata) {
						$text = substr($mapdata[0]->restotype, 0, 18) . "....";
					//	$cattitle = "Restaurants ".$cattitle; ?>
						CreateMarker(clusterer, sidebar, "", "", "", "", "", "", "","", "", "", "", "", "", "<?php echo $text; ?>");
						<?php 
						foreach ($mapdata as $item) {
							if ($item->lon == 0) continue; ?>
							point = new GLatLng(<?php echo $item->lat; ?>, <?php echo $item->lon; ?>);
							<?php
							if ($item->zoom < 1 || !$item->zoom) $item->zoom = 3; ?>
							maxZoom = Math.max(maxZoom, <?php echo $item->zoom ?>);
							autoCenterBounds.extend(point);
							
							<?php if ($regione == 'resto' && $item->mainimage) { ?>
								itemlink = "<?php echo JRoute::_( restaurantguideHelperRoute::getItemRoute($item->slug, $item->categoryslug)); ?>";
								thumblink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/scrop/<?php echo $item->mainimage; ?>";
								imagelink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/resize/<?php echo $item->mainimage; ?>";
								slimboxlink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/album/<?php echo $item->mainimage; ?>";
							<?php } else { ?>
								thumblink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_listthumb.png";
								imagelink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_thumb.jpg";
								slimboxlink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_thumb.jpg";
								<?php $item->imagewidth = 160;
								$item->imageheight = 120; 
							}
							
							$desc = $item->title; ?>
							
							CreateMarker(clusterer, sidebar, <?php echo $item->lat; ?>, <?php echo $item->lon; ?>, "<?php echo $desc; ?>", thumblink, imagelink, itemlink, slimboxlink, <?php echo $item->zoom; ?>, <?php echo $item->imagewidth; ?>, <?php echo $item->imageheight; ?>, logopath, logowidth, logoheight, ""); <?php
						}
					}
				} else { 
					$cattitle = JText::_('RESTAURANTS IN').' '.$cattitle; ?>
					CreateMarker(clusterer, sidebar, "", "", "", "", "", "", "","", "", "", "", "", "", "<?php echo $cattitle; ?>");
					<?php
					foreach ($mapdatas as $item) {
						if ($item->lon == 0) continue; ?>
						point = new GLatLng(<?php echo $item->lat; ?>, <?php echo $item->lon; ?>);
						<?php
						if ($item->zoom < 1 || !$item->zoom) $item->zoom = 3; ?>
						maxZoom = Math.max(maxZoom, <?php echo $item->zoom ?>);
						autoCenterBounds.extend(point);
						
						<?php
						if ($regione == 'city' && $item->image) { ?>
							itemlink = "<?php echo JRoute::_(restaurantguideHelperRoute::getCityRoute($item->slug)); ?>";
							thumblink = "<?php echo JURI::base() ?>images/restaurantguide/city/scrop/<?php echo $item->image; ?>";
							imagelink = "<?php echo JURI::base() ?>images/restaurantguide/city/resize/<?php echo $item->image; ?>";
							slimboxlink = "<?php echo JURI::base() ?>images/restaurantguide/city/album/<?php echo $item->image; ?>";
						<?php } else if ($regione == 'country' && $item->image) { ?>
							itemlink = "<?php echo JRoute::_( restaurantguideHelperRoute::getCountryRoute($item->slug)); ?>";
							thumblink = "<?php echo JURI::base() ?>images/restaurantguide/country/scrop/<?php echo $item->image; ?>";
							imagelink = "<?php echo JURI::base() ?>images/restaurantguide/country/resize/<?php echo $item->image; ?>";
							slimboxlink = "<?php echo JURI::base() ?>images/restaurantguide/country/album/<?php echo $item->image; ?>";
						<?php } else if ($regione == 'resto' && $item->mainimage) { ?>
							itemlink = "<?php echo JRoute::_( restaurantguideHelperRoute::getItemRoute($item->slug, $item->categoryslug)); ?>";
							thumblink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/scrop/<?php echo $item->mainimage; ?>";
							imagelink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/resize/<?php echo $item->mainimage; ?>";
							slimboxlink = "<?php echo JURI::base() ?>images/restaurantguide/gallery/restaurant_<?php echo $item->id; ?>/album/<?php echo $item->mainimage; ?>";
						<?php } else { ?>
							thumblink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_listthumb.png";
							imagelink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_thumb.jpg";
							slimboxlink = "<?php echo JURI::base() ?>components/com_restaurantguide/assets/images/no_thumb.jpg";
							<?php $item->imagewidth = 160;
							$item->imageheight = 120; 
						}
						
						if (isset($item->assignedrestos)) {
							$desc = $item->name.'&nbsp;('.$item->assignedrestos.'&nbsp;'.JText::_('RESTAURANTS').')';
						} else if ($regione == 'resto') {
							$desc = $item->title;
						} else {
							$desc = $item->name;
						}
						?>
				
						CreateMarker(clusterer, sidebar, <?php echo $item->lat; ?>, <?php echo $item->lon; ?>, "<?php echo $desc; ?>", thumblink, imagelink, itemlink, slimboxlink, <?php echo $item->zoom; ?>, <?php echo $item->imagewidth; ?>, <?php echo $item->imageheight; ?>, logopath, logowidth, logoheight, "");
						
					<?php	
					}
				}
				?>
				map.setCenter(autoCenterBounds.getCenter(), Math.min(map.getBoundsZoomLevel(autoCenterBounds), maxZoom), maptype);
				
				var publisherID = 'ca-pub-5765631901912662';

				var adsManagerOptions = {
					maxAdsOnMap : 1,
					style: G_ADSMANAGER_STYLE_ADUNIT,
					// The channel field is optional - replace this field with a channel number 
					// of your own for Google AdSense tracking
					channel: '6344687137'  
				};
				
				adsManager = new GAdsManager(map, publisherID, adsManagerOptions);
				adsManager.enable();
				
				//give the map a little time to fully load then remove the background
				setTimeout('document.getElementById("map_canvas").style.backgroundImage = "";',1000);
				
				toggle = 1;
			}

			<?php 
			if ($ajaxmap) { ?>
				function loadScript() {
					if (toggle == 0) {
						loadMap();
						
					}
				}
			<?php } else {?>
				function addLoadEvent(func) { 
					var oldonload = window.onload; 
					if (typeof window.onload != 'function'){ 
						window.onload = func
					} else { 
						window.onload = function() {
							oldonload();
							func();
						}
					}
				}
				 
				addLoadEvent(loadMap); 
			<?php } ?>
		
		</script> 
<?php 
	}
	
	function showSocial($item) {
		$output	= '<div class="itemSocialBlock">';
		$output	.= '<span>'.JText::_('SOCIAL SHARING').':</span>';
		$output	.= '<span><ul class="itemSocial">' . "\n";
		$output	.= '<li><a class="delicious" title="'.JText::_('ADD TO DELICIOUS').'" href="http://del.icio.us/post?url='.$item->socialLink.'&amp;title='.urlencode($item->title).'" target="_blank"><span>'.JText::_('ADD TO DELICIOUS').'</span></a></li>' . "\n";
		$output	.= '<li><a class="digg" title="'.JText::_('DIGG THIS').'" href="http://digg.com/submit?url='.$item->socialLink.'&amp;title='.urlencode($item->title).'" target="_blank"><span>'.JText::_('DIGG THIS').'</span></a></li>' . "\n";
		$output	.= '<li><a class="reddit" title="'.JText::_('ADD TO REDDIT').'" href="http://reddit.com/submit?url='.$item->socialLink.'&amp;title='.urlencode($item->title).'" target="_blank"><span>'.JText::_('ADD TO REDDIT').'</span></a></li>' . "\n"; 
		$output	.= '<li><a class="stumble" title="'.JText::_('ADD TO STUMBLEUPON').'" href="http://www.stumbleupon.com/submit?url='.$item->socialLink.'>&amp;title='.urlencode($item->title).'" target="_blank"><span>'.JText::_('ADD TO STUMBLEUPON').'</span></a></li>' . "\n";
		$output	.= '<li><a class="facebook" title="'.JText::_('ADD TO FACEBOOK').'" href="http://www.facebook.com/share.php?u='.$item->socialLink.'&amp;t='.urlencode($item->title).'" target="_blank"><span>'.JText::_('ADD TO FACEBOOK').'</span></a></li>' . "\n";
		$output	.= '<li><a class="myspace" title="'.JText::_('ADD TO MYSPACE').'" href="http://www.myspace.com/Modules/PostTo/Pages/?l=3&amp;u='.$item->socialLink.'&amp;t='.urlencode($item->title).'" target="_blank"><span>'.JText::_('ADD TO MYSPACE').'</span></a></li>' . "\n";
		$output	.= '<li><a class="technorati" title="'.JText::_('ADD TO TECHNORATI').'" href="http://www.technorati.com/faves?add='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO TECHNORATI').'</span></a></li>' . "\n";		
		$output	.= '<li><a class="google" title="'.JText::_('ADD TO GOOGLE').'href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO GOOGLE').'</span></a></li>' . "\n";
		$output	.= '<li><a class="mixx" title="'.JText::_('ADD TO MIXX').'" href="http://www.mixx.com/submit?page_url='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO MIXX').'</span></a></li>' . "\n";
		$output	.= ' <li><a class="newsvine" title="'.JText::_('ADD TO NEWSVINE').'" href="http://www.newsvine.com/_tools/seed&amp;save?u='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO NEWSVINE').'</span></a></li>' . "\n";
		$output	.= '<li><a class="twitter" title="'.JText::_('ADD TO TWITTER').'" href="http://twitter.com/hotel?status='. $item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO TWITTER').'</span></a></li>' . "\n";
		$output	.= '<li><a class="udjamaflip" title="'.JText::_('ADD TO ANDY SHARMAN\'S JOOMLA SOCIABLE MODULE').'" href="http://www.udjamaflip.com/" target="_blank"><span>'.JText::_('ADD TO ANDY SHARMAN\'S JOOMLA SOCIABLE MODULE').'</span></a></li>' . "\n";
		$output	.= '<li><a class="linkedin" title="'.JText::_('ADD TO LINKEDIN').'" href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO LINKEDIN').'</span></a></li>' . "\n";
		$output	.= '<li><a class="aim" title="'.JText::_('ADD TO AIM').'" href="http://my.screenname.aol.com/_cqr/login/login.psp?sitedomain=x.aim.com&authLev=1&lang=en&locale=us&siteState=OrigUrl%3D'.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO AIM').'</span></a></li>' . "\n";
		$output	.= '<li><a class="bebo" title="'.JText::_('ADD TO BEBO').'" href="http://www.bebo.com/PleaseSignIn.jsp?Page=c/share&amp;Url='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO BEBO').'</span></a></li>' . "\n";
		$output	.= '<li><a class="friendfeed" title="'.JText::_('ADD TO FRIENDFEED').'" href="http://friendfeed.com/account/login?next='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO FRIENDFEED').'</span></a></li>' . "\n";
		$output	.= '<li><a class="wordpress" title="'.JText::_('ADD TO WORDPRESS').'" href="http://ws.addthis.com/share/v2/facade?dest=wordpress&amp;url='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO WORDPRESS').'</span></a></li>' . "\n";
		$output	.= '<li><a class="netvibes" title="'.JText::_('ADD TO NETVIBES').'" href="http://www.netvibes.com/signin?url='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO NETVIBES').'</span></a></li>' . "\n";
		$output	.= '<li><a class="tumblr" title="'.JText::_('ADD TO TUMBLR').'" href="http://www.tumblr.com/login?redirect_to='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO TUMBLR').'</span></a></li>' . "\n";
		$output	.= '<li><a class="yahoo" title="'.JText::_('ADD TO YAHOO').'" href="http://login.yahoo.com/config/login?.src=bmk2&.intl=us&.done='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO YAHOO').'</span></a></li>' . "\n";
		$output	.= '<li><a class="yahoobuzz" title="'.JText::_('ADD TO YAHOOBUZZ').'" href="http://login.yahoo.com/config/login_verify2?.pd=c%3DhYw09vWp2e4FXlpTB9bd0rU-&.src=ybz&.intl=us&.done='.$item->socialLink.'" target="_blank"><span>'.JText::_('ADD TO YAHOOBUZZ').'</span></a></li>' . "\n";
		$output	.= '<li class="clr"></li>' . "\n";
		$output	.= '</ul></span>' . "\n";
		$output	.= '<div class="clr"></div>' . "\n";
		$output	.= '</div>' . "\n";
		
		echo $output;	
	}
	
	function showGoodleAdSense($id, $slot, $width, $height) {
		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
		echo '<div style="text-align:center">' . "\n"; 
		?>
		<script type="text/javascript"><!--
        google_ad_client = "<?php echo $id; ?>";
        
        google_ad_slot = "<?php echo $slot; ?>";
        google_ad_width = <?php echo $width; ?>;
        google_ad_height = <?php echo $height; ?>;
        //-->
        </script>
        
        <script type="text/javascript"
        src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
        </script>
        <?php
		echo '</div>';
		
//		echo '<div style="clear:both;padding-top:5px;"></div>' . "\n"; 
//		echo '<div style="text-align:center">' . "\n"; 
/*

		<script type="text/javascript"><!--
        google_ad_client = "<?php echo $id; ?>";
        
        google_ad_slot = "<?php echo $slot; ?>";
        google_ad_width = <?php echo $width; ?>;
        google_ad_height = <?php echo $height; ?>;
        //-->
        </script>
        
        <script type="text/javascript"
        src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
        </script>
        
        <?php */
//		echo '</div>';
	}
}
?>