<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * RestaurantGuide Component Controller
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideController extends JController
{
	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();
	}

	/**
	 * Display the view
	 */
	function display()
	{
		$user = &JFactory::getUser();
		

		if (JRequest::getVar('view') == 'category') {
			parent::display(false);
		} else if (JRequest::getVar('view') == 'restaurantevent') {
			parent::display(false);
		} else if (JRequest::getVar('view') == 'recipes') {
			$view = & $this->getView('recipes', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'recipe', 'restaurantguideModel' ), true );
	
			$view->display();
		} else if (JRequest::getVar('view') == 'tags') {
			$view = & $this->getView('tags', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'tags', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
	
			$view->display();
		} else if (JRequest::getVar('view') == 'restaurantguide') {
			$view = & $this->getView('restaurantguide', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ), true );
	
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'search', 'restaurantguideModel' ));
			
			$view->display();
		} else if (JRequest::getVar('view') == 'restaurant') {
			$view = & $this->getView('restaurant', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'restaurant', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'testimonials', 'restaurantguideModel' ));
			$view->setModel( $this->getModel( 'tags', 'restaurantguideModel' ));
			
			$view->display();
		} else if (JRequest::getVar('view') == 'search') {
			$view = & $this->getView('search', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'search', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
			$view->display();
		} else if (JRequest::getVar('view') == 'continent') {
			$view = & $this->getView('continent', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'continent', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
			$view->display();
		} else if (JRequest::getVar('view') == 'country') {
			$view = & $this->getView('country', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'country', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
			$view->display();
		} else if (JRequest::getVar('view') == 'city') {
			$view = & $this->getView('city', 'html');
			
			// Get/Create the model
			$view->setModel( $this->getModel( 'city', 'restaurantguideModel' ), true );
			
			$this->addModelPath( JPATH_BASE . DS . 'components' . DS . 'com_restaurantguide' . DS . 'models' );
			
			$view->setModel( $this->getModel( 'restaurantguide', 'restaurantguideModel' ));
			$view->display();
		} else {
			parent::display(false);
		}
	}

	/**
	* Edits an item
	*
	* @access	public
	* @since	1.0
	*/
	function edit()
	{
		$user	=& JFactory::getUser();

		// Create the view
		$view = & $this->getView('restaurant', 'html');

		//general access check
		if (!($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_content', 'edit', 'content', 'own'))) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		// Get/Create the model
		$model = & $this->getModel('restaurant');

		//check if we have an id(edit) and check if we have global edit rights or if we are allowed to edit own items.
		if( $model->get('id') > 1 && !($user->authorize('com_restaurantguide', 'edit') || ($user->authorize('com_content', 'edit', 'content', 'own') && $model->get('created_by') == $user->get('id')) ) ) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		//checked out?
		if ( $model->isCheckedOut($user->get('id')))
		{
			$msg = JText::sprintf('DESCBEINGEDITTED', JText::_('The item'), $model->get('title'));
			$this->setRedirect(JRoute::_('index.php?view=restaurant&id='.$model->get('id'), false), $msg);
			return;
		}

		//Checkout the item
		$model->checkout();

		// Push the model into the view (as default)
		$view->setModel($model, true);

		// Set the layout
		$view->setLayout('form');

		// Display the view
		$view->display();
	}
	
	/**
	* adds an item
	*
	* @access	public
	* @since	1.0
	*/
	function add()
	{
		$user	=& JFactory::getUser();

		// Create the view
		$view = & $this->getView('restaurant', 'html');

		//general access check
		if (!$user->authorize('com_restaurantguide', 'add')) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		// Get/Create the model
		$model = & $this->getModel('restaurant');

		// Push the model into the view (as default)
		$view->setModel($model, true);

		// Set the layout
		$view->setLayout('form');

		// Display the view
		$view->display();
	}

	/**
	* Saves the item
	*
	* @access	public
	* @since	1.0
	*/
	function save()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		// Initialize variables
		$db			= & JFactory::getDBO();
		$user		= & JFactory::getUser();

		//get model
		$model = $this->getModel('restaurant');

		//get data from request
		$post = JRequest::get('post');

		//perform access checks
		$isNew = ((int) $post['id'] < 1);

		// Must be logged in
		if ($user->get('id') < 1) {
			JError::raiseError( 403, JText::_('ALERTNOTAUTH') );
			return;
		}

		//access checks
		if ( !(($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_content', 'edit', 'content', 'own')) || $user->authorize('com_restaurantguide', 'add'))) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}

		if ($model->store($post)) {
			if($isNew) {
				$post['id'] = (int) $model->get('id');
			}
		} else {
			$msg = JText::_( 'ERROR STORING ITEM' );
			JError::raiseError( 500, $model->getError() );
		}

		$model->checkin();

		if ($isNew) {

			//Get categories for information mail
			$query = 'SELECT DISTINCT c.id, c.title,'
					. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as slug'
					. ' FROM #__rg_categories AS c'
					. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.catid = c.id'
					. ' WHERE rel.itemid = '.(int) $model->get('id')
					;

			$db->setQuery( $query );

			$categories = $db->loadObjectList();

			//loop through the categories to create a string
			$n = count($categories);
			$i = 0;
			$catstring = '';
			foreach ($categories as $category) {
				$catstring .= $category->title;
				$i++;
				if ($i != $n) {
					$catstring .= ', ';
				}
			}

			//get list of admins who receive system mails
			$query = 'SELECT id, email, name' .
			' FROM #__users' .
			' WHERE sendEmail = 1';
			$db->setQuery($query);
			if (!$db->query()) {
				JError::raiseError( 500, $db->stderr(true));
				return;
			}
			$adminRows = $db->loadObjectList();

			require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_messages'.DS.'tables'.DS.'message.php');

			// send email notification to admins
			foreach ($adminRows as $adminRow) {

				//Not really  needed cause in com_message you can set to be notified about new messages by email
				//JUtility::sendAdminMail($adminRow->name, $adminRow->email, '', JText::_('NEW FAQ ITEM'), $post['title'], $user->get('username'), JURI::base());

				//Send a message to the admins personal message boxes
				$message = new TableMessage($db);
				$message->send($user->get('id'), $adminRow->id, JText::_('NEW RESTAURANT ITEM'), JText::sprintf('ON NEW ITEM', $post['title'], $user->get('username'), $catstring));
			}

		} else {
			// If the item isn't new, then we need to clean the cache so that our changes appear realtime
			$cache = &JFactory::getCache('com_restaurantguide');
			$cache->clean();
		}

		if ($user->authorize('com_restaurantguide', 'state') )
		{
			$msg = JText::_( 'ITEM SAVED' );
		}
		else
		{
			$msg = $isNew ? JText::_('THANKS SUBMISSION') : JText::_('ITEM SAVED');
		}

		$link = JRequest::getString('referer', JURI::base(), 'post');
		$this->setRedirect($link, $msg);
	}
	
	/**
	* Cancels an edit item operation
	*
	* @access	public
	* @since	1.0
	*/
	function cancel()
	{
		// Initialize some variables
		$user	= & JFactory::getUser();

		// Get an item table object and bind post variabes to it
		$item = & JTable::getInstance('rg_restaurantitems', '');
		$item->bind(JRequest::get('post'));

		// todo: add task checks
		if ($user->authorize('com_restaurantguide', 'edit') || $user->authorize('com_restaurantguide', 'edit', 'own')) {
			$item->checkin();
		}

		// If the task was edit or cancel, we go back to the item
		$referer = JRequest::getString('referer', JURI::base(), 'post');
		$this->setRedirect($referer);
	}

	function sendmail()
	{
		global $rgconf;
		jimport('joomla.mail.helper');
		jimport('joomla.utilities.utility');
		$config =& JFactory::getConfig();
		$db =& JFactory::getDBO();
		
		$email = JMailHelper::cleanAddress( JRequest::getVar('email', '') );
		$name = JRequest::getVar('name', '');
		$subject = JRequest::getVar('subject', '') . ' [' .$config->getValue('fromname', '') . ']';
		$message = JRequest::getVar('e_message', '');			
		
		/*verification */
		if ( empty($name) ) {
			JError::raiseWarning( 500, JText::_( 'You must to specify your name'));
			
		} elseif ( !JMailHelper::isEmailAddress($email) ) {
			JError::raiseWarning( 500, JText::sprintf( 'Invalid email', $email ));
			
		} else {
			$reciptient = $rgconf->default_mail;
		    
		    if($rgconf->send_form_to_agent == 1){
		        
		        $created_by = JRequest::getInt('created_by', 0);
		        $sql = 'SELECT `email` FROM `#__users` WHERE `id`=' . intval($created_by);
		        $db->setQuery($sql);
		        $reciptient = $db->loadResult();
		    }
		    
		    if (empty($reciptient)) {
		        // webmaster email
		        $reciptient = $config->getValue('mailfrom', '');
		    }
			
			$sendOk = JUtility::sendMail($email, $name, $reciptient ,$subject , $message, false);
		   
			if( $sendOk ) {
				
				$mainframe =& JFactory::getApplication();
				$mainframe->enqueueMessage(JText::_('Message successfully sent'));
				
				JRequest::setVar('name' , '');
				JRequest::setVar('subject', '');
				JRequest::setVar('email', '');
				JRequest::setVar('e_message', '');
			} else {
				JError::raiseWarning( 500, JText::_( 'SENDMAIL_ERROR_MSG'));
				
			}
		}		
		$this->display();
	}
	
	
	/**
	 * Logic to change the state
	 *
	 * @access public
	 * @return void
	 * @since 1.0
	 */
	function setstate()
	{
		$id 	= JRequest::getInt( 'id', 0 );
		$state 	= JRequest::getInt( 'state', 0 );

		$model = $this->getModel('restaurant');

		if(!$model->setitemstate($id, $state)) {
			JError::raiseError( 500, $model->getError() );
		}

		if ( $state == 1 ) {
			$img = 'tick.png';
			$alt = JText::_( 'Published' );
		} else if ( $state == 0 ) {
			$img = 'publish_x.png';
			$alt = JText::_( 'Unpublished' );
		} else if ( $state == -1 ) {
			$img = 'disabled.png';
			$alt = JText::_( 'ARCHIVED' );
		} else if ( $state == -2 ) {
			$img = 'publish_r.png';
			$alt = JText::_( 'PENDING' );
		} else if ( $state == -3 ) {
			$img = 'publish_y.png';
			$alt = JText::_( 'OPEN QUESTION' );
		} else if ( $state == -4 ) {
			$img = 'publish_g.png';
			$alt = JText::_( 'IN PROGRESS' );
		}
		
		$cache = &JFactory::getCache('com_restaurantguide');
		$cache->clean();

		echo JHTML::image('components/com_restaurantguide/assets/images/'.$img, $alt );
	}

	function save_Testimonial()
	{
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$db			= & JFactory::getDBO();
		//get model
		JModel::addIncludePath(JPATH_BASE.DS.'components'.DS.'com_restaurantguide'.DS.'models');
		$model = $this->getModel('testimonials');
		
		//get data from request
		$post = JRequest::get('post');

		$id = JRequest::getVar( 'id', 0, 'post', 'int' );
		$cid = JRequest::getVar( 'cid', 0, 'post', 'int' );
		$pid = JRequest::getVar( 'post_id', 0, 'post', 'int' );
		$cmtid = JRequest::getVar( 'cmtid', 0, 'post', 'int' );
		$service = JRequest::getVar( 'rate_1', 0, 'post', 'int' );
		$food = JRequest::getVar( 'rate_2', 0, 'post', 'int' );
		$ambience = JRequest::getVar( 'rate_3', 0, 'post', 'int' );
		$location = JRequest::getVar( 'rate_4', 0, 'post', 'int' );
		$value = JRequest::getVar( 'rate_5', 0, 'post', 'int' );
//		$oldrating = JRequest::getVar( 'oldrating', 0, 'post', 'int' );
		
		$post['pid'] = $pid;
		$post['id'] = $cmtid;
		$post['service'] = $service;
		$post['food'] = $food;
		$post['ambience'] = $ambience;
		$post['location'] = $location;
		$post['value'] = $value;
		$rating = ($service + $food + $ambience + $location + $value) / 5;
		
		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 'SELECT t.*
				FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
				WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
		
		$oldrating = ($edittestimonial->service + $edittestimonial->food + $edittestimonial->ambience + $edittestimonial->location + $edittestimonial->value)/5;
		
		$add = 0;
		if ($oldrating > 0)
			$rating = $rating - $oldrating;
		else
			$add = 1;
			
		if ($model->store($post)) {
			if(!$id || $id <= 0){
				$id = $db->insertId();
			}
			
			$query = "UPDATE #__rg_restaurantitems SET rate = rate + ".$add.", rate_sum = rate_sum + " . (int) $rating . " WHERE id = " . (int) $pid;
			$db->setQuery($query);
			$db->query() or die($db->stderr());
				
  			$msg = JText::_( 'REVIEW SAVED' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$pid, false);
			$this->setRedirect($link, $msg);
		} else {
			$msg = JText::_( 'ERROR SAVING REVIEW' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$pid, false);
			$this->setRedirect($link, $msg);
		}
	}

	function delete_testimonial()
	{
		$id 	= JRequest::getInt( 'id', 0 );
		$cmtid 	= JRequest::getInt( 'cmtid', 0 );
//		$pid = JRequest::getVar( 'post_id', 0, 'post', 'int' );
//		$oldrating = JRequest::getVar( 'oldrating', 0, 'post', 'int' );
 		// Initialize variables
		$db		=& JFactory::getDBO();

		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 'SELECT t.*
				FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
				WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
		
		$oldrating = ($edittestimonial->service + $edittestimonial->food + $edittestimonial->ambience + $edittestimonial->location + $edittestimonial->value)/5;
		
		$query = 'DELETE FROM #__rg_testimonial WHERE id = '.$cmtid;
		$db->setQuery( $query );
		if (!$db->query()) {
			JError::raiseWarning( 500, $db->getError() );
		} 

		$query = "UPDATE #__rg_restaurantitems SET rate = rate - 1, rate_sum = rate_sum - " . (int) $oldrating . " WHERE id = " . (int) $id;
		$db->setQuery($query);
		$db->query() or die($db->stderr());
			
		$this->setRedirect(JRoute::_('index.php?option=com_restaurantguide&view=restaurant&id='.$id) );
		$this->setMessage( JText::sprintf( 'REVIEW REMOVED', $n ) );
	}
	
	function ChangeState() {
		$country = (int)JRequest::getVar('country');
		
		$results = restaurantguide_state::getStateTree($country);

		if ( count($results)>0 ) {
			$stateoption[] = JHTML::_('select.option',  '0', '- '.JText::_('SELECT STATE').' -' );
			$stateoption = @array_merge($stateoption, $results);

			$javascript = 'onChange="ChangeStateCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
			
		} else {
			$stateoption[] = JHTML::_('select.option',  0, JText::_('NO STATE') );

			$javascript = 'onChange="ChangeCity(this.value)"';
			$output = JHTML::_('select.genericlist', $stateoption, 'filter_states', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		}

		echo $output;
	}
	
	function ChangeStateCity() {
		$states = (int)JRequest::getVar('states');
		$cityoption = restaurantguide_city::getStateCityTree($states);
		
		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cityoption, 'filter_city', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		
		echo $output;
	}
	
	function ChangeCity() {
		$country = (int)JRequest::getVar('country');
		$cityoption = restaurantguide_city::getCityTree($country);
		
		$javascript = '';
		$output = restaurantguide_city::buildcityselect($cityoption, 'filter_city', 0, 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript);
		
		echo $output;
	}

	function getrecipe()
	{
		global $rgconf;
		$id 	= JRequest::getInt('id', 0);
//		$type 	= JRequest::getInt('type', 0);
		$model 	= $this->getModel('recipe');
		$recipe 	= $model->getRecipe($id);

		$rsp = '';
		
		if ($rgconf->box == 'None')
			$rsp .= '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			$rsp .= rg_html::boxtop();

			if (($recipe->title)<>'')	{
				$rsp .= '<h3 class="title">';  
				$rsp .= stripslashes($recipe->title); 
				$rsp .= '</h3>';
			}

			$width = $recipe->imagewidth + 10;

			$rsp .= '<a href="'.JURI::base().'images/restaurantguide/recipes/album/'.$recipe->image.'" rel="lightbox[photoindochina]" title="'.$recipe->title.'"><img class="recipeimage" src="'.JURI::base().'images/restaurantguide/recipes/resize/' . $recipe->image .'"width="'.$recipe->imagewidth.'px" /></a>';
			$rsp .= '<div style="text-align:left;">';
			if ($recipe->description)	{
				
				$rsp .= $recipe->description;
				$rsp .= '<br />';
			}
			
			if ($recipe->ingredients)	{
				$rsp .= '<strong>'.JText::_('INGREDIENTS').'</strong><br />';		
				$rsp .= $recipe->ingredients;
				$rsp .= '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
			}

			if ($recipe->methods)	{
				$rsp .= '<strong>'.JText::_('METHODS').'</strong><br />';
				$rsp .= $recipe->methods;
			}
			$rsp .= '</div><br />';
		if ($rgconf->box == 'None')
			$rsp .= '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			$rsp .= rg_html::boxbottom();
	
		echo $rsp;
	}
}
?>