<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Component Helper
jimport('joomla.application.component.helper');

/**
 * RestaurantGuide Component Route Helper
 *
 * @static
 * @package		Joomla
 * @subpackage	Content
 * @since 1.5
 */
class restaurantguideHelperRoute
{
	/**
	 * @param	int	The route of the restaurantguide item
	 */

	function getItemRoute($id, $catid = 0)
	{
		$needles = array(
			'item'  => (int) $id,
			'category' => (int) $catid
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=restaurant';

		if($catid) {
			$link .= '&amp;cid='.$catid;
		}
		
		$link .= '&amp;id='. $id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}

	function getCategoryRoute($catid)
	{
		$needles = array(
			'category' => (int) $catid
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=category&amp;cid='.$catid;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getEventRoute($id)
	{
		$needles = array(
			'event' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=event&amp;cid='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getRecipeRoute($cid)
	{
		$needles = array(
			'recipes' => (int) $cid
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=recipes&amp;cid='.$cid;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getCommentRoute($id)
	{
		$needles = array(
			'comments' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=comments&amp;id='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}

	function getRestaurantGuideRoute($id, $where = 0)
	{
		$needles = array(
			'restaurantguide' => (int) $id
		);

		$link = 'index.php?option=com_restaurantguide&amp;view=restaurantguide&amp;cid='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getContinentRoute($id)
	{
		$needles = array(
			'continent' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=continent&amp;id='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getCountryRoute($id)
	{
		$needles = array(
			'country' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=country&amp;id='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getCityRoute($id)
	{
		$needles = array(
			'city' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=city&amp;id='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function getTagRoute($id)
	{
		$needles = array(
			'tags' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=tags&id='.$id;

//		if($item = hotelguideHelperRoute::_findTag($needles)) {
//			$link .= '&Itemid='.$item->id;
//		};

		return $link;
	}
	
	function getSearchRoute($id)
	{
		$needles = array(
			'search' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_restaurantguide&amp;view=search&amp;id='.$id;

		if($item = restaurantguideHelperRoute::_findItem($needles)) {
			$link .= '&amp;Itemid='.$item->id;
		};

		return $link;
	}
	
	function _findItem($needles)
	{
		$component =& JComponentHelper::getComponent('com_restaurantguide');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);
		$user 	= & JFactory::getUser();
		$access = (int)$user->get('aid');

		$match = null;
		$count = 0;		
		
		foreach($needles as $needle => $id)
		{			
			$count++;
			
			foreach($items as $item)
			{
				//fetch menuitems generic of that item
				if ((@$item->query['view'] == $needle) && (@$item->query['id'] == $id)) {
					$match = $item;
					break;
				}
				
				//ensure that only the second part of the array will go through, otherwise $id will seen as $cid
				if($count == 2) {
					//fetch menuitems which might be linked to a category of that item
					if ((@$item->query['view'] == 'category') && (@$item->query['cid'] == $id)) {
						$match = $item;
						break;
					}
				}
			}
			
			if(isset($match)) {
				break;
			}
		}
		
		//no menuitem exists -> return first possible match
		if(empty($match))
		{
/*			foreach($items as $item)
			{
				if (@$item->published == 1 && @$item->access <= $access && @$item->query['view'] != 'favourites' && @$item->query['layout'] != 'form') {
					$match = $item;
					break;
				}
			}*/
		}

		return $match;
	}
	
	function _findTag($needles)
	{
		$component =& JComponentHelper::getComponent('com_restaurantguide');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);

		$match = null;

		foreach($needles as $needle => $id)
		{
			foreach($items as $item)
			{
				if ( (@$item->query['view'] == $needle) && (@$item->query['id'] == $id) ) {
					$match = $item;
					break;
				} else if (@$item->query['view'] == $needle) {
					$match = $item;
					break;
				}
			}

			if(isset($match)) {
				break;
			}
		}

		return $match;
	}
}
?>
