<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelCategory extends JModel
{
	var $_id = null;
	var $_data = null;
	var $_subdata = null;
	var $_childs = null;
	var $_category = null;
	var $_total = null;
	var $_type = null;
	var $_types = null;
	var $_subtotal = null;
	
	/**
	 * Constructor
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		global $mainframe;

		// Get the paramaters of the active menu item
		$params = & $mainframe->getParams('com_restaurantguide');
		
		$cid = JRequest::getInt('cid', 0);

		//get the number of entries from session
		$limit = 10;//$mainframe->getUserStateFromRequest('com_restaurantguide.category.limit', 'limit', $params->def('limit', 0), 'int');
//		$limit		= $mainframe->getUserStateFromRequest('com_restaurantguide.category.limit', 'limit', $params->def('limit', 0), 'int');
		
		$limitstart = JRequest::getInt('limitstart');
		
		$this->setId((int)$cid);

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

		// Get the filter request variables
		$this->setState('filter_order', JRequest::getCmd('filter_order', 'i.title'));
		$this->setState('filter_order_dir', JRequest::getCmd('filter_order_Dir', 'ASC'));
	}

	/**
	 * Method to set the category id
	 *
	 * @access	public
	 * @param	int	category ID number
	 */
	function setId($cid)
	{
		// Set new category ID and wipe data
		$this->_id			= $cid;
	}

	function getSubData($id)
	{
		$where		= $this->_buildSubItemWhere($id);
		$orderby	= $this->_buildItemOrderBy();
		
		$query = $this->_buildSubQuery($id);
		
		$i = 0;
		foreach($this->_types as $type) :
			$query = 'SELECT DISTINCT i.*, t.name AS restotype,'
					. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug,'
					. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as categoryslug'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
					. ' LEFT JOIN #__rg_categories AS c ON c.id = '. $id
					. ' LEFT JOIN #__rg_restauranttypes AS t ON t.id = i.tid'
					. $where
					. ' AND i.tid = '.$type->id
					. $orderby
					;
			$count = $this->_getListCount($query);
			if ($count > 0) {
				$this->_subtotal[$i] = $count;
				$this->_subdata[$i] = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
			}

			$i ++;
		endforeach;
/*
		foreach($this->_subdata as $sub) :
			for($i=0;$i < count($sub); $i++){
				$query= 'SELECT * FROM #__rg_facilities WHERE id IN ('.$sub[$i]->facilities.')';
				$this->_db->setQuery($query);
				$this->_subdata[$i]->facilitylist = $this->_db->loadObjectList();
			}
		endforeach;
*/		
		return $this->_subdata;
	}
	
	function _buildSubQuery($id)
	{
		$query = 'SELECT id, name'
				. ' FROM #__rg_restauranttypes'
				. ' WHERE published = 1'
				;

		$this->_db->setQuery($query);
		$this->_types = $this->_db->loadObjectList();

		return $this->_types;
	}
	
	function _buildSubItemWhere($id)
	{
		global $mainframe;

		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');

		// Get the paramaters of the active menu item
		$params 	= & $mainframe->getParams('com_restaurantguide');

		// First thing we need to do is to select only the requested items
		$where = ' WHERE rel.catid = '. $id;

//		$where .= ' AND i.tid = '. $subid;
		
		// Second is to only select items the user has access to
		$states = '1, -4';
		if ($user->authorize('com_restaurantguide', 'state')) {
			$states .= ', 0 , -2, -3';
		}
		$where .= ' AND i.state IN ('.$states.')';

		// Second is to only select items assigned to category the user has access to
		$where .= ' AND c.access <= '.$gid;

		/*
		* If we have a filter, and this is enabled... lets tack the AND clause
		* for the filter onto the WHERE clause of the item query.
		*/
		if ($params->get('filter'))
		{
			$filter 		= JRequest::getString('filter', '', 'request');

			if ($filter)
			{
				// clean filter variables
				$filter			= $this->_db->getEscaped( trim(JString::strtolower( $filter ) ) );

				$where .= ' AND LOWER( i.title ) LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $filter, true ).'%', false );
			}
		}
		return $where;
	}
	/**
	 * Method to get Data
	 *
	 * @access public
	 * @return mixed
	 */
	function getData()
	{
		// Lets load the content if it doesn't already exist
		if (empty($this->_data))
		{
			$query = $this->_buildQuery($this->_id);
			$this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
		}

		return $this->_data;
	}

	/**
	 * Total nr of Categories
	 *
	 * @access public
	 * @return integer
	 */
	function getTotal()
	{
		// Lets load the total nr if it doesn't already exist
		if (empty($this->_total))
		{
			$this->_total = 0;
			foreach($this->_subtotal as $sub) :
				$this->_total = max($this->_total, $sub);
			endforeach;
		}

		return $this->_total;
	}

	function getType()
	{
		if (empty($this->_type))
		{
			$query = "SELECT id, name FROM #__rg_restauranttypes WHERE published = 1 "; 
			$this->_db->setQuery($query);

			$this->_type = $this->_db->loadObjectList();
		}

		return $this->_type;
	}
	/**
	 * Builds the query
	 *
	 * @access public
	 * @return string
	 */
	function _buildQuery()
	{
		// Get the WHERE and ORDER BY clauses for the query
		$where		= $this->_buildItemWhere();
		$orderby	= $this->_buildItemOrderBy();

		$query = 'SELECT DISTINCT i.*, (i.rate / (i.rate + i.rate_sum) ) * 100 AS votes,'
				. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__rg_categories AS c ON c.id = '. $this->_id
				. $where
				. $orderby
				;

		return $query;
	}

	/**
	 * Build the order clause
	 *
	 * @access private
	 * @return string
	 */
	function _buildItemOrderBy()
	{
		$filter_order		= $this->getState('filter_order');
		$filter_order_dir	= $this->getState('filter_order_dir');

		$orderby 	= ' ORDER BY '.$filter_order.' '.$filter_order_dir.', i.title';

		return $orderby;
	}

	/**
	 * Method to build the WHERE clause
	 *
	 * @access private
	 * @return array
	 */
	function _buildItemWhere( )
	{
		global $mainframe;

		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');

		// Get the paramaters of the active menu item
		$params 	= & $mainframe->getParams('com_restaurantguide');

		// First thing we need to do is to select only the requested items
		$where = ' WHERE rel.catid = '.$this->_id;

		// Second is to only select items the user has access to
		$states = '1, -4';
		if ($user->authorize('com_restaurantguide', 'state')) {
			$states .= ', 0 , -2, -3';
		}
		$where .= ' AND i.state IN ('.$states.')';

		// Second is to only select items assigned to category the user has access to
		$where .= ' AND c.access <= '.$gid;

		/*
		* If we have a filter, and this is enabled... lets tack the AND clause
		* for the filter onto the WHERE clause of the item query.
		*/
		if ($params->get('filter'))
		{
			$filter 		= JRequest::getString('filter', '', 'request');

			if ($filter)
			{
				// clean filter variables
				$filter			= $this->_db->getEscaped( trim(JString::strtolower( $filter ) ) );

				$where .= ' AND LOWER( i.title ) LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $filter, true ).'%', false );
			}
		}
		return $where;
	}

	/**
	 * Method to build the Categories query
	 *
	 * @access private
	 * @return array
	 */
	function _buildChildsquery()
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$ordering	= 'ordering ASC';

		$where = ' WHERE cc.published = 1';
		$where .= ' AND cc.parent_id = '. $this->_id;
		$where .= ' AND cc.access <= '.$gid;
		$states = '1, -4';
		if ($user->authorize('com_restaurantguide', 'state')) {
			$states .= ', 0 , -2, -3';
		}
		$where .= ' AND i.state IN ('.$states.')';
		$where .= ' AND c.id = cc.id';
		
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
					. ' LEFT JOIN #__rg_categories AS cc ON cc.id = rel.catid'
					. $where
					. ' GROUP BY cc.id'
					. ')' 
					. ' AS assignedrestoitems'
				. ' FROM #__rg_categories AS c'
				. ' WHERE c.published = 1'
				. ' AND c.parent_id = '. $this->_id
				. ' AND c.access <= '.$gid
				. ' ORDER BY '.$ordering
				;
		
		return $query;
	}
	/**
	 * Method to get the childs of a category
	 *
	 * @access private
	 * @return array
	 */
	function getChilds()
	{
		$query = $this->_buildChildsquery();
		$this->_childs = $this->_getList($query, $this->getState('limitstart'), $this->getState('limit'));

		$k = 0;
		$count = count($this->_childs);
		for($i = 0; $i < $count; $i++)
		{
			$category =& $this->_childs[$i];

			$category->subcats = $this->_getsubs( $category->id );

			if ($category->assignedrestoitems > 0) {
				$category->mapdata = $this->_getMapData($category->id);
			}
			$k = 1 - $k;
		}

		return $this->_childs; 
	}

	/**
	 * Method to build the Categories query
	 * todo: see above and merge
	 *
	 * @access private
	 * @return array
	 */
	function _getsubs($id)
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$ordering	= 'ordering ASC';

		$query = 'SELECT *,'
				. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
				. ' FROM #__rg_categories'
				. ' WHERE published = 1'
				. ' AND parent_id = '. (int)$id
				. ' AND access <= '.$gid
				. ' ORDER BY '.$ordering
				;

		$this->_db->setQuery($query);
		$this->_subs = $this->_db->loadObjectList();

		return $this->_subs;
	}

	/**
	 * Method to load the Category
	 *
	 * @access public
	 * @return array
	 */
	function getCategory()
	{
		//initialize some vars
		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');

		//get categories
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as slug'
				. ' FROM #__rg_categories AS c'
				. ' WHERE c.id = '.$this->_id
				. ' AND c.published = 1'
				. ' AND c.access <= '.$gid
				;

		$this->_db->setQuery($query);
		$this->_category = $this->_db->loadObject();
		
		//Make sure the category is published
		if (!$this->_category->published)
		{
			JError::raiseError(404, JText::sprintf( 'CATEGORY #%d NOT FOUND', $this->_id ));
			return false;
		}
		
		//check whether category access level allows access
		//additional check
		if ($this->_category->access > $gid)
		{
			JError::raiseError(403, JText::_("ALERTNOTAUTH"));
			return false;
		}

		return $this->_category;
	}
	
	function _getMapData($cid)
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');

		$where = ' WHERE i.state = 1';
		$where .= ' AND i.lon != 0';
		$where .= ' AND i.zoom > 1';
		$where .= ' AND i.imagewidth > 20';
		$where .= ' AND c.id = '. $cid;
		$where .= ' AND c.access <= '.$gid;
		$where .= ' AND c.published = 1';
				
		$query = 'SELECT DISTINCT i.id, i.title, i.lat, i.lon, i.maptype, i.mainimage, i.zoom, i.imagewidth, i.imageheight,'
				. ' CASE WHEN CHAR_LENGTH(i.alias) THEN CONCAT_WS(\':\', i.id, i.alias) ELSE i.id END as slug,'
				. ' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as categoryslug'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_cats_item_relations AS rel ON rel.itemid = i.id'
				. ' LEFT JOIN #__rg_categories AS c ON c.id = rel.catid'
				. $where
				;
		
		$this->_db->setQuery($query);
		$result = $this->_db->loadObjectList();

		return $result;
	}
}
?>