<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelCountry extends JModel
{
	var $_id = null;

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		global $mainframe;

		// Get the paramaters of the active menu item
		$params = & $mainframe->getParams('com_restaurantguide');
		
		$id = JRequest::getInt('cid', 0);
		
		if (!$id)
			$id = JRequest::getInt('id', 0);

		$this->setId((int)$id);

		//set limits
		$limit 			= $params->def('catlimit', 5);
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

	}
	
	function setId($cid)
	{
		// Set new destination ID and wipe data
		$this->_id = $cid;
	}

	function getCityName()
	{			
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__rg_restaurantitems AS i'
					. ' LEFT JOIN #__rg_cities AS cc ON cc.id = i.city'
					. ' WHERE i.city = c.id'
					. ')' 
					. ' AS assignedrestos'
				. ' FROM #__rg_cities AS c'
				. ' WHERE c.published = 1'
				. ' AND c.parent_id = 0'
				. ' AND c.country = '.$this->_id
				. ' ORDER BY c.name ASC'
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObjectList();

		return $result;
	}
	
	function getCountry()
	{			
		$query = 'SELECT t.*'
				. ' FROM #__rg_countries AS t'
				. ' WHERE t.published = 1'
				. ' AND t.id = '.$this->_id
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObject();

		return $result;
	}
	
	function getSponsorAd()
	{			
		$query = 'SELECT i.*'
				. ' FROM #__rg_restaurantitems AS i'
				. ' LEFT JOIN #__rg_countries AS c on c.id = i.country'
				. ' LEFT JOIN #__rg_cities AS w on w.id = i.city'
				. ' LEFT JOIN #__rg_admanagers AS a on a.resto = i.id'
				. ' WHERE i.state = 1'
				. ' AND a.adid = 4'
				;
				
		$this->_db->setQuery( $query );
		$result = $this->_db->loadObjectList();

		return $result;
	}
}
?>