<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * RestaurantGuide Component Model
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since		1.0
 */
class restaurantguideModelRecipe extends JModel
{
	/**
	 * Recipe id
	 * @var int
	 */
	var $_id = null;
	
	/**
	 * Recipe items Data
	 * @var mixed
	 */
	var $_data = null;

	/**
	 * Childs
	 * @var mixed
	 */
	var $_childs = null;
	
	/**
	 * Recipe data
	 * @var object
	 */
	var $_recipes = null;

	/**
	 * Recipe total
	 * @var integer
	 */
	var $_total = null;

	/**
	 * Constructor
	 *
	 * @since 1.0
	 */
	function __construct()
	{
		parent::__construct();

		global $mainframe;
		$config 	= & RGUtil::config();

		// Get the paramaters of the active menu item
		$params = & $mainframe->getParams('com_restaurantguide');
		
		$id			= JRequest::getInt('cid', 0);
		$this->setId((int)$id);

		//get the number of entries from session
		$limitnumber = 10;//$config->leadingevent + $config->introevents + $config->eventlinks;

		$limit		= 8;//$mainframe->getUserStateFromRequest('com_restaurantguide.recipes.limit', 'limit', $params->def('limit', 0), 'int');
		$limitstart		= JRequest::getInt('limitstart');

		$this->setState('limit', $limit);
		$this->setState('limitstart', $limitstart);

		// Get the filter request variables
		$this->setState('filter_order', JRequest::getCmd('filter_order', 'r.title'));
		$this->setState('filter_order_dir', JRequest::getCmd('filter_order_Dir', 'ASC'));
	}

	/**
	 * Method to set the recipe id
	 *
	 * @access	public
	 * @param	int	recipe ID number
	 */
	function setId($id)
	{
		// Set new recipe ID and wipe data
		$this->_id			= $id;
		//$this->_data		= null;
	}

	/**
	 * Method to get Data
	 *
	 * @access public
	 * @return mixed
	 */
	function getData()
	{
		// Lets load the content if it doesn't already exist
		if (empty($this->_data))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query, $this->getState('limitstart'), $this->getState('limit') );
		}
/*
		//check session if uservisit already recorded
		$session 	=& JFactory::getSession();
		$hitcheck = false;
		if ($session->has('hit', 'restaurantguide')) {
			$hitcheck 	= $session->get('hit', 0, 'restaurantguide');
			$hitcheck 	= in_array($this->_data->id, $hitcheck);
		}
		if (!$hitcheck) {
			//record hit
			$this->hit();

			$stamp = array();
			$stamp[] = $this->_data->id;
			$session->set('hit', $stamp, 'restaurantguide');
		}
*/		
		return $this->_data;
	}

	/**
	 * Total number of recipes
	 *
	 * @access public
	 * @return integer
	 */
	function getTotal()
	{
		// Lets load the total nr if it doesn't already exist
		if (empty($this->_total))
		{
			$query = $this->_buildQuery();
			$this->_total = $this->_getListCount($query);
		}

		return $this->_total;
	}

	/**
	 * Builds the query
	 *
	 * @access public
	 * @return string
	 */
	function _buildQuery()
	{
		// Get the WHERE and ORDER BY clauses for the query
		$where		= $this->_buildItemWhere();
		$ordering	= 'ordering DESC';

		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
				. ' FROM #__rg_recipes AS r'
				. $where
				. ' ORDER BY '.$ordering
				;
				
		return $query;
	}

	/**
	 * Build the order clause
	 *
	 * @access private
	 * @return string
	 */
	function _buildItemOrderBy()
	{
		$filter_order		= $this->getState('filter_order');
		$filter_order_dir	= $this->getState('filter_order_dir');

		$orderby 	= ' ORDER BY '.$filter_order.' '.$filter_order_dir.', r.title';

		return $orderby;
	}

	/**
	 * Method to build the WHERE clause
	 *
	 * @access private
	 * @return array
	 */
	function _buildItemWhere( )
	{
		global $mainframe;

		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');

		// Get the paramaters of the active menu item
		$params 	= & $mainframe->getParams('com_restaurantguide');

		// First thing we need to do is to select only the requested items
		$where = ' WHERE r.parent_id = '.$this->_id;

		$where .= ' AND r.published = 1';

		// Second is to only select items assigned to category the user has access to
		$where .= ' AND r.access <= '.$gid;

		/*
		* If we have a filter, and this is enabled... lets tack the AND clause
		* for the filter onto the WHERE clause of the item query.
		*/
		if ($params->get('filter'))
		{
			$filter 		= JRequest::getString('filter', '', 'request');

			if ($filter)
			{
				// clean filter variables
				$filter			= $this->_db->getEscaped( trim(JString::strtolower( $filter ) ) );

				$where .= ' AND LOWER( r.title ) LIKE '.$this->_db->Quote( '%'.$this->_db->getEscaped( $filter, true ).'%', false );
			}
		}
		return $where;
	}

	/**
	 * Method to build the Categories query
	 *
	 * @access private
	 * @return array
	 */
	function _buildChildsquery($parentid)
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$ordering	= 'ordering DESC';
/*
		$where = ' WHERE cc.published = 1';
		$where .= ' AND cc.parent_id = '. $this->_id;
		$where .= ' AND cc.access <= '.$gid;
		$states = '1, -4';
		if ($user->authorize('com_restaurantguide', 'state')) {
			$states .= ', 0 , -2, -3';
		}
		$where .= ' AND i.published = 1';
		$where .= ' AND c.id = cc.id';*/
	/*	
		$query = 'SELECT c.*,'
				. ' CASE WHEN CHAR_LENGTH( c.alias ) THEN CONCAT_WS( \':\', c.id, c.alias ) ELSE c.id END AS slug,'
					. ' ('
					. ' SELECT COUNT( DISTINCT i.id )'
					. ' FROM #__tg_restaurantitems AS i'
					. ' LEFT JOIN #__tg_tn_item_relations AS rel ON rel.itemid = i.id'
					. ' LEFT JOIN #__tg_travelnews AS cc ON cc.id = rel.tnid'
					. $where
					. ' GROUP BY cc.id'
					. ')' 
					. ' AS assignedrestaurantitems'
				. ' FROM #__tg_travelnews AS c'
				. ' WHERE c.published = 1'
				. ' AND c.parent_id = '. $this->_id
				. ' AND c.access <= '.$gid
				. ' ORDER BY '.$ordering
				;
		*/
		$query = 'SELECT *,'
				. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
				. ' FROM #__rg_recipes'
				. ' WHERE published = 1'
				. ' AND parent_id = '. $parentid
				. ' AND access <= '.$gid
				. ' ORDER BY '.$ordering
				;
				
		return $query;
	}
	/**
	 * Method to get the childs of a category
	 *
	 * @access private
	 * @return array
	 */
	function getChilds($parentid)
	{
		$query = $this->_buildChildsquery($parentid);
		$this->_childs = $this->_getList($query, $this->getState('limitstart'), $this->getState('limit'));

		$k = 0;
		$count = count($this->_childs);
		for($i = 0; $i < $count; $i++)
		{
			$recipes =& $this->_childs[$i];

			$recipes->subrecipe = $this->_getsubs( $recipes->id );

			$k = 1 - $k;
		}

		return $this->_childs;
	}

	/**
	 * Method to build the Categories query
	 * todo: see above and merge
	 *
	 * @access private
	 * @return array
	 */
	function _getsubs($id)
	{
		$user 		= &JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$ordering	= 'ordering ASC';

		$query = 'SELECT *,'
				. ' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug'
				. ' FROM #__rg_recipes'
				. ' WHERE published = 1'
				. ' AND parent_id = '. (int)$id
				. ' AND access <= '.$gid
				. ' ORDER BY '.$ordering
				;

		$this->_db->setQuery($query);
		$this->_subs = $this->_db->loadObjectList();

		return $this->_subs;
	}

	function getRecipeTotal($parentid)
	{
		// Lets load the total nr if it doesn't already exist
		if (empty($this->_total))
		{
			$query = $this->_buildChildsquery($parentid);
			$this->_total = $this->_getListCount($query);
		}

		return $this->_total;
	}
	
	function getRecipe($id)
	{
		//initialize some vars
		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');

		//get recipe
		$query = 'SELECT r.*,'
			. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
			. ' FROM #__rg_recipes AS r'
			. ' WHERE r.id = '.$id
			. ' AND r.published = 1'
			. ' AND r.access <= '.$gid
			;

		$this->_db->setQuery($query);
		$this->_recipes = $this->_db->loadObject();

		//check whether category access level allows access
		//additional check
		if ($this->_recipes->access > $gid)
		{
			JError::raiseError(403, JText::_("ALERTNOTAUTH"));
			return false;
		}

		//check session if uservisit already recorded
		$session 	=& JFactory::getSession();
		$hitcheck = false;
		if ($session->has('hit', 'restaurantguide')) {
			$hitcheck 	= $session->get('hit', 0, 'restaurantguide');
			$hitcheck 	= in_array($this->_recipes->id, $hitcheck);
		}
		if (!$hitcheck) {
			//record hit
			$this->hit();

			$stamp = array();
			$stamp[] = $this->_recipes->id;
			$session->set('hit', $stamp, 'restaurantguide');
		}
		
		return $this->_recipes;
	}
	
	/**
	 * Method to load the Travelnews
	 *
	 * @access public
	 * @return array
	 */
	function getRecipes()
	{
		//initialize some vars
		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$id			= JRequest::getInt('id', 0);

		//get travelnews
		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
				. ' FROM #__rg_recipes AS r'
				. ' WHERE r.id = '.$id
				. ' AND r.published = 1'
				. ' AND r.access <= '.$gid
				;

		$this->_db->setQuery($query);
		$this->_recipes = $this->_db->loadObject();
	
		//check whether category access level allows access
		//additional check
		if ($this->_recipes->access > $gid)
		{
			JError::raiseError(403, JText::_("ALERTNOTAUTH"));
			return false;
		}

		return $this->_recipes;
	}

	function hit()
	{
		if ($this->_id)
		{
			$item = & JTable::getInstance('rg_recipes', '');
			$item->hit($this->_id);
			return true;
		}
		return false;
	}
	
	function getPreviousItem($recipeid, $ordering){
		
		//initialize some vars
		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$id			= JRequest::getInt('id', 0);
		$db = & JFactory::getDBO ();

		//get travelnews
		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
				. ' FROM #__rg_recipes AS r'
				. ' WHERE r.id != '.$recipeid
	//			. ' AND r.parent_id = '.$parentid
				. ' AND r.ordering > '.$ordering
				. ' AND r.published = 1'
				. ' AND r.access <= '.$gid
				. ' ORDER BY r.ordering ASC'
				;

		$db->setQuery($query,0,1);
		$row = $db->loadObject();

		return $row;
	}
	
	function getNextItem($recipeid, $ordering){

		//initialize some vars
		$user		= & JFactory::getUser();
		$gid		= (int) $user->get('aid');
		$id			= JRequest::getInt('id', 0);
		$db = & JFactory::getDBO ();

		//get travelnews
		$query = 'SELECT r.*,'
				. ' CASE WHEN CHAR_LENGTH(r.alias) THEN CONCAT_WS(\':\', r.id, r.alias) ELSE r.id END as slug'
				. ' FROM #__rg_recipes AS r'
				. ' WHERE r.id != '.$recipeid
			//	. ' AND r.parent_id = '.$parentid
				. ' AND r.ordering < '.$ordering
				. ' AND r.published = 1'
				. ' AND r.access <= '.$gid
				. ' ORDER BY r.ordering DESC'
				;

		$db->setQuery($query,0,1);
		$row = $db->loadObject();

		return $row;
	}
}
?>