<?php
/**
 * @version		1.0.0 RestaurantGuide $
 * @package		RestaurantGuide
 * @copyright	Copyright  2009 - All rights reserved.
 * @license		GNU/GPL
 * @author		Oh-Taek Im
 * @author mail	pixeldraw@photoindochina.com
 * @website		www.photoindochina.com
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Hello Model
 *
 * @package    Joomla
 * @subpackage Components
 */
class restaurantguideModelTestimonials extends JModel
{
	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */
	function __construct()
	{
		parent::__construct();
		
 	}

	function getRestaurantItems(  $options=array() )
	{
		$id			= @$options['id'];
		
		// Where conditions
		$wheres[] = 'post.id = ' . (int) $id;
			
		$query	= 	'SELECT post.*, user.name AS postedby
					FROM #__rg_restaurantitems AS post LEFT JOIN #__users AS user ON post.user_id = user.id
					WHERE post.published = "1" AND '. implode( ' AND ', $wheres );
 		$itemlist = $this->_getList( $query );
		return @$itemlist[0];
	}
	

	function getTestimonial()
	{
		$id = JRequest::getVar('id', 0, '', 'int');
	
		// Where conditions
		$wheres[] = 't.post_id = ' . (int) $id;
				
		$query	= 	'SELECT t.*, user.name AS submitedby
					FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
					WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$testimoniallist = $this->_getList( $query );
		
		return $testimoniallist;
	}
	
	function getEditTestimonial()
	{
		$db 	=& JFactory::getDBO();
		$cmtid = JRequest::getVar('cmtid', 0, '', 'int');
		
		// Where conditions
		$wheres[] = 't.id = ' . (int) $cmtid;
				
		$query	= 	'SELECT t.*, user.name AS submitedby
					FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON t.userid = user.id
					WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
		$db->setQuery($query);
 		$edittestimonial = $db->loadObject();
	
		return $edittestimonial;
	}
	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store($post)
	{	
		$userid = JRequest::getVar( 'userid', '', 'post', 'int' );
		$user = JFactory::getUser();
		
		if(trim($user->id) == '' || $user->id <= 0){
			$msg = JText::_( '&nbsp; Please login to write testimonial' );
			$link = JRoute::_('index.php?option=com_restaurantguide&view=restaurantitems&id='.$post['pid'], false);
			$this->setRedirect( $link, $msg );  return;
		}
		
		$row =& $this->getTable('rg_testimonial', '');
	
		$data = $post;
		$data['id'] = $post['cmtid'];
		$data['description'] = $post['description'];
		$data['published'] = 1;
		$date = JFactory::getDate();
		$data['date'] = $date->toMySQL();
		$data['update'] = $date->toMySQL();
		
		// Bind the form fields to the Add form
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the Add Blog record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the post details table to the database
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}
		return true;
	}
	
	/**
	 * function for Get total Testimonials
	 **/
	function getTotalTestimonials()
	{
		$id = JRequest::getVar('id', 0, '', 'int');
		
		// WHere conditions
		$wheres[] = 't.post_id = ' . (int) $id;
			
		$query	= 	'SELECT COUNT(t.id)
					FROM #__rg_testimonial AS t LEFT JOIN #__users AS user ON user.id = t.userid
					WHERE t.published = "1" AND '. implode( ' AND ', $wheres ).' ORDER BY t.date ASC';
 		$this->_db->setQuery( $query );
		$count = $this->_db->loadResult();

		return $count;
	}
	
	/**
	 * function for Get total Comments
	 **/
	function getTotalHitsofPosts( $options=array() )
	{
		$db 		=& JFactory::getDBO();
		$id			= @$options['id'];
		
		// WHere conditions
		$wheres[] = 'post.id = ' . (int) $id;
		
		$db		=& JFactory::getDBO();				
		$query	= 	'SELECT post.post_hits
					FROM #__rg_restaurantitems AS post
					WHERE post.published = "1" AND '. implode( ' AND ', $wheres );
		$blogpostHit = $this->_getList( $query );
		return @$blogpostHit[0];
	}
	
		/**
	 * function for Get total Testimonials
	 **/
	function updatePostHits( $options=array() )
	{
		$db 		=& JFactory::getDBO();
		$id			= @$options['id'];
		
		// WHere conditions
		$wheres[] = 'id = ' . (int) $id;
		
		$db		=& JFactory::getDBO();				
		$query	= 	'UPDATE #__rg_restaurantitems SET post_hits = post_hits+1
					WHERE published = "1" AND '. implode( ' AND ', $wheres );
		$db->setQuery( $query );
		if (!$db->query()) {
			//JError::raiseError(500, $db->getErrorMsg() );
		}
	}


 }
?>