<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

function restaurantguideBuildRoute(&$query)
{
	$segments = array();

	if(isset($query['view']))
	{
		if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'restaurant') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'event') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'recipes') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'restaurantguide') {
			$segments[] = $query['restaurantguide'];
		}
		
		if($query['view'] == 'continent') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'country') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'city') {
			$segments[] = $query['view'];
		}

		if($query['view'] == 'search') {
			$segments[] = $query['view'];
		}
		
		if($query['view'] == 'tags') {
			$segments[] = $query['view'];
		}
		
		unset($query['view']);
	};

	if(isset($query['cid']))
	{
		$segments[] = $query['cid'];
		unset($query['cid']);
	};

	if(isset($query['id']))
	{
		$segments[] = $query['id'];
		unset($query['id']);
	};

	return $segments;
}

function restaurantguideParseRoute($segments)
{
	$vars = array();

	// Count route segments
	$count = count($segments);

	if($segments[0] == 'tags') {
		$vars['view'] = 'tags';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'search') {
		$vars['view'] = 'search';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'restaurant') {
		$vars['view'] = 'restaurant';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'event') {
		$vars['view'] = 'event';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'restaurantguide') {
		$vars['view'] = 'restaurantguide';
		$vars['id'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'recipes') {
		$vars['view'] = 'recipes';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'continent') {
		$vars['view'] = 'continent';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'country') {
		$vars['view'] = 'country';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if($segments[0] == 'city') {
		$vars['view'] = 'city';
		$vars['cid'] = $segments[$count-1];
		return $vars;
	}
	
	if ($count == 1) {
		$vars['cid'] = $segments[$count-1];
		$vars['view'] = 'category';
	}
	
	return $vars;
}
?>