<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

echo '<div id="restaurantguide" class="restaurantguide">';

if ($this->params->def( 'show_page_title', 1 )) : 
	echo '<h1>';
		echo $this->params->get('page_title'); 
	echo '</h1>' . "\n";
endif; 

//if ($this->rgconf->category_search)
	require(RESTAURANTGUIDE_VIEWS.DS.'restaurantguide'.DS.'tmpl'.DS.'default_search.php');
		
if ($this->category->id > 0) : 
	echo $this->loadTemplate('category'); 
endif; 

//only show this part if subcategries are available
if (count($this->categories) && $this->category->id > 0) :
	$mapdata = array();

	$map = false;
	foreach($this->categories as $sub) {
		if (isset($sub->mapdata[0]->lat)) {
			$mapdata = @array_merge($mapdata, $sub->mapdata);
			$map = true;
		}
	}

	if ($map) {
		$type = "resto";
		$base = array(
			'lat' => $mapdata[0]->lat,
			'lon' => $mapdata[0]->lon,
			'zoom' => $mapdata[0]->zoom,
			'maptype' => $this->rgconf->maptype
		);
		
		echo rg_html::showmap($this->rgconf, $base, $mapdata, $type, "category", false, false);
	
		if ($this->rgconf->mapheight)
			$height = $this->rgconf->mapheight;
		else
			$height = 400;
			
		if ($this->rgconf->box == 'None')
			echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			echo rg_html::boxtop();
		
			echo '<h3 class="title">';  
			echo $this->category->title; 
			echo '</h3>';
		
		
			echo '<div id="map_container" style="width:100%">';
				echo '<div id="sidebar" style="overflow: auto; height: '.$height.'px; width:150px;"></div>';
				echo '<div id="map_canvas" style="width:auto; height:'.$height.'px; overflow: hidden; "></div>';
			echo '</div>';
		
		if ($this->rgconf->box == 'None')
			echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			echo rg_html::boxbottom();
	}
	echo $this->loadTemplate('items');
endif; 

if ($this->subitems){
	$type = "resto";
	$base = array(
		'lat' => 0,
		'lon' => 0,
		'zoom' => 5,
		'maptype' => $this->rgconf->maptype
	);
	
	echo rg_html::showmap($this->rgconf, $base, $this->subitems, $type, $this->category->title, true, false);
	
	if ($this->rgconf->mapheight)
		$height = $this->rgconf->mapheight;
	else
		$height = 400;
	if ($this->rgconf->box == 'None')
		echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
	else
		echo rg_html::boxtop();
	
		echo '<h3 class="title">';  
		echo $this->category->title; 
		echo '</h3>';
	
	
		echo '<div id="map_container" style="width:100%">';
			echo '<div id="sidebar" style="overflow: auto; height: '.$height.'px; width:150px;"></div>';
			echo '<div id="map_canvas" style="width:auto; height:'.$height.'px; overflow: hidden; "></div>';
		echo '</div>';
	
	if ($this->rgconf->box == 'None')
		echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
	else
		echo rg_html::boxbottom();
		
	echo $this->loadTemplate('subcategories');

	echo '<p class="pageslinks">' . "\n"; 
		echo $this->pageNav->getPagesLinks();
	echo '</p>' . "\n"; 
	
	echo '<p class="pagescounter">' . "\n"; 
		echo $this->pageNav->getPagesCounter();
	echo '</p>' . "\n"; 
}

echo '<div style="clear:both;padding-top:30px;"></div>' . "\n"; 

echo RGUtil::footer();

echo '</div>';
?>
