<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewCategory extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$document 	= & JFactory::getDocument();
		$menus		= & JSite::getMenu();
		$menu    	= $menus->getActive();
		$params 	= & $mainframe->getParams('com_restaurantguide');
		$uri 		= & JFactory::getURI();
		$lang 		= & JFactory::getLanguage();
		$db  		= & JFactory::getDBO();

		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
		
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}
	
		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		
		$key = $rgconf->api_key;
		$a_lang = explode('-', $document->getLanguage());
		if ($key && $rgconf->apiversion == 0) {
			$document->addScript( 'http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=' . $key . '&amp;hl=' . $a_lang[0] );
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/resto_cluster.js');
		} else {
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/restaurantguide.js');
		}
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.col3 {width: 24.99%;float:left;}, .col3 a img {top: -12px;}, .col3 .trans{top: 6px; }, .floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');

		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .col3, .col3 .trans, a.readon, a.readmore");
</script>
<![endif]-->');
		
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		
		$search				= JRequest::getString('search');
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		$filter_country 	= JRequest::getInt('filter_country', 0);
		$filter_states 		= JRequest::getInt('filter_states', 0);
		$filter_city 		= JRequest::getInt('filter_city', 0);
		$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
		$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
		
		//pathway
		$pathway 	= & $mainframe->getPathWay();

		// Get data from the model	
		$model		= &$this->getModel();
		$category 	= & $this->get('Category');
		$items 		= & $this->get('Data');
		$limit		= $mainframe->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $params->def('limit', 0), 'int');
		

		if ($category->parent_id > 0) {
			$cats		= new restaurantguide_cats((int)$category->id);
			$parents	= $cats->getParentlist();
		}
		$categories	= & $this->get('Childs');

		$subitems = $model->getSubData($category->id);
		if ($subitems)
			$total 		= & $this->get('Total');
		
		
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );		
			
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$category->title);
			}
			
		} else {
			$params->set('page_title',	$category->title);
		}

		if ($category->parent_id > 0) {
			foreach($parents as $parent) {
				if ($parent->parent_id == 0) continue;
				$pathway->addItem( $this->escape($parent->title), JRoute::_('index.php?view=category&cid='.$parent->categoryslug));
			}
		}
		
		/*
		* Handle the metadata for a categoy
		*/
		$document->setTitle( $category->meta_title );
		
		if ($category->meta_description) {
			$document->setDescription( $category->meta_description );
		}
		if ($category->meta_keywords) {
			$document->setMetadata('keywords', $category->meta_keywords);
		}
		if ($category->meta_title) {
			$mainframe->addMetaTag('title', $category->meta_title);
		}
		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;

		// Create the pagination object
		if ($subitems) {
			jimport('joomla.html.pagination');
	
			$pageNav 	= new JPagination($total, $limitstart, $limit);
			$this->assignRef('pageNav', 	$pageNav);
		}
		
		$this->assignRef('rgconf', 					$rgconf);
		$this->assign('action', 					$uri->toString());	
		$this->assignRef('params' , 				$params);
		$this->assignRef('categories', 				$categories);
		$this->assignRef('items', 					$items);
		$this->assignRef('category', 				$category);
		
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('db',	 					$db);
		$this->assignRef('model',	 				$model);
		$this->assignRef('subitems',	 			$subitems);
		$this->assignRef('filter_country',	 		$filter_country);
		$this->assignRef('filter_states',	 		$filter_states);
		$this->assignRef('filter_city',	 			$filter_city);
		$this->assignRef('filter_atmo',	 			$filter_atmo);
		$this->assignRef('filter_cuisines',	 		$filter_cuisines);
/*
		echo "<pre>";
		echo "view=";
		print_r($subitems);
		echo "</pre>";
*/	
		parent::display($tpl);
	}
}
?>