<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php 
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewContinent extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= & JSite::getMenu();
		$lang 		= & JFactory::getLanguage();
		$menu		= $menus->getActive();
		$params 	= $mainframe->getParams('com_restaurantguide');
		
		$cid		= JRequest::getInt('cid', 0);
		
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restot_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}

		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}

		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/fdSlider.js');	
		
		
		$key = $rgconf->api_key;
		$a_lang = explode('-', $document->getLanguage());
		if ($key && $rgconf->apiversion == 0) {
			$document->addScript( 'http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=' . $key . '&amp;hl=' . $a_lang[0] );
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/resto_cluster.js');
		} else {
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/restaurantguide.js');
		}
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }, .main {
	display: block; }, .col1, .col2, .col3 { display: inline; zoom: 1; }, .col2 { margin-left: -1px; } </style><![endif]-->');

		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .hg_col3, a.readon, a.readmore");
</script>
<![endif]-->');
		
		$search				= JRequest::getString('search');
		$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );

		$filter_country 	= JRequest::getInt('filter_country', 0);
		$filter_states 		= JRequest::getInt('filter_states', 0);
		$filter_city 		= JRequest::getInt('filter_city', 0);
		$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
		$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
		
		$model 	= &$this->getModel();
		
		$countryname = & $this->get('CountryName');
		$continent = & $this->get('Continent');
			
		$params->set('page_title',	JText::_( 'RESTAURANTS IN' ).' '.$continent->name);

		/*
		* Handle the metadata for the restaurant guide list
		*/
		$document->setTitle($continent->meta_title);
		if ($continent->meta_description) {
			$document->setDescription( $continent->meta_description );
		}
		if ($continent->meta_keywords) {
			$document->setMetadata('keywords', $continent->meta_keywords);
		} 
		if ($continent->meta_title) {
			$mainframe->addMetaTag('title', $continent->meta_title);
		}
	
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}


		$pathway =& $mainframe->getPathway();
		$pathway->addItem( $continent->name );
	
		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->conti_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->conti_top_limit);
			
		if ($rgconf->conti_desti)
			$destinations = $modelguide->getDestinations($rgconf->conti_city_limit, $rgconf->conti_resto_limit);
			
		if ($rgconf->conti_links)
			$sponsors = $modelguide->getSponsors(4);
		
		$currentpage = 'continent';
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('db', 					$db);
		$this->assignRef('params', 				$params);
		$this->assignRef('currentpage', 		$currentpage);
		$this->assignRef('lists',	 			$lists);
		$this->assignRef('filter_country',	 	$filter_country);
		$this->assignRef('filter_states',	 	$filter_states);
		$this->assignRef('filter_city',	 		$filter_city);
		$this->assignRef('filter_atmo',	 		$filter_atmo);
		$this->assignRef('filter_cuisines',	 	$filter_cuisines);
		$this->assignRef('countryname', 		$countryname);
		$this->assignRef('continent', 			$continent);
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('sponsors', 			$sponsors);

/*
		echo "<pre>";
		echo "view=";
		print_r($cid);
		print_r($destinations);
		echo "</pre>";
*/		
		parent::display($tpl);
	}
}
?>