<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RestaurantGuide; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

if ($this->event->lat) {
	if ($this->event->lat)
		$lat = $this->event->lat;
	else
		$lat = $this->rgconf->lat;
		
	if ($this->event->lon)
		$lon = $this->event->lon;
	else
		$lon = $this->rgconf->lon;
		
	if ($this->event->zoom)
		$zoom = $this->event->zoom;
	else
		$zoom = $this->rgconf->zoom;
		
	if ($this->event->maptype)
		$type = $this->event->maptype;
	else
		$type = $this->rgconf->maptype;
	
	switch ($type) {
		case 'map':
			$map_type='google.maps.MapTypeId.ROADMAP';
			break;
		case 'satellite':
			$map_type='google.maps.MapTypeId.SATELLITE';
			break;
		case 'hybrid':
			$map_type='google.maps.MapTypeId.HYBRID';
			break;
		case 'terrain':
			$map_type='google.maps.MapTypeId.TERRAIN';
			break;
		default :
			$map_type='google.maps.MapTypeId.ROADMAP';
	} 
}
?>
<script language="javascript" type="text/javascript">
    var map;

    function handleApiReady() {
		var latlng = new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lon ?>);

		var myOptions = {
			zoom: <?php echo $zoom ?>,
			center: latlng,
			mapTypeControl: true,
			mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
			navigationControl: true,
			navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},
			mapTypeId: <?php echo $map_type ?>
		};
		
		map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
		var marker = new google.maps.Marker({
			position: latlng, 
			map: map,
			title:"Hello World!"
		}); 

	}

	function appendBootstrap() {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=handleApiReady";
		document.body.appendChild(script);
	}

	window.addEvent('domready', function(){ 
		appendBootstrap();
	})
</script>
<?php
echo '<p><a href="javascript:history.go(-1)"> ['.JText::_('GO BACK').']</a>' . "\n"; 
echo '<span class="small" style="padding-right:3px; float:right;">';
if ($this->event->hits==1) echo '[1&nbsp;'.JText::_('HIT').']';
if ($this->event->hits>1) echo '['.$this->event->hits.'&nbsp;'.JText::_('HITS').']';
echo '</span></p>' . "\n";

echo '<div>' . "\n";

    if (!empty($this->event->image) || ($this->event->description)<>'') :

		if ($this->rgconf->box == 'None')
			echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			echo rg_html::boxtop();

			echo '<div class="content">' . "\n";
				if (($this->event->title)<>'')	{
					echo '<h3 class="title">';  
					echo stripslashes($this->event->title); 
					echo '</h3>';
				}
	
				echo '<div class="colmask">' . "\n";

					$imagewidth = $this->event->imagewidth + 5;
					
					if ($this->event->image) {
						echo '<div class="leftcol" style="width:'.$imagewidth.'px">' . "\n";
							echo '<img class="catimage" src="'.JURI::base() .'images/restaurantguide/event/resize/' . $this->event->image .'" align="left" margin-left="10px" width="'.$this->event->imagewidth.'px" height="'.$this->event->imageheight.'px" />';
						if ($this->event->lat) {
							echo '<div style="clear:both;padding-top:10px;"></div>' . "\n"; 
							echo '<h2 style="font-size: 1.0em; line-height:1.4em; text-align: center; color: #888; background-color: #1B1B1B; margin-bottom:0;">'.JText::_('LOCATION MAP').'</h2>' . "\n"; 
							echo '<div id="map"><div id="map_canvas" style="width: '.$imagewidth.'px; height: '.$imagewidth.'px"></div></div>' . "\n";
						}
						echo '</div>' . "\n";
					}

					if (($this->event->description)<>'')	{
						$link = JRoute::_( restaurantguideHelperRoute::getItemRoute($this->event->restaurantslug, $this->event->catslug) );
						echo '<div class="rightcol" style="margin-left:'.$imagewidth.'px">' . "\n";
						
						echo '<ul id="top" class="feature">' . "\n";
						if ($this->event->restaurantname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('RESTAURANT').':&nbsp;</strong>'. "\n";
							echo '<a href="'.$link.'">'.$this->event->restaurantname. '</a></li>'. "\n";
						}
						
						if ($this->event->cityname) {
							echo '<li class="feature">' . "\n";
							echo '<strong>'.JText::_('PLACE').':&nbsp;</strong>'. "\n";
							echo $this->event->cityname;
							
							if ($this->event->sname) {
								echo ',&nbsp;'.$this->event->sname;
							}
							if ($this->event->countryname) {
								echo ',&nbsp;'.$this->event->countryname;
							}
							echo '</li>'. "\n";
						}
							
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('START DATE').':&nbsp;</strong>'. "\n";
						echo JHTML::_('date', $this->event->startdates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
						
						echo '<li class="feature">' . "\n";
						echo '<strong>'.JText::_('END DATE').':&nbsp;</strong>'. "\n";
						echo JHTML::_('date', $this->event->enddates, JText::_('DATE_FORMAT_LC3') ). '</li>'. "\n";
						echo '<div style="padding-bottom:15px;"></div>' . "\n"; 

						echo '<p>';
						echo stripslashes($this->event->description);
						echo '</p>';
						echo '</div>' . "\n";
					}
	
				echo '</div>' . "\n";
			echo '</div>' . "\n";
			echo '<div style="clear:both;"></div>' . "\n";

		if ($this->rgconf->box == 'None')
			echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 
		else
			echo rg_html::boxbottom();
	endif;

echo '</div>' . "\n";

echo '<div style="clear:both;padding-bottom:10px;"></div>' . "\n"; 

if ($this->rgconf->social) 
    echo rg_html::showSocial($this->event);
	?>
	
<div class="itemNav">
	<?php 
    if ($this->prevEvent) { 
        echo '<a class="itemPrevious" href="'.$this->prevEvent->prevLink.'">&laquo;'.JText::_('PREV').'</a>' . "\n";
    } 
    if ($this->nextEvent) { 
        echo '<a class="itemNext" href="'.$this->nextEvent->nextLink.'">'.JText::_('NEXT').'&raquo;</a>' . "\n";
    } ?>
</div>