<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewEvent extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$document 	= & JFactory::getDocument();
		$menus		= & JSite::getMenu();
		$menu    	= $menus->getActive();
		$params 	= & $mainframe->getParams('com_restaurantguide');
		$uri 		= & JFactory::getURI();
		$lang 		= & JFactory::getLanguage();
		$db  		= & JFactory::getDBO();

		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
		
		// Get data from the model	
		$model 		= &$this->getModel();
		$event 		= & $this->get('Event');
		$children 	= & $this->get('Data');
		$limit		= $mainframe->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $rgconf->maxlist, 'int');
		$total 		= & $this->get('Total');

		$events		= & $this->get('Childs');
		$parents	= $model->getParentTitle($event->parent_id);
		
		$hasChild = false;
		if ($events)
			$hasChild		= $model->getExistSub($events[0]->id);
			
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}

		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		
		if ($hasChild == true)
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/qtabs.js');
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');
		
		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, div#box_b div.box-b-t, div#box_b div.box-b-tl, div#box_b div.box-b-tr, div#box_b div.box-b-l, div#box_b div.box-b-r, div#box_b div.box-b-m, div#box_b div.box-b-b, div#box_b div.box-b-bl, div#box_b div.box-b-br, div#box_b h3.title, .hg_col3, a.readon, a.readmore, .titlebox");
</script>
<![endif]-->');
		
		//pathway
		$pathway 	= & $mainframe->getPathWay();

		if (($event->id > 0)) {
			$nextEvent = $model->getNextEvent($event->id, $event->ordering);
			if ($nextEvent)
				$nextEvent->nextLink = urldecode(JRoute::_(restaurantguideHelperRoute::getEventRoute(urlencode($nextEvent->slug))));
			$prevEvent = $model->getPreviousEvent($event->id, $event->ordering);
			if ($prevEvent)
				$prevEvent->prevLink = urldecode(JRoute::_(restaurantguideHelperRoute::getEventRoute(urlencode($prevEvent->slug))));
			// Absolute URL
			$event->absoluteURL = $uri->_uri;
			//Email link
        	$event->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($event->absoluteURL));
			//Social link
			$event->socialLink = urlencode($event->absoluteURL);
		}
		
		
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );		
			
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$event->title);
			}
		} else {
			$params->set('page_title',	$event->title);
		}

		if ($event->pagetitle)
			$params->set('page_title',	$event->pagetitle);

		/*
		* Handle the metadata for a categoy
		*/
		if ($parents->title)
			$document->setTitle( $params->get( 'page_title' ).' - '.$parents->title );
		else
			$document->setTitle( $params->get( 'page_title' ) );
		
		
			
		if ($event->meta_description) {
			$document->setDescription( $event->meta_description );
		}
		if ($event->meta_keywords) {
			$document->setMetadata('keywords', $event->meta_keywords);
		}
		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $event->title);
		}
		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}

		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');

		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;
		
		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);

		$this->assignRef('rgconf', 					$rgconf);
		$this->assign('action', 					$uri->toString());	
		$this->assignRef('params' , 				$params);
		$this->assignRef('event', 					$event);
		$this->assignRef('events', 					$events);
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('parents',	 				$parents);
		$this->assignRef('prevEvent',				$prevEvent);
		$this->assignRef('nextEvent',				$nextEvent);
		$this->assignRef('children',	 			$children);
		$this->assignRef('hasChild',	 			$hasChild);
/*
		echo "<pre>";
		echo "view=";
		print_r($event);
		echo "</pre>";	
*/
		parent::display($tpl);
	}
}
?>