<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRecipes extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$document 	= & JFactory::getDocument();
		$menus		= & JSite::getMenu();
		$menu    	= $menus->getActive();
		$params 	= & $mainframe->getParams('com_restaurantguide');
		$uri 		= & JFactory::getURI();
		$lang 		= & JFactory::getLanguage();
		$db  		= & JFactory::getDBO();

		// Request variables
		$limitstart		= JRequest::getInt('limitstart');
		$cid		= JRequest::getInt('cid', 0);
		
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}
	
		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}
		
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/itemscreen.js');
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.col3 {width: 24.99%;float:left;}, .col3 a img {top: -12px;}, .col3 .trans{top: 6px; }, .floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');

		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .col3, .col3 .trans, a.readon, a.readmore");
</script>
<![endif]-->');
		
		//pathway
		$pathway 	= & $mainframe->getPathWay();

		// Get data from the model	
		$model		= &$this->getModel();
		
		$items 		= & $this->get('Data');
		$recipe 	= $model->getRecipe($cid);
		$limit		= $mainframe->getUserStateFromRequest('com_restaurantguide.'.$this->getLayout().'.limit', 'limit', $params->def('limit', 0), 'int');

//		$recipes	= $model->getChilds($recipe->parent_id);
		
		if ($items)
			$total 		= & $this->get('Total');
//		else
//			$total 		= $model->getRecipeTotal($recipe->parent_id);
/*		
		if (isset($recipe)) {
			$nextItem = $model->getNextItem($recipe->id, $recipe->ordering);
			if ($nextItem)
				$nextItem->nextLink = urldecode(JRoute::_(restaurantguideHelperRoute::getRecipeRoute(urlencode($nextItem->slug))));
			$prevItem = $model->getPreviousItem($recipe->id, $recipe->ordering);
			if ($prevItem)
				$prevItem->prevLink = urldecode(JRoute::_(restaurantguideHelperRoute::getRecipeRoute(urlencode($prevItem->slug))));
			// Absolute URL
	//		$item->absoluteURL = $uri->_uri;
			//Email link
	//		$item->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($item->absoluteURL));
			//Social link
	//		$item->socialLink = urlencode($item->absoluteURL);
		}
*/		
//		$types 		= & $this->get('Type');
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
/*		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );		
			
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$recipe->title);
			}
			
		} else {
			$params->set('page_title',	$recipe->title);
		}
*/
		
		/*
		* Handle the metadata for a categoy
		*/
		$document->setTitle( $params->get( 'page_title' ) );
		
		if ($recipe->meta_description) {
			$document->setDescription( $recipe->meta_description );
		}
		if ($recipe->meta_keywords) {
			$document->setMetadata('keywords', $recipe->meta_keywords);
		}
		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $recipe->title);
		}
		
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}
/*
		//ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		$filter				= JRequest::getString('filter');
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['filter']			= $filter;
*/
		// Create the pagination object
		jimport('joomla.html.pagination');

		$pageNav 	= new JPagination($total, $limitstart, $limit);
	
		$this->assignRef('rgconf', 					$rgconf);
		$this->assignRef('cid', 					$cid);
		$this->assign('action', 					$uri->toString());	
		$this->assignRef('params' , 				$params);
//		$this->assignRef('recipe', 					$recipe);
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('items', 					$items);
/*
		echo "<pre>";
		echo "view=";
		print_r($cid);
		echo "</pre>";
*/
		parent::display($tpl);
	}
}
?>