<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Items View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRestaurant extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf, $option;

		//initialize variables
		$document 	= & JFactory::getDocument();
		$user		= & JFactory::getUser();
		$menus		= & JSite::getMenu();
		$lang 		= & JFactory::getLanguage();
		$menu    	= $menus->getActive();
		$params 	= & $mainframe->getParams('com_restaurantguide');
		$db  		= & JFactory::getDBO();
		$task		= JRequest::getVar('task');
		
		
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$cid		= JRequest::getInt('cid', 0);

		if($this->getLayout() == 'form') {
			$this->_displayForm($tpl);
			return;
		}

		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restot_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/jd.gallery.css');

		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}
		
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/jd.gallery.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/jd.gallery.transitions.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/qtabs.js');
		
		$key = $rgconf->api_key;
		$a_lang = explode('-', $document->getLanguage());
		$document->addScript( 'http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=' . $key . '&amp;hl=' . $a_lang[0] );
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/resto_cluster.js');
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.col3 {width: 24.99%;float:left;}, .floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');

		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .col3, .col3 .trans, a.readon, a.readmore");
</script>
<![endif]-->');

		require_once(JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		
//		JPluginHelper::importPlugin('content');
//		$dispatcher =& JDispatcher::getInstance();
//		$params     =& $mainframe->getParams('com_content'); //call the params from content
		
		//get restaurant item data
		$model		= &$this->getModel();
		$item 		= &$this->get('Item');
		$mapdatas 	= &$this->get('MapData');
		$articles	= &$this->get('Articles');
		$menus	 	= &$this->get('Menus');
		$galleries 	= &$this->get('Gallery');
		$promotions = &$this->get('Promotions');
		
//		$results = $dispatcher->trigger('onPrepareContent', array( &$row, &$params , 1));
		
		$iparams	=& $item->attribs;
		$params->merge($iparams);
		
		if (($item->id == 0))
		{	
			$id	= JRequest::getInt('id', 0);
			return JError::raiseError( 404, JText::sprintf( 'ITEM #%d NOT FOUND', $id ) );
		}

		if ($rgconf->showtags) {
			$tags		= &$this->get('UsedTags');
		}
	
		//pathway
		if ($cid > 0) {
			$cats		= new restaurantguide_cats($cid);
			$parents	= $cats->getParentlist();
			
		}

		$pathway 	= & $mainframe->getPathWay();
		$pathway->addItem( $this->escape($item->title), JRoute::_('index.php?view=restaurant&id='.$item->slug));
		/*
		 * Handle the metadata
		 */
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		// Get the menu item object		
		if (is_object($menu)) {
			$menu_params = new JParameter( $menu->params );
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$item->title);
			}
		} else {
			$params->set('page_title',	$item->title);
		}

//		$pathway->addItem( $params->get('page_title') );
		/*
		 * Create the document title
		 * 
		 * First is to check if we have a category id, if yes add it.
		 * If we haven't one than we accessed this screen direct via the menu and don't add the parent category
		 */
		if($cid) {
			$parentcat = array_pop($parents);
			$doc_title = $item->title.' - '.$parentcat->title;
		} else {
			$doc_title = $params->get( 'page_title' );
		}

		
		
		if ($item->meta_title) {
			$document->setTitle( $item->meta_title );
		} else {
			$document->setTitle($doc_title);
		}
		
		if ($item->meta_description) {
			$document->setDescription( $item->meta_description );
		}
		
		if ($item->meta_keywords) {
			$document->setMetadata('keywords', $item->meta_keywords);
		}
		
//		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $item->meta_title);
//		}
		
		if ($mainframe->getCfg('MetaAuthor') == '1') {
			$mainframe->addMetaTag('author', $item->author);
		}

		$mdata = new JParameter($item->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}

        $print_link = JRoute::_('index.php?view=restaurant&cid='.$item->categoryslug.'&id='.$item->slug.'&pop=1&tmpl=component');

		// Absolute URL
		$uri = &JURI::getInstance();
		$item->absoluteURL = $uri->_uri;
		//Email link
		$item->emailLink = JRoute::_('index.php?option=com_mailto&tmpl=component&link='.base64_encode($item->absoluteURL));
		//Social link
		$item->socialLink = urlencode($item->absoluteURL);

		
		$modeltestimonial	= &$this->getModel( 'Testimonials' );
		
		$testimonials		= $modeltestimonial->getTestimonial();
		$totaltestimonials	= $modeltestimonial->getTotalTestimonials();
		$edittestimonials	= $modeltestimonial->getEditTestimonial();
		
		if ($task == 'edit_testimonial' || $task == 'delete_testimonial')
			$cur_tab = 6;
		else
			$cur_tab = 0;
/*		
		$limit = 30;
		$minsize = 1;
		$maxsize = 10;
		$modeltag	= &$this->getModel( 'Tags' );
		$taglists	= $modeltag->getTagCloud($limit, $minsize, $maxsize);
*/		

		$lan = substr($lang->_lang, 0, 2);
		
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('document', 			$document);
		$this->assignRef('item', 				$item);
		$this->assignRef('lan' , 				$lan);
//		$this->assignRef('categories',			$categories);
//		$this->assignRef('favourites' ,			$favourites);
//		$this->assignRef('favoured' ,			$favoured);
//		$this->assignRef('featured',			$featured);
		$this->assignRef('user' , 				$user);
		$this->assignRef('params' , 			$params);
		$this->assignRef('print_link' , 		$print_link);
//		$this->assignRef('parentcat',			$parentcat);
		$this->assignRef('mapdatas',			$mapdatas);
		$this->assignRef('articles',			$articles);
		$this->assignRef('galleries',			$galleries);
		$this->assignRef('options',				$options);
		$this->assignRef('menus',				$menus);
		$this->assignRef('promotions',			$promotions);
		$this->assignRef('task',				$task);
		$this->assignRef('cur_tab',				$cur_tab);
		
		$this->assignRef('totaltestimonials', 	$totaltestimonials);
		$this->assignRef('testimonials', 		$testimonials);
		$this->assignRef('edittestimonials', 	$edittestimonials);

		$this->assignRef('tags',				$tags);
/*
echo "<pre>";
echo "view=";
print_r($articles);
echo "</pre>";
*/
		parent::display($tpl);
	}
	
	/**
	 * Creates the item submit form
	 *
	 * @since 1.0
	 */
	function _displayForm($tpl)
	{
		global $mainframe;

		//Initialize variables
		$document	=& JFactory::getDocument();
		$user		=& JFactory::getUser();
		$uri     	=& JFactory::getURI();
		$item		=& $this->get('Item');
		$params		=& $mainframe->getParams('com_restaurantguide');
		
		//Add the js includes to the document <head> section
		JHTML::_('behavior.formvalidation');
		JHTML::_('behavior.tooltip');

		//ensure $used is an array
		if(!is_array($used)){
			$used = array();
		}
		
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');
		
		//check if we have an id(edit) and check if we have global edit rights or if we are allowed to edit own items.
		if( $item->id > 1 && !($user->authorize('com_restaurantguide', 'edit') || ($user->authorize('com_content', 'edit', 'content', 'own') && $item->created_by == $user->get('id')) ) ) {
			JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
		}
		
      	if ($user->authorize('com_restaurantguide', 'newtags')) {
			$document->addScript( 'components/com_restaurantguide/assets/js/tags.js' );
		}
		
		//Get the lists
		$lists = $this->_buildEditLists();

		//Load the JEditor object
		$editor =& JFactory::getEditor();

		//Build the page title string
		$title = $item->id ? JText::_('Edit') : JText::_('New');

		//Set page title
		$document->setTitle($title);

		//get pathway
		$pathway =& $mainframe->getPathWay();
		$pathway->addItem($title, '');

		// Unify the introtext and fulltext fields and separated the fields by the readmore tag
		if (JString::strlen($item->fulltext) > 1) {
			$item->text = $item->introtext."<hr id=\"system-readmore\" />".$item->fulltext;
		} else {
			$item->text = $item->introtext;
		}

		//Ensure the row data is safe html
		JFilterOutput::objectHTMLSafe( $item, ENT_QUOTES );

		$this->assign('action', 	$uri->toString());

		$this->assignRef('item',	$item);
		$this->assignRef('params',	$params);
		$this->assignRef('lists',	$lists);
		$this->assignRef('editor',	$editor);
		$this->assignRef('user',	$user);
		$this->assignRef('tags',	$tags);
		$this->assignRef('used',	$used);

		parent::display($tpl);
	}
	
	function getViewUrl ( $id=0, $params='' )
	{
		if ( $id ) {
			$params .= '&id=' . intval( $id ) ;
		}
	  
		return JRoute::_( $params );
	}
	
	/**
	 * Creates the item submit form
	 *
	 * @since 1.0
	 */
	function _buildEditLists()
	{
		//Get the item from the model
		$item 		= & $this->get('Item');
		//get the categories tree
		$categories = restaurantguide_cats::getCategoriesTree(1);
		//get ids of selected categories (edit action)
		$selectedcats = & $this->get( 'Catsselected' );
		
		//build selectlist
		$lists = array();
		$lists['cid'] = restaurantguide_cats::buildcatselect($categories, 'cid[]', $selectedcats, false, 'class="inputbox required validate-cid" multiple="multiple" size="8"');
		
		$state = array();
		$state[] = JHTML::_('select.option',  1, JText::_( 'PUBLISHED' ) );
		$state[] = JHTML::_('select.option',  0, JText::_( 'UNPUBLISHED' ) );
		$state[] = JHTML::_('select.option',  -1, JText::_( 'ARCHIVED' ) );
		$state[] = JHTML::_('select.option',  -2, JText::_( 'PENDING' ) );
		$state[] = JHTML::_('select.option',  -3, JText::_( 'IN PROGRESS' ) );

		$lists['state'] = JHTML::_('select.genericlist', $state, 'state', '', 'value', 'text', $item->state );

		return $lists;
	}
}
?>