<?php
/**
 * @version 1.0 $Id: restaurantguide.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with HOTELGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the RestaurantGuide View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewRestaurantGuide extends JView
{
	/**
	 * Creates the Forms for the View
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menus		= & JSite::getMenu();
		$lang 		= & JFactory::getLanguage();
		$menu		= $menus->getActive();
		$uri 		= & JFactory::getURI();
		$params 	= $mainframe->getParams('com_restaurantguide');
		
		$cid		= JRequest::getInt('cid', 0);
		
		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}
//		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/jd.gallery.css');

		if ($rgconf->mootools == 1) {
			JHTML::_('behavior.mootools'); 
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/mootools-release-1.11.js');
		}
		
//		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/jd.gallery.js');
//		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/jd.gallery.transitions.js');
//		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/slimbox.js');
		$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/fdSlider.js');	
		
		
		
		$key = $rgconf->api_key;
		$a_lang = explode('-', $document->getLanguage());
/*		if ($key && $rgconf->apiversion == 0) {
			$document->addScript( 'http://maps.google.com/maps?file=api&amp;v=2.x&amp;key=' . $key . '&amp;hl=' . $a_lang[0] );
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/restaurant_cluster.js');
		} else {
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/restaurantguide.js');
		}
*/		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }, .main {
	display: block; }, .col1, .col2, .col3 { display: inline; zoom: 1; }, .col2 { margin-left: -1px; } </style><![endif]-->');

		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .hg_col3, a.readon, a.readmore");
</script>
<![endif]-->');
		
		if ($rgconf->world_search) {
			$search				= JRequest::getString('search');
			$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );
		
			$filter_country 	= JRequest::getInt('filter_country', 0);
			$filter_states 		= JRequest::getInt('filter_states', 0);
			$filter_city 		= JRequest::getInt('filter_city', 0);
			$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
			$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
		}
		
		$model 	= &$this->getModel();
		
		if ($rgconf->world_desti)
			$destinations = $model->getDestinations($rgconf->world_city_limit, $rgconf->world_resto_limit);
		
		if ($rgconf->world_topdesti)
			$topdestinations = $model->getTopDestinations($rgconf->world_top_limit);
			
		if ($rgconf->world_links)
			$sponsors = $model->getSponsors(4);
			
		$countries = & $this->get('AllCountries');
		$continents = & $this->get('Continents');
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );		
			
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	$menu->name);
			}			
		} else {
			$params->set('page_title',	JText::_('RESTAURANT GUIDE'));
		}

		/*
		* Handle the metadata for the restaurant guide list
		*/
		$document->setTitle($params->get('page_title'));
		$document->setMetadata( 'keywords' , $params->get('page_title') );

		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $params->get('page_title'));
		}
				
		if ($params->get('show_feed_link', 1) == 1) {
			//add alternate feed link
			$link	= '&format=feed';
			$attribs = array('type' => 'application/rss+xml', 'title' => 'RSS 2.0');
			$document->addHeadLink(JRoute::_($link.'&type=rss'), 'alternate', 'rel', $attribs);
			$attribs = array('type' => 'application/atom+xml', 'title' => 'Atom 1.0');
			$document->addHeadLink(JRoute::_($link.'&type=atom'), 'alternate', 'rel', $attribs);
		}


		$pathway =& $mainframe->getPathway();
//		$pathway->addItem( $params->get('page_title') );

/*
//		if ($rgconf->search) {
			$modelsearch	= &$this->getModel( 'Search' );
		
			$search_country		= $modelsearch->getCountries();
		
			$lists						= array();
			
			$countrylist[] 	= JHTML::_('select.option', 0, '- '. JText::_('SELECT COUNTRY') .' -');
			$countrylist = @array_merge($countrylist, $search_country);
			$javascript = 'onChange="ChangeState(this.value); ChangeCity(this.value)"';
			$lists['country'] = JHTML::_('select.genericlist', $countrylist, 'filter_country', 'class="inputbox" size="1" style="font-size: 10px; width: 200px; text-align:left;"'.$javascript, 'value', 'text', '');
//		}
*/		
		$lists						= array();
//		$lists['filter_order']		= $filter_order;
//		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['search']			= $search;
		
		$currentpage = 'world';
		
		$this->assignRef('db', 					$db);
		$this->assignRef('rgconf', 				$rgconf);
		$this->assignRef('params', 				$params);	
		$this->assignRef('lists', 				$lists);	
		$this->assignRef('currentpage', 		$currentpage);
		$this->assignRef('destinations', 		$destinations);
		$this->assignRef('topdestinations', 	$topdestinations);
		$this->assignRef('sponsors', 			$sponsors);
		$this->assignRef('continents', 			$continents);

		$this->assignRef('filter_country',	 		$filter_country);
		$this->assignRef('filter_states',	 		$filter_states);
		$this->assignRef('filter_city',	 			$filter_city);
		$this->assignRef('filter_atmo',	 			$filter_atmo);
		$this->assignRef('filter_cuisines',	 		$filter_cuisines);
/*
		echo "<pre>";
		echo "view=";
		print_r($sponsors);
		echo "</pre>";	
*/		
		parent::display($tpl);
	}
}
?>