<?php
/**
 * @version 1.0 $Id: restaurantguide_files.php
 * @package Joomla
 * @subpackage RestaurantGuide
 * @copyright (C) 2009-2010 Oh-Taek Im
 * @license GNU/GPL, see LICENCE.php
 * RestaurantGuide is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * RestaurantGuide is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with RESTAURANTGUIDE; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Tags View
 *
 * @package Joomla
 * @subpackage RestaurantGuide
 * @since 1.0
 */
class restaurantguideViewTags extends JView
{
	/**
	 * Creates the item page
	 *
	 * @since 1.0
	 */
	function display( $tpl = null )
	{
		global $mainframe, $rgconf;

		//initialize variables
		$db    		= JFactory::getDBO();
		$document 	= & JFactory::getDocument();
		$menu		= & JSite::getMenu();
		$uri 		= & JFactory::getURI();
		$lang 		= & JFactory::getLanguage();
		$item    	= $menu->getActive();
		$params 	= & $mainframe->getParams('com_restaurantguide');
		
		$tid = JRequest::getInt('id', 0);
		$limitstart		= JRequest::getInt('limitstart');
		$filter			= JRequest::getString('filter');
		$limit			= JRequest::getInt('limit', $params->get('item_num'));

		//add css file
		$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide.css');
		if ($rgconf->box == 'White')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_white.css');
		else if ($rgconf->box == 'Black')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_black.css');
		else if ($rgconf->box == 'Lightblue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_lightblue.css');
		else if ($rgconf->box == 'Blue')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_blue.css');
		else if ($rgconf->box == 'Green')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_green.css');
		else if ($rgconf->box == 'Warmbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_warmbrown.css');
		else if ($rgconf->box == 'Coolbrown')
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/resto_coolbrown.css');
		if ($lang->isRTL()) {
			$document->addStyleSheet($this->baseurl.'/components/com_restaurantguide/assets/css/restaurantguide_rtl.css');
		}
		
		$document->addCustomTag('<!--[if IE]><style type="text/css">.floattext{zoom:1;}, * html #restaurantguide dd { height: 1%; }</style><![endif]-->');
		
		$document->addCustomTag('<!--[if lte IE 6]>
<script language="javascript" type="text/javascript" src="/components/com_restaurantguide/assets/js/DD_belatedPNG.js"></script>
<link rel="stylesheet" href="/components/com_restaurantguide/assets/css/template_ie6.css" type="text/css" />
<script type="text/javascript">
DD_belatedPNG.fix("div#box div.box-t, div#box div.box-tl, div#box div.box-tr, div#box div.box-l, div#box div.box-r, div#box div.box-m, div#box div.box-b, div#box div.box-bl, div#box div.box-br, div#box h3.title, .hg_col3, a.readon, a.readmore, .titlebox");
</script>
<![endif]-->');

		if ($rgconf->tag_search) {
			$document->addScript( $this->baseurl.'/components/com_restaurantguide/assets/js/fdSlider.js');	
			
			$search				= JRequest::getString('search');
			$search 			= $db->getEscaped( trim(JString::strtolower( $search ) ) );
	
			$filter_country 	= JRequest::getInt('filter_country', 0);
			$filter_states 		= JRequest::getInt('filter_states', 0);
			$filter_city 		= JRequest::getInt('filter_city', 0);
			$filter_cuisines	= JRequest::getVar('cuisine_search', array(), '', 'array');	
			$filter_atmo		= JRequest::getVar('atmo_search', array(), '', 'array');
			
			$this->assignRef('filter_country',	 	$filter_country);
			$this->assignRef('filter_states',	 	$filter_states);
			$this->assignRef('filter_city',	 		$filter_city);
			$this->assignRef('filter_atmo',	 		$filter_atmo);
			$this->assignRef('filter_cuisines',	 	$filter_cuisines);
		}
		
		$items 	= & $this->get('Data');
        $tag	= & $this->get('Tag');
        $total 	= & $this->get('Total');
        
        //set 404 if category doesn't exist or access isn't permitted
		if ( empty($tag) ) {
			return JError::raiseError( 404, JText::sprintf( 'Tag #%d not found', $tid ) );
		}
        
		//params
		$params->set( 'page_title', JText::_('RESTAURANTS WITH TAG').': '.$tag->name);

		$document->setTitle(JText::_('RESTAURANTS WITH TAG').': '.$tag->name);
		
		//pathway		
		$pathway =& $mainframe->getPathway();
		$pathway->addItem( JText::_('RESTAURANTS WITH TAG').': '.$tag->name );

		$mainframe->addMetaTag('title', JText::_('RESTAURANTS WITH TAG').': '.$tag->name);
		
		//Set Page title
//		if (!$item->name) {
//			$document->setTitle(JText::_('RESTAURANTS WITH TAG').': '.$tag->name);
			$document->setMetadata( 'keywords' , $params->get('page_title') );
//		}
		
		$modelguide	= &$this->getModel( 'restaurantguide' );
		
		if ($rgconf->tag_topdesti)
			$topdestinations = $modelguide->getTopDestinations($rgconf->tag_top_limit);
		if ($rgconf->tag_desti)
			$destinations = $modelguide->getDestinations($rgconf->tag_city_limit, $rgconf->tag_resto_limit);
			
        //ordering
		$filter_order		= JRequest::getCmd('filter_order', 'i.title');
		$filter_order_Dir	= JRequest::getCmd('filter_order_Dir', 'ASC');
		
		$lists						= array();
		$lists['filter_order']		= $filter_order;
		$lists['filter_order_Dir'] 	= $filter_order_Dir;
		$lists['search']			= $search;
		
		$sort_links = array();
		$sort_links[] = $this->sort('POPULARITY', 'hits', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('HIGHEST RATED', 'votes', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('NAME', 'title', $lists['filter_order_Dir'] , $lists['filter_order'] );
		$sort_links[] = $this->sort('CUISINE', 'type', $lists['filter_order_Dir'] , $lists['filter_order'] );
		
				
		// Create the pagination object
		jimport('joomla.html.pagination');
		
		$pageNav 	= new JPagination($total, $limitstart, $limit);
		
		$this->assign('action', 					$uri->toString());

		$this->assignRef('items', 					$items);
		$this->assignRef('tag', 					$tag);
		$this->assignRef('params', 					$params);
		$this->assignRef('pageNav', 				$pageNav);
		$this->assignRef('lists',	 				$lists);
		$this->assignRef('sort_links', 				$sort_links);
		$this->assignRef('rgconf',	 				$rgconf);
		$this->assignRef('destinations',	 		$destinations);
		$this->assignRef('topdestinations', 		$topdestinations);
/*
		echo "<pre>";
		echo "view=";
		print_r($items);
		echo "</pre>";
*/		
		parent::display($tpl);

	}
	
	function sort( $title, $order, $direction = 'asc', $selected = 0 )
	{
		$direction	= strtolower( $direction );
		$images		= array( 'sort_asc.png', 'sort_desc.png' );
		$index		= intval( $direction == 'desc' );
		$direction	= ($direction == 'desc') ? 'asc' : 'desc';

		$html = '<a href="javascript:changeOrdering(\''.$order.'\',\''.$direction.'\');" >';
		$html .= JText::_( $title );
		if ($order == $selected ) {
			$html .= JHTML::_('image.site',  $images[$index], '/components/com_restaurantguide/assets/images/', NULL, NULL);
		}
		$html .= '</a>';
		return $html;
	}
}
?>